<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>

<orion:script context="/VIRUSCAN8800" src="/VSEDialog.js"/>

<orion:message escape="None" key="Exclusion.AddEditTitle" var="AddEditTitle"/>
<orion:message key="Exclusion.WhatToExclude" var="WhatToExcludeText"/>
<orion:message escape="None" key="Exclusion.ByPattern" var="ByPatternText"/>
<orion:message escape="None" key="Exclusion.IncludeSubs" var="IncludeSubsText"/>
<orion:message escape="None" key="Exclusion.ByFileType" var="ByFileTypeText"/>
<orion:message escape="None" key="Exclusion.ByFileAge" var="ByFileAgeText"/>
<orion:message key="Exclusion.AccessType" var="AccessTypeText"/>
<orion:message key="Exclusion.MinimumAge" var="MinimumAgeText"/>
<orion:message key="Exclusion.Modified" var="ModifiedText"/>
<orion:message key="Exclusion.Created" var="CreatedText"/>
<orion:message key="Exclusion.Accessed" var="AccessedText"/>
<orion:message escape="None" key="Exclusion.WindowsProtection" var="WindowsProtectionText"/>
<orion:message key="Exclusion.WhenToExclude" var="WhenToExcludeText"/>
<orion:message escape="None" key="Exclusion.OnRead" var="OnReadText"/>
<orion:message escape="None" key="Exclusion.OnWrite" var="OnWriteText"/>
<orion:message escape="None" key="Exclusion.OK" var="OKText"/>
<orion:message escape="None" key="Exclusion.Cancel" var="CancelText"/>
<orion:message escape="None" key="Exclusion.Add" var="AddText"/>
<orion:message escape="None" key="Exclusion.Edit" var="EditText"/>
<orion:message escape="None" key="Exclusion.Remove" var="RemoveText"/>
<orion:message escape="None" key="Exclusion.Clear" var="ClearText"/>
<orion:message key="Exclusion.ExclTypeWFP" var="ExclTypeWFPText"/>
<orion:message key="Exclusion.ExclTypeModifiedAge" var="ExclTypeModifiedAgeText"/>
<orion:message key="Exclusion.ExclTypeAccessedAge" var="ExclTypeAccessedAgeText"/>
<orion:message key="Exclusion.ExclTypeCreatedAge" var="ExclTypeCreatedAgeText"/>
<orion:message key="Exclusion.ExclTypeExt" var="ExclTypeExtText"/>
<orion:message key="Exclusion.Yes" var="YesText"/>
<orion:message key="Exclusion.No" var="NoText"/>
<orion:message key="Exclusion.ExclOnRead" var="ExclOnReadText"/>
<orion:message key="Exclusion.ExclOnWrite" var="ExclOnWriteText"/>
<orion:message key="Exclusion.NoExtension" var="NoExtensionText"/>
<orion:message key="Exclusion.ConfirmNoExtension" var="ConfirmNoExtensionText"/>

<style type="text/css">
    .dialogBox{
	background-color: white;
    position: absolute;
    top:300px;
    left:300px;
    z-index: 10000;
    visibility: hidden;
    }
</style>

<!--DialogBox for selecting the rule type -->
<div class="dialogBox" id="divID_AddEditExclDialog">
    <label id="stringID_ConfirmNoExtension" style="display:none">${ConfirmNoExtensionText}</label>
    <orion:titlebar id="titleID_AddEditExclDialogTitle" text="${AddEditTitle}"/>
    <table>
        <tr>
            <td width="10"/>
            <td>
                <div id="divID_WhatToExcludeContent">
                    <label><b>${WhatToExcludeText}</b></label>
                    <table>
                        <tr>
                            <td>
                                <orion:radiobutton id="radioID_ExclByPattern"
                                                   name="groupID_ExclType"
                                                   text="${ByPatternText}"
                                                   onclick="onExclTypeChange();"/>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_ExclPattern"
                                               maxlength="258"
                                               onkeyup="validateExclusion();"/>
                                <span style='display: none;' class='orionInputErrorText' id='exclusion_pattern_error'>!!</span>
                                <span style='display: none;' class='orionInputErrorText' id='exclusion_pattern_empty'>*</span>
                            </td>
                        </tr>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:checkbox id="checkboxID_ExclSubfolders"
                                                text="${IncludeSubsText}"/>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td>
                                <orion:radiobutton id="radioID_ExclByFileType"
                                                   name="groupID_ExclType"
                                                   text="${ByFileTypeText}"
                                                   onclick="onExclTypeChange();"/>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_ExclFileType"
                                               size='3'
                                               maxlength='3'
                                               value=''
                                               onkeyup="validateExclusion();"/>
                                <span style='display: none;' class='orionInputErrorText' id='exclusion_filetype_error'>!!</span>
                            </td>
                        </tr>
                        <tr>
                    </table>
                    <table>
                        <tr>
                            <td>
                                <orion:radiobutton id="radioID_ExclByFileAge"
                                                   name="groupID_ExclType"
                                                   text="${ByFileAgeText}"
                                                   onclick="onExclTypeChange();"/>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <label id="labelID_AccessType" for="selectID_AccessType">${AccessTypeText}</label>
                            </td>
                            <td width="5"></td>
                            <td>
                                <select id="selectID_AccessType">
                                    <option value='0'>${ModifiedText}</option>
                                    <option value='1'>${AccessedText}</option>
                                    <option value='2'>${CreatedText}</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <label id="labelID_MinimumAge" for="textboxID_MinimumAge">${MinimumAgeText}</label>
                            </td>
                            <td width="5"></td>
                            <td>
                                <orion:textbox id="textboxID_MinimumAge"
                                               size='4'
                                               maxlength='4'
                                               value=''
                                               onkeypress="return numbers_only(event)"
                                               onkeyup="validateExclusion();"/>
                                <span style='display: none;' class='orionInputErrorText' id='exclusion_fileage_error'>!!</span>
                                <span style='display: none;' class='orionInputErrorText' id='exclusion_fileage_empty'>*</span>
                            </td>
                        </tr>
                        <tr>
                    </table>
                    <table>
                        <tr>
                            <!-- <td>
                             <orion:radiobutton id="radioID_ExclWindowsProtection"
                                                   name="groupID_ExclType"
                                                   text="${WindowsProtectionText}"
                                                   onclick="onExclTypeChange();"/> 
                            </td>  -->
                        </tr>
                    </table>
                </div>
                <div id="divID_WhenToExcludeContent">
                    <label><b>${WhenToExcludeText}</b></label>
                    <span style='display: none;' class='orionInputErrorText' id='exclusion_whentoexclude_empty'>*</span>
                    <table>
                        <tr>
                            <td>
                                <orion:checkbox id="checkboxID_ExclOnRead"
                                                text="${OnReadText}"
                                                onclick="validateExclusion();"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <orion:checkbox id="checkboxID_ExclOnWrite"
                                                text="${OnWriteText}"
                                                onclick="validateExclusion();"/>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
    <orion:footerbar skin="gray">
        <orion:button id="buttonID_ruleTypeSelectOK" text="${OKText}" enabled="true" onclick="onAddEditExclOK();"/>
        <orion:button id="buttonID_ruleTypeSelectCancel" text="${CancelText}" enabled="true" onclick="onAddEditExclCancel();"/>
    </orion:footerbar>
</div>

<!-- List Widget Templates -->
<div id="exclusion_listitem_template" width="100%" style="display:none">
    <table width="100%">
        <tr width="100%">
            <td width="60%" id="exclusion_item_@ID">
                <label id="labelID_TypeWFP_@ID" style="display:none">${ExclTypeWFPText}</label>
                <label id="labelID_TypeModifiedAge_@ID" style="display:none">${ExclTypeModifiedAgeText}</label>
                <label id="labelID_TypeAccessedAge_@ID" style="display:none">${ExclTypeAccessedAgeText}</label>
                <label id="labelID_TypeCreatedAge_@ID" style="display:none">${ExclTypeCreatedAgeText}</label>
                <label id="labelID_TypeExt_@ID" style="display:none">${ExclTypeExtText}</label>
                <label id="labelID_TypeNoExt_@ID" style="display:none">${NoExtensionText}</label>
                <label id="labelID_Pattern_@ID" style="display:none"></label>
            </td>
            <td width="10%" style="text-align:center" id="exclusion_include_subs_@ID">
                <label id="labelID_SubsYes_@ID" style="display:none">${YesText}</label>
                <label id="labelID_SubsNo_@ID" style="display:none">${NoText}</label>
                <label id="labelID_SubsNA_@ID" style="display:none">--</label>
            </td>
            <td width="30%" style="text-align:right" id="exclusion_read_write_@ID">
                <label id="labelID_ExclOnRead_@ID" style="display:none">${ExclOnReadText}</label>
                <label id="labelID_ExclSlash_@ID" style="display:none">/</label>
                <label id="labelID_ExclOnWrite_@ID" style="display:none">${ExclOnWriteText}</label>
            </td>
        </tr>
    </table>
</div>

<table>
    <tr>
        <td>
            <orion:button id="buttonID_AddExclusion"
                          text="${AddText}"
                          onclick="AddExcl_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_EditAPExclusion"
                          text="${EditText}"
                          onclick="EditExcl_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_RemoveExcl"
                          text="${RemoveText}"
                          onclick="RemoveExcl_onclick();"
                          style="width:90px"/>
            <orion:button id="buttonID_ClearExcl"
                          text="${ClearText}"
                          onclick="ClearExcl_onclick();"
                          style="width:90px"/>
        </td>
    </tr>
</table>

