<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>

<orion:message escape="None" key="OASCommon.AllFiles" var="AllFilesText"/>
<orion:message escape="None" key="OASCommon.DefaultAndSpecified" var="DefaultAndSpecifiedText"/>
<orion:message escape="None" key="OASCommon.SpecifiedOnly" var="SpecifiedOnlyText"/>
<orion:message escape="None" key="OASCommon.AlsoScanForMacro" var="AlsoScanForMacroText"/>
<orion:message key="OASCommon.EnterFileTypesLabel" var="EnterFileTypesLabelText"/>
<orion:message escape="None" key="Global.IncludeFilesWithNoExtension" var="IncludeFilesWithNoExtText"/>

<orion:checkbox style="display:none" id="checkboxID_ScanAllFiles" name="checkboxID_ScanAllFiles" checked=""/>
<orion:checkbox style="display:none" id="checkboxID_ScanDefaultFiles" name="checkboxID_ScanDefaultFiles" checked=""/>
<orion:radiobutton id="radioID_AllFiles"
                   text="${AllFilesText}"
                   name="WhatToScan"
                   value="allFiles"
                   onclick="fnExtensionModeChange(this.value);"/>
<br/>
<table>
    <tr>
        <orion:radiobutton id="radioID_DefaultAndSpecified"
                           text="${DefaultAndSpecifiedText}"
                           name="WhatToScan"
                           value="defaultFiles"
                           onclick="fnExtensionModeChange(this.value);"/>
    </tr>
    <tr>
        <td width="12"></td>
        <td>
            <orion:checkbox id="checkboxID_ScanForMarcros"
                            checked=""
                            name="checkboxID_ScanForMarcros"
                            value="defaultPlusFiles"
                            text="${AlsoScanForMacroText}"
                            onclick="fnExtensionModeChange(this.value);"/>
        </td>
    </tr>
</table>
<div id=div_AdditionalFileTypes style="display:none">
    <table>
        <tr>
            <td width="12"></td>
            <td>
                <label for="textareaID_AdditionalFileTypes">${EnterFileTypesLabelText}</label>
            </td>
        </tr>
        <tr>
            <td width="12"></td>
            <td>
                <orion:textarea id="textareaID_AdditionalFileTypes"
                                name="ID_AdditionalFileTypes"
                                onvalidate="validateFileTypes"
                                onkeyup="validatePolicy();"
                                rows="5" cols="50"/>
            </td>
        </tr>
        <tr>
            <td width="12"></td>
            <td>
                <orion:checkbox id="checkboxID_AdditionalNoExtension"
                                checked=""
                                name="checkboxID_AdditionalNoExtension"
                                onclick="validatePolicy();"
                                text="${IncludeFilesWithNoExtText}"/>
            </td>
        </tr>
    </table>
</div>
<orion:radiobutton id="radioID_SpecifiedOnly"
                   text="${SpecifiedOnlyText}"
                   name="WhatToScan"
                   value="specifiedFiles"
                   onclick="fnExtensionModeChange(this.value);"/>
<br/>
<div id=div_SpecifiedFileTypes style="display:none">
    <table>
        <tr>
            <td width="12"></td>
            <td>
                <label for="textareaID_SpecifiedFileTypes">${EnterFileTypesLabelText}</label>
            </td>
        </tr>
        <tr>
            <td width="12"></td>
            <td>
                <orion:textarea id="textareaID_SpecifiedFileTypes"
                                name="ID_SpecifiedFileTypes"
                                onvalidate="validateFileTypes"
                                onkeyup="validatePolicy();"
                                rows="5" cols="50"/>
            </td>
        </tr>
        <tr>
            <td width="12"></td>
            <td>
                <orion:checkbox id="checkboxID_SpecifiedNoExtension"
                                checked=""
                                name="checkboxID_SpecifiedNoExtension"
                                onclick="validatePolicy(); requireSpecifiedFileTypes(!(this.checked));"
                                text="${IncludeFilesWithNoExtText}"/>
            </td>
        </tr>
    </table>
</div>