<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>

<orion:script context="/VIRUSCAN8800" src="/VSEDialog.js"/>
<orion:message key="OASLowRisk.ProcessesExplanation" var="ProcessesExplanationText"/>
<orion:message escape="None" key="OASLowRisk.ProcessesTab" var="ProcessesTabLabel"/>
<orion:message escape="None" key="Exclusion.OK" var="OKText"/>
<orion:message escape="None" key="Exclusion.Cancel" var="CancelText"/>
<orion:message escape="None" key="Exclusion.Add" var="AddText"/>
<orion:message escape="None" key="Exclusion.Edit" var="EditText"/>
<orion:message escape="None" key="Exclusion.Remove" var="RemoveText"/>
<orion:message escape="None" key="Exclusion.Clear" var="ClearText"/>

<style type="text/css">
    .dialogBox{
	background-color: white;
    position: absolute;
    top:300px;
    left:300px;
    z-index: 10000;
    visibility: hidden;
    }
</style>

<!--Dialog for adding/editing process items -->
<div class="dialogBox" id="divID_AddEditRPDialog">
    <orion:titlebar id="titleID_AddEditRPDialogTitle" text="${ProcessesTabLabel}"/>
    <table>
        <tr>
            <td width="10"/>
            <td>
                <div id="divID_WhatToIncludeContent">
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_risk_processname"
                                               maxlength="259"
                                               onkeyup="validateProcessItem();"/>
                                <span style='display: none;' class='orionInputErrorText' id='RP_processname_empty'>*</span>
                                <span style='display: none;' class='orionInputErrorText' id='RP_processname_error'>!!</span>
                            </td>
                        </tr>

                     </table>
                </div>
             </td>
         </tr>
     </table>
     <orion:footerbar skin="gray">                  
         <orion:button id="buttonID_addEditRPItemOK" text="${OKText}" enabled="true" onclick="onAddEditRPOK();"/>
         <orion:button id="buttonID_addEditRPItemCancel" text="${CancelText}" enabled="true" onclick="onAddEditRPCancel();"/>
     </orion:footerbar>
 </div>

 <!-- List Widget Templates -->
 <div id="rp_listitem_template" width="100%" style="display:none">
     <table width="100%">
         <tr width="100%">
             <td width="60%" id="rp__riskprocesses_processname_@ID">
                 <label id="labelID_rp__riskprocesses_processname_@ID" style="display:none"></label>
             </td>
         </tr>
     </table>
 </div>

 <table>
     <tr>
         <td>
             <orion:button id="buttonID_AddRPItem"
                           text="${AddText}"
                           onclick="AddRPItem_onclick();"
                           style="width:90px"/>
             <orion:button id="buttonID_EditRPItem"
                           text="${EditText}"
                           onclick="EditRPItem_onclick();"
                           style="width:90px"/>
             <orion:button id="buttonID_RemoveRPItem"
                           text="${RemoveText}"
                           onclick="RemoveRPItem_onclick();"
                           style="width:90px"/>
             <orion:button id="buttonID_ClearRPItem"
                           text="${ClearText}"
                           onclick="ClearRPItem_onclick();"
                           style="width:90px"/>
         </td>
     </tr>
 </table>
                    