<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>

<orion:script context="/VIRUSCAN8800" src="/SystemMacros/SystemMacros.js"/>

<orion:message key="Macro.SystemDrive" var="SystemDriveText"/>
<orion:message key="Macro.SystemRoot" var="SystemRootText"/>
<orion:message key="Macro.SystemDirectory" var="SystemDirectoryText"/>
<orion:message key="Macro.TempDirectory" var="TempDirectoryText"/>
<orion:message key="Macro.ProgramFilesDirectory" var="ProgramFilesDirectoryText"/>
<orion:message key="Macro.ProgramFilesCommonDirectory" var="ProgramFilesCommonDirectoryText"/>
<orion:message key="Macro.SoftwareInstalledDirectory" var="SoftwareInstalledDirectoryText"/>
<orion:message key="Macro.ComputerName" var="ComputerNameText"/>
<orion:message key="Macro.UserName" var="UserNameText"/>
<orion:message key="Macro.DomainName" var="DomainNameText"/>

<link href="/VIRUSCAN8800/SystemMacros/SystemMacros.css" rel="stylesheet">

<div id="MacroMenu" class=clickableDiv  style="position:absolute;display:none;width:230px;background-Color:menu" onmouseover="javascript:overpopupmenu=true;" onmouseout="javascript:overpopupmenu=false;">
    <div class="menuItem"
         id="SYSTEM_DRIVE"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${SystemDriveText}
    </div>
    <div class="menuItem"
         id="SYSTEM_ROOT"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${SystemRootText}
    </div>
    <div class="menuItem"
         id="SYSTEM_DIR"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${SystemDirectoryText}
    </div>
    <div class="menuItem"
         id="TEMP_DIR"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${TempDirectoryText}
    </div>
    <div class="menuItem"
         id="PROGRAM_FILES_DIR"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${ProgramFilesDirectoryText}
    </div>
    <div class="menuItem"
         id="PROGRAM_FILES_COMMON_DIR"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${ProgramFilesCommonDirectoryText}
    </div>
    <div class="menuItem"
         id="SOFTWARE_INSTALLED_DIR"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${SoftwareInstalledDirectoryText}
    </div>
    <div class="menuItem"
         id="COMPUTER_NAME"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${ComputerNameText}
    </div>
    <div class="menuItem"
         id="USER_NAME"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${UserNameText}
    </div>
    <div class="menuItem"
         id="DOMAIN_NAME"
         onmouseover="this.className = 'highlightItem'"
         onmouseout="this.className='menuItem'">
         ${DomainNameText}
    </div>
</div>
