<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<style type="text/css">
    .dialogBox{
	background-color: white;
    position: absolute;
    top:300px;
    left:300px;
    z-index: 10000;
    visibility: hidden;
    }
</style>

<vse:createConstants className="com.mcafee.VirusScan.policies.accessprotection.AccessProtectionConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.accessprotection.AccessProtectionConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/accessprotection/AccessProtectionPolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSEDialog.js"/>
<orion:script context="/VIRUSCAN8800" src="/ListWidget2.js"/>
<orion:script context="/core" src="/majic.js"/>

<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<orion:message key="AccessProtection.AccessProtectionTab" var="AccessProtectionTabLabel"/>
<orion:message key="AccessProtection.ReportsTab" var="ReportsTabLabel"/>
<orion:message key="AccessProtection.GlobalExclusionsTab" var="GlobalExclusionsTabLabel"/>

<!-- Access Protection Tab Strings -->
<orion:message key="AccessProtection.APDescription" var="APDescriptionText"/>
<orion:message escape="None" key="AccessProtection.EnableAP" var="EnableAPText"/>
<orion:message escape="None" key="AccessProtection.PreventServicesBeingStopped" var="PreventServicesBeingStoppedText"/>
<orion:message escape="None" key="AccessProtection.EnableEnhancedSP" var="EnhancedSptext"/>
<orion:message key="AccessProtection.APHeadingCategory" var="APHeadingCategoryText"/>
<orion:message key="AccessProtection.APHeadingRule" var="APHeadingRule"/>
<orion:message escape="None" key="AccessProtection.New" var="NewText"/>
<orion:message escape="None" key="AccessProtection.Edit" var="EditText"/>
<orion:message escape="None" key="AccessProtection.Delete" var="DeleteText"/>
<orion:message key="AccessProtection.RegistryRuleTitle" var="RegistryRuleTitleText"/>
<orion:message key="AccessProtection.PortRuleTitle" var="PortRuleTitleText"/>
<orion:message key="AccessProtection.FileRuleTitle" var="FileRuleTitleText"/>
<orion:message key="AccessProtection.RuleDetailsTitle" var="RuleDetailsTitleText"/>
<orion:message escape="Javascript" key="AccessProtection.NothingSelected" var="NothingSelectedText"/>

<!-- Report Tab Strings -->
<orion:message escape="None" key="Global.Report.LogToFile" var="LogToFileText"/>
<orion:message escape="None" key="Global.Report.LimitLogFileSize" var="LimitLogFileSizeText"/>
<orion:message key="Global.Report.SizeUnitLabel" var="MaximumSizeText"/>
<orion:message key="Global.Report.MBLabel" var="MBText"/>
<orion:message key="Global.Report.FormatANSI" var="FormatANSIText"/>
<orion:message key="Global.Report.FormatUTF8" var="FormatUTF8Text"/>
<orion:message key="Global.Report.FormatUTF16" var="FormatUTF16Text"/>
<orion:message key="Global.Report.LogFileInfo" var="LogFileInfoText"/>

<!-- Common Rule Strings -->
<orion:message escape="None" key="CommonRule.SelectRuleType" var="SelectRuleTypeText"/>
<orion:message escape="None" key="CommonRule.PortRule" var="PortRuleText"/>
<orion:message escape="None" key="CommonRule.FileRule" var="FileRuleText"/>
<orion:message escape="None" key="CommonRule.RegistryRule" var="RegistryRuleText"/>
<orion:message key="CommonRule.RuleName" var="RuleNameText"/>
<orion:message key="CommonRule.IncludedProcs" var="IncludedProcsText"/>
<orion:message key="CommonRule.ExcludedProcs" var="ExcludedProcsText"/>
<orion:message key="CommonRule.FiftyCharWarn" var="FiftyCharWarnText"/>
<orion:message key="CommonRule.TwoHundredCharWarn" var="TwoHundredCharWarnText"/>

<!-- Edit Port Block rules strings -->
<orion:message key="PortRule.PortsToBlock" var="PortsToBlockLabel"/>
<orion:message key="PortRule.PortBlockDesc" var="PortBlockDescText"/>
<orion:message key="PortRule.PortStart" var="PortStartText"/>
<orion:message key="PortRule.PortEnd" var="PortEndText"/>
<orion:message key="PortRule.Direction" var="DirectionLabel"/>
<orion:message escape="None" key="PortRule.Inbound" var="InboundText"/>
<orion:message escape="None" key="PortRule.Outbound" var="OutboundText"/>

<!-- Edit File Block rule strings -->
<orion:message key="FileRule.FileOrFolderName" var="FileOrFolderNameText"/>
<orion:message key="FileRule.ActionsToPrevent" var="ActionsToPreventText"/>
<orion:message escape="None" key="FileRule.ReadAccess" var="ReadAccessText"/>
<orion:message escape="None" key="FileRule.WriteAccess" var="WriteAccessText"/>
<orion:message escape="None" key="FileRule.ExecuteAccess" var="ExecuteAccessText"/>
<orion:message escape="None" key="FileRule.CreateAccess" var="CreateAccessText"/>
<orion:message escape="None" key="FileRule.DeleteAccess" var="DeleteAccessText"/>

<!-- Edit Registry Block rule strings -->
<orion:message key="RegRule.RegKeyValueToProtect" var="RegKeyValueToProtectText"/>
<orion:message escape="None" key="RegRule.RuleType" var="RuleTypeText"/>
<orion:message escape="None" key="RegRule.Key" var="KeyText"/>
<orion:message escape="None" key="RegRule.Value" var="ValueText"/>
<orion:message key="RegRule.RegActionsPrevented" var="RegActionsPreventedText"/>
<orion:message escape="None" key="RegRule.RegWriteAccess" var="RegWriteAccessText"/>
<orion:message escape="None" key="RegRule.RegCreateAccess" var="RegCreateAccessText"/>
<orion:message escape="None" key="RegRule.RegDeleteAccess" var="RegDeleteAccessText"/>

<orion:message escape="None" key="AccessProtection.OK" var="OKText"/>
<orion:message escape="None" key="AccessProtection.Cancel" var="CancelText"/>
<orion:message escape="Javascript" key="AccessProtection.NewRule" var="NewRuleText"/>

<!-- AAC Global Exclusion Tab Strings -->
<orion:message key="AccessProtection.GlobalExclusions" var="GlobalExclusionsText"/>
<orion:message key="AccessProtection.GlobalExclusionsInfo" var="GlobalExclusionsInfoText"/>
<orion:message key="AccessProtection.GlobalExclusionsFilename" var="GlobalExclusionsFilenameText"/>
<orion:message key="AccessProtection.GlobalExclusionsDescription" var="GlobalExclusionsDescriptionText"/>
<orion:message key="AccessProtection.GlobalExclusionsMD5" var="GlobalExclusionsMD5Text"/>
<orion:message key="AccessProtection.GlobalExclusionsSigner" var="GlobalExclusionsSignerText"/>


<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="ACCESS_PROTECTION">
<div id="accessprotection" style="display:none;width:100%;">
<div class="orionDescriptionArea orionBorderBottomGrey">
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td style="padding:10px">
                ${APDescriptionText}
            </td>
        </tr>
    </table>
</div>
<table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="AccessProtection.AccessProtectionSettingsTitle" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <table>
                <tr>
                    <td>
                        <orion:checkbox id="checkboxID_APEnabled"
                                        text="${EnableAPText}"
                                        onclick="validatePolicy();"/>
                        <input type="hidden" name="Wrkstn_${AP_ENABLED}" id="hiddenID_WrkstnAPEnabled" value="${AccessProtectionSettings.wrkstn_APEnabled}"/>
                        <input type="hidden" name="Server_${AP_ENABLED}" id="hiddenID_ServerAPEnabled" value="${AccessProtectionSettings.server_APEnabled}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <orion:checkbox id="checkboxID_LockdownEnabled"
                                        text="${PreventServicesBeingStoppedText}"
                                        onclick="validatePolicy();"/>
                        <input type="hidden" name="Wrkstn_${AP_LOCKDOWN_ENABLED}" id="hiddenID_WrkstnLockdownEnabled" value="${AccessProtectionSettings.wrkstn_PVSPTEnabled}"/>
                        <input type="hidden" name="Server_${AP_LOCKDOWN_ENABLED}" id="hiddenID_ServerLockdownEnabled" value="${AccessProtectionSettings.server_PVSPTEnabled}"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <orion:checkbox id="checkboxID_EnhancedSPEnabled"
                                        text="${EnhancedSptext}"
                                        onclick="validatePolicy();"/>
                        <input type="hidden" name="Wrkstn_${AP_ENHANCEDSP_ENABLED}" id="hiddenID_WrkstnEnhancedSPEnabled" value="${AccessProtectionSettings.wrkstn_EnhancedSPEnabled}"/>
                        <input type="hidden" name="Server_${AP_ENHANCEDSP_ENABLED}" id="hiddenID_ServerEnhancedSPEnabled" value="${AccessProtectionSettings.server_EnhancedSPEnabled}"/>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <!-- Hidden values to be accessed by Java code -->
        <input type="hidden" id="hiddenID_Wrkstn_BOFRules_ruleName" name="hiddenID_Wrkstn_BOFRules_ruleName" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_BOFRules_ruleID" name="hiddenID_Wrkstn_BOFRules_ruleID" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_BOFRules_ruleProcIncludes" name="hiddenID_Wrkstn_BOFRules_ruleProcIncludes" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_BOFRules_ruleProcExcludes" name="hiddenID_Wrkstn_BOFRules_ruleProcExcludes" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_BOFRules_ruleEnforce" name="hiddenID_Wrkstn_BOFRules_ruleEnforce" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_BOFRules_ruleReport" name="hiddenID_Wrkstn_BOFRules_ruleReport" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_userRules_ruleName" name="hiddenID_Wrkstn_userRules_ruleName" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_userRules_ruleID" name="hiddenID_Wrkstn_userRules_ruleID" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_userRules_ruleProcIncludes" name="hiddenID_Wrkstn_userRules_ruleProcIncludes" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_userRules_ruleProcExcludes" name="hiddenID_Wrkstn_userRules_ruleProcExcludes" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_userRules_ruleEnforce" name="hiddenID_Wrkstn_userRules_ruleEnforce" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_userRules_ruleReport" name="hiddenID_Wrkstn_userRules_ruleReport" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_userRules_ruleDefinition" name="hiddenID_Wrkstn_userRules_ruleDefinition" value=""/>
        <input type="hidden" id="hiddenID_Wrkstn_deletedUserRules" name="hiddenID_Wrkstn_deletedUserRules" value=""/>

        <input type="hidden" id="hiddenID_Server_BOFRules_ruleName" name="hiddenID_Server_BOFRules_ruleName" value=""/>
        <input type="hidden" id="hiddenID_Server_BOFRules_ruleID" name="hiddenID_Server_BOFRules_ruleID" value=""/>
        <input type="hidden" id="hiddenID_Server_BOFRules_ruleProcIncludes" name="hiddenID_Server_BOFRules_ruleProcIncludes" value=""/>
        <input type="hidden" id="hiddenID_Server_BOFRules_ruleProcExcludes" name="hiddenID_Server_BOFRules_ruleProcExcludes" value=""/>
        <input type="hidden" id="hiddenID_Server_BOFRules_ruleEnforce" name="hiddenID_Server_BOFRules_ruleEnforce" value=""/>
        <input type="hidden" id="hiddenID_Server_BOFRules_ruleReport" name="hiddenID_Server_BOFRules_ruleReport" value=""/>
        <input type="hidden" id="hiddenID_Server_userRules_ruleName" name="hiddenID_Server_userRules_ruleName" value=""/>
        <input type="hidden" id="hiddenID_Server_userRules_ruleID" name="hiddenID_Server_userRules_ruleID" value=""/>
        <input type="hidden" id="hiddenID_Server_userRules_ruleProcIncludes" name="hiddenID_Server_userRules_ruleProcIncludes" value=""/>
        <input type="hidden" id="hiddenID_Server_userRules_ruleProcExcludes" name="hiddenID_Server_userRules_ruleProcExcludes" value=""/>
        <input type="hidden" id="hiddenID_Server_userRules_ruleEnforce" name="hiddenID_Server_userRules_ruleEnforce" value=""/>
        <input type="hidden" id="hiddenID_Server_userRules_ruleReport" name="hiddenID_Server_userRules_ruleReport" value=""/>
        <input type="hidden" id="hiddenID_Server_userRules_ruleDefinition" name="hiddenID_Server_userRules_ruleDefinition" value=""/>
        <input type="hidden" id="hiddenID_Server_deletedUserRules" name="hiddenID_Server_deletedUserRules" value=""/>

        <td class="orionSummaryHeader" valign="top">
            <orion:message key="AccessProtection.AccessProtectionRulesTitle" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <table>
                <tr>
                    <td width="7"></td>
                    <td width="170">${APHeadingCategoryText}</td>
                    <td width="139"></td>
				    <td width="170">${APHeadingRule}</td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>
                        <div width="305" height="200" id="divID_APCategoryList"></div>
                    </td>
                    <td width="10"></td>
                    <td>
                        <div width="440" height="200" id="divID_APRuleList"></div>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td width="315"></td>
                    <td>
                        <orion:button id="buttonID_AddAPRule"
                                      text="${NewText}"
                                      onclick="AddAPRule_onclick();"
                                      style="width:90px"/>
                        <orion:button id="buttonID_EditAPRule"
                                      text="${EditText}"
                                      onclick="EditAPRule_onclick();"
                                      style="width:90px"/>
                        <orion:button id="buttonID_RemoveAPRule"
                                      text="${DeleteText}"
                                      onclick="RemoveAPRule_onclick();"
                                      style="width:90px"/>
                    </td>
                </tr>
            </table>

            <!--DialogBox for selecting the rule type -->
            <div class="dialogBox" id="divID_RuleTypeSelectDialog">
                <orion:titlebar id="titleID_RuleTypeDialogTitle" text="${SelectRuleTypeText}"/>
                <div id="divID_RuleTypeSelectContent">
                    <br/>
                    <br/>
                    <table>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:radiobutton id="radioID_PortRule"
                                                   name="RuleType"
                                                   text="${PortRuleText}"
                                                   onclick="setRuleType(RULE_TYPE_PORT);"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:radiobutton id="radioID_FileRule"
                                                   name="RuleType"
                                                   text="${FileRuleText}"
                                                   onclick="setRuleType(RULE_TYPE_FILE);"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:radiobutton id="radioID_RegistryRule"
                                                   name="RuleType"
                                                   text="${RegistryRuleText}"
                                                   onclick="setRuleType(RULE_TYPE_REGISTRY);"/>
                            </td>
                        </tr>
                    </table>
                    <br/>
                    <br/>
                </div>
                <orion:footerbar skin="gray">
                    <orion:button id="buttonID_ruleTypeSelectOK" text="${OKText}" enabled="true" onclick="onSelectRuleTypeOK();"/>
                    <orion:button id="buttonID_ruleTypeSelectCancel" text="${CancelText}" enabled="true" onclick="onSelectRuleTypeCancel();"/>
                </orion:footerbar>
            </div>

            <!--DialogBox for Adding/Editing AP Rules -->
            <div class="dialogBox" id="divID_RuleEditDialog">
                <orion:titlebar id="titleID_DialogTitle" text=""/>
                <div id="divID_CommonRuleData">
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <label for="textboxID_RuleName">${RuleNameText}</label>
                            </td>
                            <td width="10"></td>
                        </tr>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <orion:textbox id="textboxID_RuleName" name="textboxID_RuleName" rows="2" size="71" maxlength="259" onkeyup="validateRule();"/>
                                <span style='display: none;' class='orionInputErrorText' id='ruleName_error'>!!</span>
                            </td>
                            <td width="10"></td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <label for="textboxID_IncludedProcs">${IncludedProcsText}</label>
                            </td>
                            <td width="10"></td>
                        </tr>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <!--Removing MaxLength property since we are checking the length in validateRule-->
                                <orion:textarea id="textboxID_IncludedProcs" name="textboxID_IncludedProcs" rows="4" cols="71" onkeyup="validateRule();"/>
                                <span style='display: none;' class='orionInputErrorText' id='includedProcs_error'>!!</span>
								<span style='display: none;' class='orionInputErrorText' id='includedProcs_reachinglimit200'>${TwoHundredCharWarnText}</span>
                                <span style='display: none;' class='orionInputErrorText' id='includedProcs_reachinglimit50'>${FiftyCharWarnText}</span>

                            </td>
                            <td width="10"></td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <label for="textboxID_ExcludedProcs">${ExcludedProcsText}</label>
                            </td>
                            <td width="10"></td>
                        </tr>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <!--Removing MaxLength property since we are checking the length in validateRule-->
                                <orion:textarea id="textboxID_ExcludedProcs" name="textboxID_ExcludedProcs" rows="4" cols="71" onkeyup="validateRule();"/>
                                <span style='display: none;' class='orionInputErrorText' id='excludedProcs_error'>!!</span>
                                <span style='display: none;' class='orionInputErrorText' id='excludedProcs_reachinglimit200'>${TwoHundredCharWarnText}</span>
                                <span style='display: none;' class='orionInputErrorText' id='excludedProcs_reachinglimit50'>${FiftyCharWarnText}</span>
                            </td>
                            <td width="10"></td>
                        </tr>
                    </table>
                </div>
                <br/>
                <div style="display:none" id="divID_PortRuleData">
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <b>${PortsToBlockLabel}</b>
                            </td>
                            <td width="10"></td>
                        </tr>
                    </table>
                    <br/>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                ${PortBlockDescText}
                                <br/>
                                <br/>
                                <label for="ID_StartPort">${PortStartText}</label>
                                <orion:textbox id="ID_StartPort" maxlength="5" size="10" onkeypress="return numbers_only(event)" onkeyup="validateRule();"/>&nbsp;&nbsp;
                                <span style='display: none;' class='orionInputErrorText' id='startport_error'>!!</span>
                                <br/>
                                <br/>
                                <label for="ID_EndPort">${PortEndText}</label>
                                <orion:textbox id="ID_EndPort" maxlength="5" size="10" onkeypress="return numbers_only(event)" onkeyup="validateRule();"/>
                            </td>
                            <td width="10"></td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <br/>
                                <b>${DirectionLabel} <span style='display: none;' class='orionInputErrorText' id='direction_error'>!!</span></b>
                                <br/>
                                <br/>
                                <orion:checkbox id="checkboxID_Inbound" name="checkboxID_Inbound" text="${InboundText}" onclick="validateRule();"/>
                                <br/>
                                <orion:checkbox id="checkboxID_Outbound" name="checkboxID_Outbound" text="${OutboundText}" onclick="validateRule();"/>

                            </td>
                            <td width="10"></td>
                        </tr>
                    </table>
                    <br/>
                    <br/>
                </div>
                <div style="display:none" id="divID_FileRuleData">
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <label for="textboxID_FileOrFolderName">${FileOrFolderNameText}</label>                                
                                <orion:textbox id="textboxID_FileOrFolderName" name="textboxID_FileOrFolderName" rows="2" size="71" maxlength="259" onkeyup="validateRule();"/>
                                <span style='display: none;' class='orionInputErrorText' id='filefoldername_error'>!!</span>
                            </td>
                            <td width="10"></td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <br/>
                                <b>${ActionsToPreventText}</b>
                                <span style='display: none;' class='orionInputErrorText' id='actionstoprevent_error'>!!</span>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:checkbox id="checkboxID_ReadAccess" name="checkboxID_ReadAccess" text="${ReadAccessText}" onclick="validateRule();"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:checkbox id="checkboxID_WriteAccess" name="checkboxID_WriteAccess" text="${WriteAccessText}" onclick="validateRule();"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:checkbox id="checkboxID_ExecuteAccess" name="checkboxID_ExecuteAccess" text="${ExecuteAccessText}" onclick="validateRule();"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:checkbox id="checkboxID_CreateAccess" name="checkboxID_CreateAccess" text="${CreateAccessText}" onclick="validateRule();"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:checkbox id="checkboxID_DeleteAccess" name="checkboxID_DeleteAccess" text="${DeleteAccessText}" onclick="validateRule();"/>
                            </td>
                        </tr>
                    </table>
                    <br/>
                    <br/>
                </div>
                <div style="display:none" id="divID_RegistryRuleData">
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <label for="selectID_RegRoot">${RegKeyValueToProtectText}</label>
                                <br/>
                                <orion:select id="selectID_RegRoot"
                                              name="selectID_RegRoot">
                                    <option value="HKLM">HKLM</option>
                                    <option value="HKCU">HKCU</option>
                                    <option value="HKCR">HKCR</option>
                                    <option value="HKCCS">HKCCS</option>
                                    <option value="HKULM">HKULM</option>
                                    <option value="HKALL">HKALL</option>                                    
                                </orion:select>
                                <orion:textbox id="textboxID_RegKeyValueToBlock"
                                               name="textboxID_RegKeyValueToBlock"
                                               size="71"
                                               style="width:370px"
                                               maxlength="259"
                                               onkeyup="validateRule();"/>
                                <span style='display: none;' class='orionInputErrorText' id='regkeyvalueblock_error'>!!</span>
                            </td>
                            <td width="10"></td>
                        </tr>
                    </table>
                    <br/>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <label for="radioID_KeyType">${RegKeyValueToProtectText}</label>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="30"></td>
                            <td>
                                <orion:radiobutton id="radioID_KeyType"
                                                   name="groupID_RegRuleType"
                                                   text="${KeyText}"
                                                   onclick="validateRule();"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="30"></td>
                            <td>
                                <orion:radiobutton id="radioID_ValueType"
                                                   name="groupID_RegRuleType"
                                                   text="${ValueText}"
                                                   onclick="validateRule();"/>
                            </td>
                        </tr>
                    </table>
                    <br/>
                    <br/>
                    <table>
                        <tr>
                            <td width="10"></td>
                            <td>
                                <b><label for="selectID_RegRoot">${RegActionsPreventedText}</label></b>
                                <span style='display: none;' class='orionInputErrorText' id='registrytoprevent_error'>!!</span>
                            </td>
                        </tr>
                    </table>
                    <table>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:checkbox id="checkboxID_RegWriteAccess" name="checkboxID_RegWriteAccess" text="${RegWriteAccessText}" onclick="validateRule();"/>                           
                            </td>
                        </tr>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:checkbox id="checkboxID_RegCreateAccess" name="checkboxID_RegCreateAccess" text="${RegCreateAccessText}" onclick="validateRule();"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="20"></td>
                            <td>
                                <orion:checkbox id="checkboxID_RegDeleteAccess" name="checkboxID_RegDeleteAccess" text="${RegDeleteAccessText}" onclick="validateRule();"/>
                            </td>
                        </tr>
                    </table>
                </div>
                <orion:footerbar skin="gray">
                    <orion:button id="buttonID_editRuleOK" text="${OKText}" enabled="false" onclick="onEditAPRuleOK();"/>
                    <orion:button id="buttonID_editRuleCancel" text="${CancelText}" enabled="true" onclick="onEditRuleCancel();"/>
                </orion:footerbar>
            </div>
        </td>
    </tr>
</table>
</div>

<div id="reports" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${LogFileInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_LogToFile"
                            text="${LogToFileText}"
                            onclick="fnEnableReportingTabUI(); validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${AP_LOG_TO_FILE}" id="hiddenID_WrkstnLogToFile" value="${AccessProtectionSettings.wrkstn_bLogToFile}"/>
                <input type="hidden" name="Server_${AP_LOG_TO_FILE}" id="hiddenID_ServerLogToFile" value="${AccessProtectionSettings.server_bLogToFile}"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLocationLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <jsp:include page="/SystemMacros/SystemMacros.jsp"/>
                <img id="imgID_MacroNoFocus"
                     onclick='showMacroMenu(event, $("textboxID_LogFileName"), validatePolicy);'
                     onmouseover='this.src="/VIRUSCAN8800/img/M2.jpg"'
                     onmouseout='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     onmousedown='this.src="/VIRUSCAN8800/img/M3.jpg"'
                     onmouseup='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     src="/VIRUSCAN8800/img/M1.jpg">
                <orion:textbox id="textboxID_LogFileName"
                               maxlength="250"
                               required="true"
                               onkeyup="validatePolicy();"
                               onvalidate="validateLogfilePath"/>
                <input type="hidden" name="Wrkstn_${AP_LOG_FILE_NAME}" id="hiddenID_WrkstnLogFileName" value="${AccessProtectionSettings.wrkstn_szLogFileName}"/>
                <input type="hidden" name="Server_${AP_LOG_FILE_NAME}" id="hiddenID_ServerLogFileName" value="${AccessProtectionSettings.server_szLogFileName}"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileSizeLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                 <orion:checkbox id="checkboxID_LimitLogFileSize"
                            text="${LimitLogFileSizeText}"
                            onClick="fnEnableReportingTabUI(); validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${AP_LIMIT_LOG_SIZE}" id="hiddenID_WrkstnLimitLogSize" value="${AccessProtectionSettings.wrkstn_bLimitSize}"/>
                <input type="hidden" name="Server_${AP_LIMIT_LOG_SIZE}" id="hiddenID_ServerLimitLogSize" value="${AccessProtectionSettings.server_bLimitSize}"/>
                <table>
                    <tr>
                        <td width="16"/>
                        <td>
                            <label id="labelID_MaxLogSize">${MaximumSizeText}</label>
                            <orion:textbox id="textboxID_MaxLogSize"
                                           maxlength="3"
                                           size="5"
                                           required="true"
                                           onvalidate="validateMaxLogSize"
                                           onkeypress="return numbers_only(event)"
                                           onkeyup="validatePolicy();"/>
                            <label id="labelID_MB">&nbsp;${MBText}</label>
                            <input type="hidden" name="Wrkstn_${AP_MAX_LOG_SIZE}" id="hiddenID_WrkstnMaxLogSize" value="${AccessProtectionSettings.wrkstn_dwMaxLogSizeMB}"/>
                            <input type="hidden" name="Server_${AP_MAX_LOG_SIZE}" id="hiddenID_ServerMaxLogSize" value="${AccessProtectionSettings.server_dwMaxLogSizeMB}"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileFormatLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:select id="selectID_LogFileFormat"
                        onchange="validatePolicy();"
                        value="${AccessProtectionSettings.wrkstn_LogFileFormat}">
                    <option value="0">${FormatANSIText}</option>
                    <option value="1">${FormatUTF8Text}</option>
                    <option value="2">${FormatUTF16Text}</option>
                </orion:select>
                <input type="hidden" name="Wrkstn_${AP_LOG_FILE_FORMAT}" id="hiddenID_WrkstnLogFileFormat" value="${AccessProtectionSettings.wrkstn_LogFileFormat}"/>
                <input type="hidden" name="Server_${AP_LOG_FILE_FORMAT}" id="hiddenID_ServerLogFileFormat" value="${AccessProtectionSettings.server_LogFileFormat}"/>
            </td>
        </tr>
    </table>
</div>

<div id="globalexclusions" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${GlobalExclusionsText}&nbsp;${GlobalExclusionsInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="AccessProtection.GlobalExclusionsTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" id="hiddenID_WrkstnGlobalExclusions" name="hiddenID_WrkstnGlobalExclusions"/>
                <input type="hidden" id="hiddenID_ServerGlobalExclusions" name="hiddenID_ServerGlobalExclusions"/>
                <table width="1250">
                    <tr>
                        <td width="30%">
                            ${GlobalExclusionsFilenameText}
                        </td>
                        <td width="30%">
                            ${GlobalExclusionsDescriptionText}
                        </td>
                        <td width="20%">
                            ${GlobalExclusionsMD5Text}
                        </td>
                        <td width="20%">
                            ${GlobalExclusionsSignerText}
                        </td>
                    </tr>
                </table>
                <div id="divID_APGlobalExclusionsList"></div>
                <jsp:include page="GlobalExclusions.jsp"/>
            </td>
        </tr>
    </table>

</div>
</orion:box>

<script type='text/javascript'>
    var selectedRow = "undefined";
    var shadow = null;
    var ruleTypeSelectDialog = null;
    var ruleEditDialog = null;
    var fileBlockEditDialog = null;
    var portRuleBeingEdited = null;
    var fileRuleBeingEdited = null;
    var arrCategoryData = new Array();
    arrCategoryData[WRKSTN_POLICY] = new Array();
    arrCategoryData[SERVER_POLICY] = new Array();
    var bMASInstalled = ${AccessProtectionSettings.bMASInstalled};

    OrionCore.addLoadHandler(_setTabStrip);
    OrionCore.addLoadHandler(fnOnPageLoad);

    function fnOnPageLoad()
    {
        initializePolicyData();
        _APTabInit();
        _reportsTabInit();
        _globalExclusionsTabInit();
        displayPolicyData(g_CurrentPolicyType);
        g_FirstValidationCheck = true;
        OrionForm.setStateChangeHandler(stateChangeHandler);
        _doReadonly();
    }

    function _setTabStrip()
    {
        swapper = new majic.SwapTabStrip("swaptab", {
            "accessprotection":{
                title:"${AccessProtectionTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_AP_ACCESS_PROTECTION}");}
            },
            "reports":{
                title:"${ReportsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_AP_REPORTS}");}
            },
            "globalexclusions":{
                title:"${GlobalExclusionsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_AP_GLOBAL_EXCLUSION}");}
            }
        });
    };

    function initializePolicyData()
    {
        g_CurrentPolicyType = WRKSTN_POLICY;

        _APWrkstnDataInit();
        _APServerDataInit();

        bAPEnabled[WRKSTN_POLICY] = ${AccessProtectionSettings.wrkstn_APEnabled};
        bLockdownEnabled[WRKSTN_POLICY] = ${AccessProtectionSettings.wrkstn_PVSPTEnabled};
        bEnhancedSPEnabled[WRKSTN_POLICY] =${AccessProtectionSettings.wrkstn_EnhancedSPEnabled};
        bLogToFile[WRKSTN_POLICY] = ${AccessProtectionSettings.wrkstn_bLogToFile};
        szLogFileName[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(AccessProtectionSettings.wrkstn_szLogFileName)}";
        bLimitSize[WRKSTN_POLICY] = ${AccessProtectionSettings.wrkstn_bLimitSize};
        dwMaxLogSizeMB[WRKSTN_POLICY] = ${AccessProtectionSettings.wrkstn_dwMaxLogSizeMB};
        logFileFormat[WRKSTN_POLICY] = ${AccessProtectionSettings.wrkstn_LogFileFormat};
        dwExclItemCount[WRKSTN_POLICY] = ${AccessProtectionSettings.wrkstn_dwExclItemCount};

        bAPEnabled[SERVER_POLICY] = ${AccessProtectionSettings.server_APEnabled};
        bLockdownEnabled[SERVER_POLICY] = ${AccessProtectionSettings.server_PVSPTEnabled};
        bEnhancedSPEnabled[SERVER_POLICY] =${AccessProtectionSettings.server_EnhancedSPEnabled};
        bLogToFile[SERVER_POLICY] = ${AccessProtectionSettings.server_bLogToFile};
        szLogFileName[SERVER_POLICY] = "${orion:escapeJavaScriptString(AccessProtectionSettings.server_szLogFileName)}";
        bLimitSize[SERVER_POLICY] = ${AccessProtectionSettings.server_bLimitSize};
        dwMaxLogSizeMB[SERVER_POLICY] = ${AccessProtectionSettings.server_dwMaxLogSizeMB};
        logFileFormat[SERVER_POLICY] = ${AccessProtectionSettings.server_LogFileFormat};
        dwExclItemCount[SERVER_POLICY] = ${AccessProtectionSettings.server_dwExclItemCount};

        _APRuleListsInit();
    }

    // Populates the array of category data for the Workstation policy with the data from the server
    function _APWrkstnDataInit()
    {
        var arrCategoryNames = "${AccessProtectionSettings.wrkstn_szGroupNames}".split("${LIST_TOKEN_SPLITTER}");
        var arrCategoryIDs = "${AccessProtectionSettings.wrkstn_szGroupIDs}".split("${LIST_TOKEN_SPLITTER}");

        // Groups rules are seperated by the RULE_LIST_TOKEN_SPLITTER. By splitting on this token
        // the rules will be grouped into an array with each string in the array containing a list
        // of the rule data seperated by the LIST_TOKEN_SPLITTER
        var arrGroupRuleNames = "${AccessProtectionSettings.wrkstn_szRuleNames}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleIDs = "${AccessProtectionSettings.wrkstn_szRuleIDs}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleEnforces = "${AccessProtectionSettings.wrkstn_szRuleEnforces}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleReports = "${AccessProtectionSettings.wrkstn_szRuleReports}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleProcIncludes = "${AccessProtectionSettings.wrkstn_szRuleProcessIncludes}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleProcExcludes = "${AccessProtectionSettings.wrkstn_szRuleProcessExcludes}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleDefinitions = "${AccessProtectionSettings.wrkstn_szRuleDefinitions}".split("${RULE_LIST_TOKEN_SPLITTER}");

        if((arrCategoryNames.length != arrCategoryIDs.length) ||
           (arrCategoryNames.length != arrGroupRuleNames.length) ||
           (arrCategoryNames.length != arrGroupRuleIDs.length) ||
           (arrCategoryNames.length != arrGroupRuleEnforces.length) ||
           (arrCategoryNames.length != arrGroupRuleReports.length) ||
           (arrCategoryNames.length != arrGroupRuleProcIncludes.length) ||
           (arrCategoryNames.length != arrGroupRuleProcExcludes.length) ||
           (arrCategoryNames.length != arrGroupRuleDefinitions.length))
        {
            return false;
        }

        for(var i = 0; i < arrCategoryNames.length; ++i)
        {
            var categoryData = new APCategoryData();
            categoryData.categoryName = arrCategoryNames[i];
            categoryData.categoryID = arrCategoryIDs[i];
            arrCategoryData[WRKSTN_POLICY][i] = categoryData; // save the category data in the array.

            var arrRuleNames = arrGroupRuleNames[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleIDs = arrGroupRuleIDs[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleEnforces = arrGroupRuleEnforces[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleReports = arrGroupRuleReports[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleProcIncludes = arrGroupRuleProcIncludes[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleProcExcludes = arrGroupRuleProcExcludes[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleDefinitions = arrGroupRuleDefinitions[i].split("${LIST_TOKEN_SPLITTER}");

            if((arrRuleNames.length != arrRuleIDs.length) ||
               (arrRuleNames.length != arrRuleEnforces.length) ||
               (arrRuleNames.length != arrRuleReports.length) ||
               (arrRuleNames.length != arrRuleProcIncludes.length) ||
               (arrRuleNames.length != arrRuleProcExcludes.length) ||
               (arrRuleNames.length != arrRuleDefinitions.length))
            {
                return false;
            }

            // add a new property to the object with the name of the
            // category ID. This property will be an array that will store
            // all of the rule data items for that category ID.
            g_arrListRuleData[WRKSTN_POLICY][arrCategoryIDs[i]] = new Array();
            for(var j = 0; j < arrRuleNames.length; ++j)
            {
                var ruleData = new APRuleData();
                ruleData.ruleName = arrRuleNames[j];
                ruleData.ruleID = arrRuleIDs[j];
                ruleData.ruleEnforce = (arrRuleEnforces[j] == "true");
                ruleData.ruleReport = (arrRuleReports[j] == "true");
                ruleData.ruleProcIncludes = arrRuleProcIncludes[j];
                ruleData.ruleProcExcludes = arrRuleProcExcludes[j];
                ruleData.ruleDefinition = arrRuleDefinitions[j];

                g_arrListRuleData[WRKSTN_POLICY][arrCategoryIDs[i]][j] = ruleData;
            }
        }

        return true;
    }

    // Populates the array of category data for the Server policy with the data from the server
    function _APServerDataInit()
    {
        var arrCategoryNames = "${AccessProtectionSettings.server_szGroupNames}".split("${LIST_TOKEN_SPLITTER}");
        var arrCategoryIDs = "${AccessProtectionSettings.server_szGroupIDs}".split("${LIST_TOKEN_SPLITTER}");

        // Groups rules are seperated by the RULE_LIST_TOKEN_SPLITTER. By splitting on this token
        // the rules will be grouped into an array with each string in the array containing a list
        // of the rule data seperated by the LIST_TOKEN_SPLITTER
        var arrGroupRuleNames = "${AccessProtectionSettings.server_szRuleNames}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleIDs = "${AccessProtectionSettings.server_szRuleIDs}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleEnforces = "${AccessProtectionSettings.server_szRuleEnforces}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleReports = "${AccessProtectionSettings.server_szRuleReports}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleProcIncludes = "${AccessProtectionSettings.server_szRuleProcessIncludes}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleProcExcludes = "${AccessProtectionSettings.server_szRuleProcessExcludes}".split("${RULE_LIST_TOKEN_SPLITTER}");
        var arrGroupRuleDefinitions = "${AccessProtectionSettings.server_szRuleDefinitions}".split("${RULE_LIST_TOKEN_SPLITTER}");

        if((arrCategoryNames.length != arrCategoryIDs.length) ||
           (arrCategoryNames.length != arrGroupRuleNames.length) ||
           (arrCategoryNames.length != arrGroupRuleIDs.length) ||
           (arrCategoryNames.length != arrGroupRuleEnforces.length) ||
           (arrCategoryNames.length != arrGroupRuleReports.length) ||
           (arrCategoryNames.length != arrGroupRuleProcIncludes.length) ||
           (arrCategoryNames.length != arrGroupRuleProcExcludes.length) ||
           (arrCategoryNames.length != arrGroupRuleDefinitions.length))
        {
            return false;
        }

        for(var i = 0; i < arrCategoryNames.length; ++i)
        {
            var categoryData = new APCategoryData();
            categoryData.categoryName = arrCategoryNames[i];
            categoryData.categoryID = arrCategoryIDs[i];
            arrCategoryData[SERVER_POLICY][i] = categoryData; // save the category data in the array.

            var arrRuleNames = arrGroupRuleNames[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleIDs = arrGroupRuleIDs[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleEnforces = arrGroupRuleEnforces[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleReports = arrGroupRuleReports[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleProcIncludes = arrGroupRuleProcIncludes[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleProcExcludes = arrGroupRuleProcExcludes[i].split("${LIST_TOKEN_SPLITTER}");
            var arrRuleDefinitions = arrGroupRuleDefinitions[i].split("${LIST_TOKEN_SPLITTER}");

            if((arrRuleNames.length != arrRuleIDs.length) ||
               (arrRuleNames.length != arrRuleEnforces.length) ||
               (arrRuleNames.length != arrRuleReports.length) ||
               (arrRuleNames.length != arrRuleProcIncludes.length) ||
               (arrRuleNames.length != arrRuleProcExcludes.length) ||
               (arrRuleNames.length != arrRuleDefinitions.length))
            {
                return false;
            }

            // add a new property to the object with the name of the
            // category ID. This property will be an array that will store
            // all of the rule data items for that category ID.
            g_arrListRuleData[SERVER_POLICY][arrCategoryIDs[i]] = new Array();
            for(var j = 0; j < arrRuleNames.length; ++j)
            {
                var ruleData = new APRuleData();
                ruleData.ruleName = arrRuleNames[j];
                ruleData.ruleID = arrRuleIDs[j];
                ruleData.ruleEnforce = (arrRuleEnforces[j] == "true");
                ruleData.ruleReport = (arrRuleReports[j] == "true");
                ruleData.ruleProcIncludes = arrRuleProcIncludes[j];
                ruleData.ruleProcExcludes = arrRuleProcExcludes[j];
                ruleData.ruleDefinition = arrRuleDefinitions[j];

                g_arrListRuleData[SERVER_POLICY][arrCategoryIDs[i]][j] = ruleData;
            }
        }

        return true;
    }

    /************************************************************************/
    /* Port block tab functions                                             */
    /************************************************************************/
    function _APRuleListsInit()
    {
        g_APCategoryListWidget = new VSE.ListWidget({
            container:"divID_APCategoryList",
            readonly:"false",
            includeCheckbox:"true",
            objectName:"g_APCategoryListWidget",
            width:"305",
            height:"200",
            checkboxCount:0,
            onchangeSelectionCallback:APCategoryList_onSelectionChange
        });

        displayAPCategories();

        g_APRuleListWidget = new VSE.ListWidget({
            container:"divID_APRuleList",
            readonly:"false",
            includeCheckbox:"true",
            objectName:"g_APRuleListWidget",
            width:"440",
            height:"200",
            checkboxCount:2,
            addCallback:ruleListAddCallback,
            checkboxCallback:ruleListCheckboxOnClickCallback,
            onchangeSelectionCallback:APRuleList_onSelectionChange
        });

        ruleTypeSelectDialog = new VSE.DialogBox();
        ruleTypeSelectDialog.setDialogDiv($("divID_RuleTypeSelectDialog"));

        ruleEditDialog = new VSE.DialogBox();
        ruleEditDialog.setDialogDiv($("divID_RuleEditDialog"));
    }

function onSelectRuleTypeOK()
{
    ruleTypeSelectDialog.showDialog(false);
    ruleEditDialog.showDialog(true);
    $("divID_PortRuleData").style.display = "none";
    $("divID_FileRuleData").style.display = "none";
    $("divID_RegistryRuleData").style.display = "none";
    $("ruleName_error").style.display = "none";
    
    var title = new TitleBar("titleID_DialogTitle");

    if (g_selectedRuleType == RULE_TYPE_PORT)
    {
        validatePortRule();

        $("divID_PortRuleData").style.display = "";
        title.setTitle("${PortRuleTitleText}");
    }
    else if (g_selectedRuleType == RULE_TYPE_FILE)
    {
        validateFileRule();

        $("divID_FileRuleData").style.display = "";
        title.setTitle("${FileRuleTitleText}");
    }
    else if (g_selectedRuleType == RULE_TYPE_REGISTRY)
    {
        $("divID_RegistryRuleData").style.display = "";
        // Show select element that was hidden by dialog code.
        var regRootSelect = $("selectID_RegRoot");
        if(regRootSelect._visibility != null)
        {
            regRootSelect.style.visibility = regRootSelect._visibility;
            regRootSelect._visibility = null;
        }
        validateRegistryRule();
        title.setTitle("${RegistryRuleTitleText}");
    }
    else
    {
        ruleEditDialog.showDialog(false);
    }

    g_isNew = true;
    displayUserCategoryRuleData(null);
    ruleEditDialog.centerDialog();
    ruleEditDialog.setWidth("550px");

    $("textboxID_RuleName").value = "${NewRuleText}";
    $("textboxID_IncludedProcs").value = "*";
    $("textboxID_ExcludedProcs").value = "";
    OrionCore.setEnabledById("buttonID_editRuleOK", false);
}

function onSelectRuleTypeCancel()
{
    ruleTypeSelectDialog.showDialog(false);
}

function AddAPRule_onclick()
{
    // Must show dialog before setting any of the items in the dialog div to checked.
    // There is a bug in IE that prevents the checkboxes from being checked when they are hidden.
    ruleTypeSelectDialog.showDialog(true);
    ruleTypeSelectDialog.setWidth("300px");
    $("radioID_PortRule").checked = true;
    g_selectedRuleType = RULE_TYPE_PORT;
    $("excludedProcs_error").style.display = "none";
    $("includedProcs_error").style.display = "none";
    $("excludedProcs_reachinglimit200").style.display = "none";
    $("excludedProcs_reachinglimit50").style.display = "none";
	$("includedProcs_reachinglimit200").style.display = "none";
    $("includedProcs_reachinglimit50").style.display = "none";
}

function EditAPRule_onclick()
{
    $("excludedProcs_error").style.display = "none";
    $("includedProcs_error").style.display = "none";
    $("excludedProcs_reachinglimit200").style.display = "none";
    $("excludedProcs_reachinglimit50").style.display = "none";
	$("includedProcs_reachinglimit200").style.display = "none";
    $("includedProcs_reachinglimit50").style.display = "none";
    var selectedRuleItem = g_APRuleListWidget.getSelected();
    var selectedCategoryItem = g_APCategoryListWidget.getSelected();
    var bUserCategory = false;
    g_isNew = false;

    if (selectedRuleItem == null)
    {
        alert("${NothingSelectedText}");
        return;
    }

    if (selectedCategoryItem != null)
    {
        bUserCategory = (selectedCategoryItem.itemData.categoryID == "G_User");
    }

    $("divID_PortRuleData").style.display = "none";
    $("divID_FileRuleData").style.display = "none";
    $("divID_RegistryRuleData").style.display = "none";

    // Must show dialog before setting any of the items in the dialog div to checked.
    // There is a bug in IE that prevents the checkboxes from being checked when they are hidden.
    ruleEditDialog.showDialog(true);
    ruleEditDialog.setWidth("550px");

    $("textboxID_RuleName").value = selectedRuleItem.itemData.ruleName;
    $("textboxID_IncludedProcs").value = selectedRuleItem.itemData.ruleProcIncludes;
    $("textboxID_ExcludedProcs").value = selectedRuleItem.itemData.ruleProcExcludes;

    if (bUserCategory)
    {
        displayUserCategoryRuleData(selectedRuleItem);
    }

    var title = new TitleBar("titleID_DialogTitle");

    if(g_selectedRuleType == RULE_TYPE_PORT)
    {
        title.setTitle("${PortRuleTitleText}");
    }
    else if(g_selectedRuleType == RULE_TYPE_FILE)
    {
        title.setTitle("${FileRuleTitleText}");
    }
    else if(g_selectedRuleType == RULE_TYPE_REGISTRY)
    {
        // Show select element that was hidden by dialog code.
        var regRootSelect = $("selectID_RegRoot");
        if(regRootSelect._visibility != null)
        {
            regRootSelect.style.visibility = regRootSelect._visibility;
            regRootSelect._visibility = null;
        }
        title.setTitle("${FileRuleTitleText}");
    }
    else
    {
        title.setTitle("${RuleDetailsTitleText}");
    }
    
    ruleEditDialog.centerDialog();
    OrionCore.setEnabledById("buttonID_editRuleOK", false);
    OrionCore.setEnabledById("buttonID_editRuleCancel", true);
}

function RemoveAPRule_onclick()
{
    var selectedRuleItem = g_APRuleListWidget.getSelected();
    var selectedCategoryItem = g_APCategoryListWidget.getSelected();

    if((selectedCategoryItem != null) && (selectedCategoryItem.itemData.categoryID == "G_User"))
    {
        if(selectedRuleItem != null)
        {
            for(var i = 0; i < g_arrListRuleData[g_CurrentPolicyType]["G_User"].length; ++i)
            {
                if(g_arrListRuleData[g_CurrentPolicyType]["G_User"][i] == selectedRuleItem.itemData)
                {
                    trackDeletedUserRule(selectedRuleItem.itemData);
                    g_arrListRuleData[g_CurrentPolicyType]["G_User"].splice(i, 1);
                    populateRuleList("G_User");
                    validatePolicy();
                    break;
                }
            }
        }            
    }
}

function populateRuleList(categoryID)
{
    g_APRuleListWidget.clearList();

    for (var i = 0; i < g_arrListRuleData[g_CurrentPolicyType][categoryID].length; ++i)
    {
        if (g_arrListRuleData[g_CurrentPolicyType][categoryID][i].ruleName != "")
        {
            var item = new VSE.ListItem();
            item.displayText = g_arrListRuleData[g_CurrentPolicyType][categoryID][i].ruleName;
            item.itemData = g_arrListRuleData[g_CurrentPolicyType][categoryID][i];
            //item.itemChecked = g_arrListRuleData[g_CurrentPolicyType][categoryID][i].ruleEnforce;
            g_APRuleListWidget.add(item);
        }
    }
}

function APCategoryList_onSelectionChange(selectedItem)
{
    // Since the Category list selection has changed, there will be
    // nothing selected in the Rule list, so disable buttons.
    OrionCore.setEnabledById("buttonID_RemoveAPRule", false);
    OrionCore.setEnabledById("buttonID_EditAPRule", false);
    OrionCore.setEnabledById("buttonID_AddAPRule", false);

    if (selectedItem != null)
    {
        populateRuleList(selectedItem.itemData.categoryID);
        OrionCore.setEnabledById("buttonID_AddAPRule", (selectedItem.itemData.categoryID == "G_User") && !g_readOnly);
    }
}

function APRuleList_onSelectionChange(selectedItem)
{
    var selectedCategoryItem = g_APCategoryListWidget.getSelected();
    var bUserCategory = false;

    if (selectedCategoryItem != null)
    {
        bUserCategory = (selectedCategoryItem.itemData.categoryID == "G_User");
    }

    OrionCore.setEnabledById("buttonID_AddAPRule", bUserCategory && !g_readOnly);
    OrionCore.setEnabledById("buttonID_EditAPRule", selectedItem != null);
    OrionCore.setEnabledById("buttonID_RemoveAPRule", bUserCategory && selectedItem != null && !g_readOnly);
}

function onEditAPRuleOK()
{
    var szRuleDefinition = "";

    if(g_selectedRuleType == RULE_TYPE_PORT)
    {
        szRuleDefinition = fnBuildPortRuleDefinition();
    }
    else if(g_selectedRuleType == RULE_TYPE_FILE)
    {
        szRuleDefinition = fnBuildFileRuleDefinition();
    }
    else if(g_selectedRuleType == RULE_TYPE_REGISTRY)
    {
        szRuleDefinition = fnBuildRegRuleDefinition();
    }

    if (g_isNew)
    {
        var ruleData = new APRuleData();

        ruleData.ruleName = $("textboxID_RuleName").value;
        ruleData.ruleID = NEW_RULE_ID; // set the rule ID to NEWRULE. Java code will handle giving it a new ID and saving it to the rule data.
        ruleData.ruleProcIncludes = $("textboxID_IncludedProcs").value;
        ruleData.ruleProcExcludes = $("textboxID_ExcludedProcs").value;

        ruleData.ruleDefinition = szRuleDefinition;
        ruleData.ruleEnforce = true;
        ruleData.ruleReport = true;

        g_arrListRuleData[g_CurrentPolicyType]["G_User"].push(ruleData);
        populateRuleList("G_User");
    }
    else
    {
        var selectedRuleItem = g_APRuleListWidget.getSelected();

        if(selectedRuleItem != null)
        {
            var ruleData = selectedRuleItem.itemData;

            if(szRuleDefinition != "")
            {
                ruleData.ruleDefinition = szRuleDefinition;
            }

            ruleData.ruleName = $("textboxID_RuleName").value;
            ruleData.ruleProcIncludes = $("textboxID_IncludedProcs").value;
            ruleData.ruleProcExcludes = $("textboxID_ExcludedProcs").value;
            trackEditedBOFRule(ruleData);
        }
    }

    ruleEditDialog.showDialog(false);
    APCategoryList_onSelectionChange(g_APCategoryListWidget.getSelected());
    validatePolicy();
}

function onEditRuleCancel()
{
    $("ruleName_error").style.display = "none";
    ruleEditDialog.showDialog(false);
}

function validateRule()
{
    var bValidRule = true;

    $("ruleName_error").style.display = "none";
    $("startport_error").style.display = "none";
    $("direction_error").style.display = "none";
    $("filefoldername_error").style.display = "none";
    $("actionstoprevent_error").style.display = "none";
    $("regkeyvalueblock_error").style.display = "none";
    $("registrytoprevent_error").style.display = "none";
    $("excludedProcs_error").style.display = "none";
    $("includedProcs_error").style.display = "none";
    $("excludedProcs_reachinglimit200").style.display = "none";
    $("excludedProcs_reachinglimit50").style.display = "none";
	$("includedProcs_reachinglimit200").style.display = "none";
    $("includedProcs_reachinglimit50").style.display = "none";

    //The following line has been commented out since it is unclear as to why & and < shouldn't be included in rule names since default rulename
    //"Protect Mozilla & Firefox files and settings" itself has an &. [bug530049]
    //if(($("textboxID_RuleName").value.search(/\S/) == -1) || ($("textboxID_IncludedProcs").value.search(/\S/) == -1) || ($("textboxID_RuleName").value.search(/<|&/) != -1))

    if(($("textboxID_RuleName").value.search(/\S/) == -1) || ($("textboxID_IncludedProcs").value.search(/\S/) == -1) || ($("textboxID_RuleName").value.search(/</) != -1))
    {
        $("ruleName_error").style.display = "";        
        bValidRule = false;
    }

    if(bValidRule)
    {
        if(IsDuplicateRuleName($("textboxID_RuleName").value))
        {
            bValidRule = false;
            $("ruleName_error").style.display = "";
        }
    }

    if(bValidRule)
    {
        //BufferSize for Exclude Processes has been doubled in the client, hence doubling it here.
        //If the user exceeds the allowable length, alert them by displaying '!!'
        if( $("textboxID_ExcludedProcs").value.length >= 5200)
        {
           bValidRule = false;
           $("excludedProcs_error").style.display = "";
        }
        else if($("textboxID_ExcludedProcs").value.length >5000 && $("textboxID_ExcludedProcs").value.length <=5150)
        {
           $("excludedProcs_reachinglimit200").style.display = "";
        }
        else if($("textboxID_ExcludedProcs").value.length >5150 && $("textboxID_ExcludedProcs").value.length <5200)
        {
           $("excludedProcs_reachinglimit50").style.display = "";
        }
    }

    if(bValidRule)
    {
        //BufferSize for Include Processes has been doubled in the client, hence doubling it here.
        //If the user exceeds the allowable length, alert them by displaying '!!'
        if( $("textboxID_IncludedProcs").value.length >= 5200)
        {
           bValidRule = false;
           $("includedProcs_error").style.display = "";
        }
        else if($("textboxID_IncludedProcs").value.length >5000 && $("textboxID_IncludedProcs").value.length <=5150)
        {
           $("includedProcs_reachinglimit200").style.display = "";
        }
        else if($("textboxID_IncludedProcs").value.length >5150 && $("textboxID_IncludedProcs").value.length <5200)
        {
           $("includedProcs_reachinglimit50").style.display = "";
        }
    }

    if(bValidRule)
    {
        if (g_selectedRuleType == RULE_TYPE_PORT)
        {
            bValidRule = validatePortRule();
        }
        else if (g_selectedRuleType == RULE_TYPE_FILE)
        {
            bValidRule = validateFileRule();
        }
        else if (g_selectedRuleType == RULE_TYPE_REGISTRY)
        {
            bValidRule = validateRegistryRule();
        }
    }
    OrionCore.setEnabledById("buttonID_editRuleOK", bValidRule && !g_readOnly);
}

function validatePortRule()
{
    var bValid = true;
    var PortStart;
    var PortEnd;

    $("startport_error").style.display = "none";
    $("direction_error").style.display = "none";        

    if($("ID_StartPort").value)
    {
        if ($("ID_EndPort").value)
        {
            PortStart = parseInt($("ID_StartPort").value);
            PortEnd = parseInt($("ID_EndPort").value);

            if (PortStart > PortEnd)
            {
                bValid = false;
                $("startport_error").style.display = "";
            }

        }
        
         if (!$("checkboxID_Inbound").checked &&
             !$("checkboxID_Outbound").checked)
        {
            bValid = false;
            $("direction_error").style.display = "";
        }

    }
    else
    {
        bValid = false;
        $("startport_error").style.display = "";
    }
    
    return bValid;
}

function validateFileRule()
{
    var bValid = true;
    $("filefoldername_error").style.display = "none";
    $("actionstoprevent_error").style.display = "none";

    if($("textboxID_FileOrFolderName").value.search(/\S/) != -1)
    {
        //if no checkboxes are checked, pop up an error in the text above the checkboxes
        if(!$("checkboxID_ReadAccess").checked &&
           !$("checkboxID_WriteAccess").checked &&
           !$("checkboxID_ExecuteAccess").checked &&
           !$("checkboxID_CreateAccess").checked &&
           !$("checkboxID_DeleteAccess").checked)
        {
            bValid = false;
            $("actionstoprevent_error").style.display = "";            
        }
    }
    else
    {
        bValid = false;
        $("filefoldername_error").style.display = "";
    }

    return bValid;
}

function validateRegistryRule()
{
    var bValid = true;

    $("regkeyvalueblock_error").style.display = "none";
    $("registrytoprevent_error").style.display = "none";

    if($("textboxID_RegKeyValueToBlock").value.search(/\S/) != -1)
    {
        //if no checkboxes are checked, pop up an error in the text above the checkboxes
        if (!$("checkboxID_RegWriteAccess").checked &&
            !$("checkboxID_RegCreateAccess").checked &&
            !$("checkboxID_RegDeleteAccess").checked)
        {
            bValid = false
            $("registrytoprevent_error").style.display = "";
        }
    }
    else
    {
        bValid = false;
        $("regkeyvalueblock_error").style.display = "";
    }

    return bValid;
}

function _APTabInit()
{
    $("checkboxID_APEnabled").checked = bAPEnabled[g_CurrentPolicyType];
    $("checkboxID_LockdownEnabled").checked = bLockdownEnabled[g_CurrentPolicyType];
    $("checkboxID_EnhancedSPEnabled").checked = bEnhancedSPEnabled[g_CurrentPolicyType];
}

function _reportsTabInit()
{
    $("selectID_LogFileFormat").selectedIndex = logFileFormat[g_CurrentPolicyType];
    $("checkboxID_LogToFile").checked = bLogToFile[g_CurrentPolicyType];
    $("textboxID_LogFileName").value = szLogFileName[g_CurrentPolicyType];
    $("checkboxID_LimitLogFileSize").checked = bLimitSize[g_CurrentPolicyType];
    $("textboxID_MaxLogSize").value = dwMaxLogSizeMB[g_CurrentPolicyType];

    fnEnableReportingTabUI();
}

function fnEnableReportingTabUI()
{
    var enableUI = $("checkboxID_LogToFile").checked;

    $("textboxID_LogFileName").disabled = !enableUI;
    $("checkboxID_LimitLogFileSize").disabled = !enableUI;
    $("labelID_MaxLogSize").disabled = !enableUI;
    $("textboxID_MaxLogSize").disabled = !enableUI;
    $("selectID_LogFileFormat").disabled = !enableUI;

    if(enableUI)
    {
        $("textboxID_MaxLogSize").disabled = !($("checkboxID_LimitLogFileSize").checked);
    }
}

function setRuleType(ruleType)
{
    g_selectedRuleType = ruleType;
}


function _globalExclusionsTabInit()
{
        addeditGEDialog = new VSE.DialogBox;
        addeditGEDialog.setDialogDiv($("divID_AddEditGlobalExclDialog"));

        g_arrListGEData[WRKSTN_POLICY] = new Array();
        g_arrListGEData[SERVER_POLICY] = new Array();

        // Populate Workstation Exclusion Data
    var wrkstnGlobalExclusionsList = "${orion:escapeJavaScriptString(AccessProtectionSettings.wrkstn_szExclItems)}".split(Constants.LIST_TOKEN_SPLITTER);
    for(i = 0; i < wrkstnGlobalExclusionsList.length; ++i)
    {
        var geDataItem = new GEDataItem();
        geDataItem.geData = wrkstnGlobalExclusionsList[i];
        g_arrListGEData[WRKSTN_POLICY][i] = geDataItem;
    }

    // Populate Server Exclusion Data
    var serverGlobalExclusionsList = "${orion:escapeJavaScriptString(AccessProtectionSettings.server_szExclItems)}".split(Constants.LIST_TOKEN_SPLITTER);
    for(i = 0; i < serverGlobalExclusionsList.length; ++i)
    {
        var geDataItem = new GEDataItem();
        geDataItem.geData = serverGlobalExclusionsList[i];
        g_arrListGEData[SERVER_POLICY][i] = geDataItem;
    }

        GlobalExclusions_ListWidgetInit();
        populateGlobalExclusionsList();

}

    function GlobalExclusions_ListWidgetInit()
    {
        g_GlobalExclusionsItemsListWidget = new VSE.ListWidget2({
            container:"divID_APGlobalExclusionsList",
            readonly:"false",
            includeCheckbox:"false",
            objectName:"g_GlobalExclusionsItemsListWidget",
            width:"1250",
            height:"200",
            thisObject:g_GlobalExclusionsItemsListWidget,
            addCallback:GlobalExclusions_AddCallback,
            selectedRowUpdateCallback:globalExclusionsUpdateRowDataCallback,
            removeCallback:globalExclusionsRemoveCallback,
            content:$("globalexclusions_listitem_template").innerHTML
        });
    }

    function populateGlobalExclusionsList()
    {
        g_GlobalExclusionsItemsListWidget.clearList();

        if(g_arrListGEData[g_CurrentPolicyType].length > 0)
        {
            for(var i = 0; i < g_arrListGEData[g_CurrentPolicyType].length; ++i)
            {
                if(g_arrListGEData[g_CurrentPolicyType][i].geData != "")
                {
                    var item = new VSE.ListItem2();
                    item.itemData = g_arrListGEData[g_CurrentPolicyType][i];
                    g_GlobalExclusionsItemsListWidget.add(item);
                }
            }
        }
    }


function validatePolicy()
{
    var valid = validateReportTab();

    if(valid)
    {
        valid = OrionForm.isFormValid();
    }

    stateChangeHandler(OrionForm.isFormDirty(), valid);
}

function validateReportTab()
{
    var bValid = true;

    if($("checkboxID_LogToFile").checked)
    {
        bValid = validateLogfilePath($("textboxID_LogFileName").value);

        if(bValid && $("checkboxID_LimitLogFileSize").checked && ($("textboxID_MaxLogSize").value == "" || $("textboxID_MaxLogSize").value < 1))
        {
            bValid = false;
        }
    }

    return bValid;
}

function _doReadonly()
{
    if ("${epoReadOnlyPolicyObject}" == "true")
    {
        disableSection("ACCESS_PROTECTION",false);
        g_readOnly = true;
    }
}
</script>
