<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.policies.emailscan.EmailScanConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.emailscan.EmailScanConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/emailscan/EditEmailScanPolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/core" src="/majic.js"/>

<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<orion:message key="EmailScan.DetectionTab" var="DetectionTabLabel"/>
<orion:message key="EmailScan.AdvancedTab" var="AdvancedTabLabel"/>
<orion:message key="EmailScan.ActionsTab" var="ActionsTabLabel"/>
<orion:message key="EmailScan.AlertsTab" var="AlertsTabLabel"/>
<orion:message key="EmailScan.ProgramTab" var="ProgramTabLabel"/>
<orion:message key="EmailScan.NotesScannerTab" var="NotesScannerTabLabel"/>
<orion:message key="EmailScan.ReportsTab" var="ReportsTabLabel"/>

<!--Detection Tab Strings
<!-- ****************************************************************************** -->
<orion:message key="OASCommon.ScanInfo" var="ScanInfoText"/>
<orion:message escape="None" key="EmailScan.EnableEmailScanning" var="EnableEmailScanningText"/>
<orion:message escape="None" key="EmailScan.AllFiles" var="AllFilesText"/>
<orion:message escape="None" key="EmailScan.DefaultAndSpecified" var="DefaultAndSpecifiedText"/>
<orion:message key="EmailScan.EnterFileTypesLabel" var="EnterFileTypesLabelText"/>
<orion:message escape="None" key="EmailScan.SpecifiedOnly" var="SpecifiedOnlyText"/>
<orion:message escape="None" key="EmailScan.AlsoScanForMacro" var="AlsoScanForMacroText"/>
<orion:message key="Global.HeuristicSensitivity" var="HeuristicSensitivityText"/>
<orion:message key="Global.HeuristicOff" var="HeuristicOffText"/>
<orion:message key="Global.HeuristicVeryLow" var="HeuristicVeryLowText"/>
<orion:message key="Global.HeuristicLow" var="HeuristicLowText"/>
<orion:message key="Global.HeuristicMedium" var="HeuristicMediumText"/>
<orion:message key="Global.HeuristicHigh" var="HeuristicHighText"/>
<orion:message key="Global.HeuristicVeryHigh" var="HeuristicVeryHighText"/>
<orion:message key="EmailScan.MaxScanTime" var="MaxScanTimeText"/>
<orion:message escape="None" key="EmailScan.TimeoutAllFiles" var="TimeoutAllFilesText"/>
<!-- ****************************************************************************** -->

<!--Advanced Tab Strings
<!-- ****************************************************************************** -->
<orion:message escape="None" key="EmailScan.FindUnknownProgramViruses" var="FindUnknownProgramVirusesText"/>
<orion:message escape="None" key="EmailScan.FindUnknownMacroViruses" var="FindUnknownMacroVirusesText"/>
<orion:message escape="None" key="EmailScan.FindAttachmentsWithMultiExt" var="FindAttachmentsWithMultiExtText"/>
<orion:message escape="None" key="EmailScan.ScanInArchives" var="ScanInArchivesText"/>
<orion:message escape="None" key="EmailScan.DecodeMIMEFiles" var="DecodeMIMEFilesText"/>
<orion:message escape="None" key="EmailScan.EmailMessageBody" var="EmailMessageBodyText"/>
<orion:message escape="None" key="EmailScan.ScanEmailMessageBody" var="ScanEmailMessageBodyText"/>
<!-- ****************************************************************************** -->

<!--Actions Tab Strings
<!-- ****************************************************************************** -->
<orion:message key="EmailScan.PrimaryAction" var="PrimaryActionText"/>
<orion:message key="EmailScan.SecondaryAction" var="SecondaryActionText"/>
<orion:message escape="Javascript" key="EmailScan.ActionPrompt" var="ActionPromptText"/>
<orion:message escape="Javascript" key="EmailScan.ActionContinue" var="ActionContinueText"/>
<orion:message escape="Javascript" key="EmailScan.ActionClean" var="ActionCleanText"/>
<orion:message escape="Javascript" key="EmailScan.ActionMove" var="ActionMoveText"/>
<orion:message escape="Javascript" key="EmailScan.ActionDelete" var="ActionDeleteText"/>
<orion:message escape="Javascript" key="EmailScan.ActionDeleteMail" var="ActionDeleteMailText"/>
<orion:message escape="Javascript" key="EmailScan.ActionNoSecondary" var="ActionNoSecondaryText"/>
<orion:message escape="None" key="EmailScan.PromptClean" var="PromptCleanText"/>
<orion:message escape="None" key="EmailScan.PromptDelete" var="PromptDeleteText"/>
<orion:message escape="None" key="EmailScan.PromptMove" var="PromptMoveText"/>
<orion:message escape="None" key="EmailScan.PromptDeleteMail" var="PromptDeleteMailText"/>
<orion:message key="EmailScan.QuarantineLocation" var="QuarantineLocationText"/>
<!-- ****************************************************************************** -->

<!--Alerts Tab Strings
<!-- ****************************************************************************** -->
<orion:message escape="None" key="EmailScan.SendMailToUser" var="SendMailToUserText"/>
<orion:message key="EmailScan.SendTo" var="SendToText"/>
<orion:message key="EmailScan.SendCc" var="SendCcText"/>
<orion:message key="EmailScan.SendSubject" var="SendSubjectText"/>
<orion:message key="EmailScan.SendBody" var="SendBodyText"/>
<orion:message escape="None" key="EmailScan.DisplayMessage" var="DisplayMessageText"/>
<!-- ****************************************************************************** -->

<!--Notes Scanner Tab Strings
<!-- ****************************************************************************** -->
<orion:message key="EmailScan.NotesScannerInfo" var="NotesScannerInfoText"/>
<orion:message escape="None" key="EmailScan.NotesScanner.ScanAllServerDatabases" var="ScanAllServerDatabasesText"/>
<orion:message escape="None" key="EmailScan.NotesScanner.ServerScanMailboxes" var="ServerScanMailboxesText"/>
<orion:message key="EmailScan.NotesScanner.MailboxRootFolder" var="MailboxRootFolderText"/>
<orion:message key="EmailScan.NotesScanner.NotesApplicationsToExclude" var="NotesApplicationsToExcludeText"/>
<!-- ****************************************************************************** -->

<!--Unwanted Programs Tab Strings
<!-- ****************************************************************************** -->
<orion:message escape="None" key="EmailScan.ApplyNVP" var="ApplyNVPText"/>
<!-- ****************************************************************************** -->

<orion:message escape="None" key="Global.Report.LogToFile" var="LogToFileText"/>
<orion:message escape="None" key="Global.Report.LimitLogFileSize" var="LimitLogFileSizeText"/>
<orion:message key="Global.Report.SizeUnitLabel" var="MaximumSizeText"/>
<orion:message key="Global.Report.MBLabel" var="MBText"/>
<orion:message key="Global.Report.SizeUnitLabel" var="SizeUnitLabelText"/>
<orion:message key="Global.Report.FormatANSI" var="FormatANSIText"/>
<orion:message key="Global.Report.FormatUTF8" var="FormatUTF8Text"/>
<orion:message key="Global.Report.FormatUTF16" var="FormatUTF16Text"/>
<orion:message escape="None" key="Global.Report.LogSettings" var="LogSettingsText"/>
<orion:message escape="None" key="Global.Report.LogSummary" var="LogSummaryText"/>
<orion:message escape="None" key="Global.Report.LogEncryptFails" var="LogEncryptFailsText"/>
<orion:message key="Global.Report.LogFileInfo" var="LogFileInfoText"/>

<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="EMAIL_SCAN">
<div id="detection" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${ScanInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.ScanningOfEmail" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_ScanEnabled"
                                text="${EnableEmailScanningText}"
                                onClick="fnEnableEmailSettingsUI(); validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${EMAIL_SCAN_ENABLED}" id="hiddenID_WrkstnEnableEmailScanning"/>
                <input type="hidden" name="Server_${EMAIL_SCAN_ENABLED}" id="hiddenID_ServerEnableEmailScanning"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.FileTypesToScan" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=hidden name="Wrkstn_${EMAIL_SCAN_EXTENSION_MODE}" id="hiddenID_WrkstnExtensionMode"/>
                <input type=hidden name="Server_${EMAIL_SCAN_EXTENSION_MODE}" id="hiddenID_ServerExtensionMode"/>
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_DEFAULT_PLUS_EXTENSIONS}" id="hiddenID_WrkstnDefaultPlusExtensions"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_DEFAULT_PLUS_EXTENSIONS}" id="hiddenID_ServerDefaultPlusExtensions"/>
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_PROGRAM_EXTENSIONS}" id="hiddenID_WrkstnProgramExtensions"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_PROGRAM_EXTENSIONS}" id="hiddenID_ServerProgramExtensions"/>
                <jsp:include page="/FilesToScanTemplate.jsp"/>
            </td>
         </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.Heuristics" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_PROGRAM_HEURISTICS}" id="hiddenID_WrkstnProgramHeuristics"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_PROGRAM_HEURISTICS}" id="hiddenID_ServerProgramHeuristics"/>
                <orion:checkbox id="checkboxID_ProgramHeuristics"
                                text="${FindUnknownProgramVirusesText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_MACRO_HEURISTICS}" id="hiddenID_WrkstnMacroHeuristics"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_MACRO_HEURISTICS}" id="hiddenID_ServerMacroHeuristics"/>
                <orion:checkbox id="checkboxID_MacroHeuristics"
                                text="${FindUnknownMacroVirusesText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_EXTENSION_HEURISTICS}" id="hiddenID_WrkstnExtensionHeuristics"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_EXTENSION_HEURISTICS}" id="hiddenID_ServerExtensionHeuristics"/>
                <orion:checkbox id="checkboxID_ExtensionHeuristics"
                                text="${FindAttachmentsWithMultiExtText}"
                                onClick="validatePolicy()"/>
            </td>
         </tr>
         <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.CompressedFiles" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SCAN_ARCHIVES}" id="hiddenID_WrkstnScanArchives"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_SCAN_ARCHIVES}" id="hiddenID_ServerScanArchives"/>
                <orion:checkbox id="checkboxID_ScanArchives"
                                text="${ScanInArchivesText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SCAN_MIME}" id="hiddenID_WrkstnScanMime"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_SCAN_MIME}" id="hiddenID_ServerScanMime"/>
                <orion:checkbox id="checkboxID_ScanMime"
                                text="${DecodeMIMEFilesText}"
                                onClick="validatePolicy()"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.UnwantedProgramsDetectionLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_APPLY_NVP}" id="hiddenID_WrkstnScanApplyNVP"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_APPLY_NVP}" id="hiddenID_ServerScanApplyNVP"/>
                <orion:checkbox id="checkboxID_ApplyNVP"
                                text="${ApplyNVPText}"
                                onClick="fnApplyNVPChange()"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.EmailMessageBody" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SCAN_MESSAGE_BODIES}" id="hiddenID_WrkstnScanMessageBodies"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_SCAN_MESSAGE_BODIES}" id="hiddenID_ServerScanMessageBodies"/>
                <orion:checkbox id="checkboxID_ScanMessageBodies"
                                text="${ScanEmailMessageBodyText}"
                                onClick="validatePolicy()"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.HeuristicNetCheckTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_HEURISTIC_SENSITIVITY}" id="hiddenID_WrkstnHeuristicSensitivity"/>
                            <input type=HIDDEN name="Server_${EMAIL_SCAN_HEURISTIC_SENSITIVITY}" id="hiddenID_ServerHeuristicSensitivity"/>
                            <label id="labelID_HeuristicSensitivity">${HeuristicSensitivityText}</label>
                            <orion:select id="selectID_HeuristicSensitivity"
                                          name="selectID_HeuristicSensitivity"
                                          onchange="validatePolicy();">
                                <option value="-1">${HeuristicOffText}</option>
                                <option value="0">${HeuristicVeryLowText}</option>
                                <option value="1">${HeuristicLowText}</option>
                                <option value="2">${HeuristicMediumText}</option>
                                <option value="3">${HeuristicHighText}</option>
                                <option value="4">${HeuristicVeryHighText}</option>
                            </orion:select>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.ScanTimeLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="ID_EnforceMaxScanTime"
                                text="${TimeoutAllFilesText}"
                                onClick="validatePolicy();fnSetMaxScanTimeState(!this.checked);"
                                name="ID_EnforceMaxScanTime"/>
                <table>
                    <tr>
                        <td width="12">
                        </td>
                        <td>
                            <label id="labelID_MaxScanTime">${MaxScanTimeText}</label>
                            <input type="hidden" name="Wrkstn_${EMAIL_SCAN_TIMEOUT}" id="hiddenID_Wrkstn_ScannerThreadTimeout"/>
                            <input type="hidden" name="Server_${EMAIL_SCAN_TIMEOUT}" id="hiddenID_Server_ScannerThreadTimeout"/>
                            <orion:textbox id="textboxID_ScannerThreadTimeout"
                                           maxlength="4"
                                           size="5"
                                           onkeyup="validatePolicy()"
                                           onkeypress="return numbers_only(event)"
                                           onvalidate="validateMaxScanTime"
                                           required="true"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<table cellspacing="0" cellpadding="0" width="100%" id="actions" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="EmailScan.WhenThreatFound" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <table>
                <tr>
                    <td>
                        <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_ACTION}" id="hiddenID_WrkstnThreatPrimaryAction"/>
                        <input type=HIDDEN name="Server_${EMAIL_SCAN_ACTION}" id="hiddenID_ServerThreatPrimaryAction"/>
                        <label>${PrimaryActionText}&nbsp;</label>
                        <orion:select id="selectID_ThreatPrimaryAction"
                                      name="selectID_ThreatPrimaryAction"
                                      onChange="fnPrimaryAction_OnChange(this, this.value, selectID_ThreatSecondaryAction, true); validatePolicy();">
                        </orion:select>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>
                        <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SEC_ACTION}" id="hiddenID_WrkstnThreatSecondaryAction"/>
                        <input type=HIDDEN name="Server_${EMAIL_SCAN_SEC_ACTION}" id="hiddenID_ServerThreatSecondaryAction"/>
                        <label>${SecondaryActionText}&nbsp;</label>
                        <orion:select id="selectID_ThreatSecondaryAction"
                                      name="selectID_ThreatSecondaryAction"
                                      onChange="fnSecondaryAction_OnChange(this, this.value, true); validatePolicy()">
                        </orion:select>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="EmailScan.WhenUnwantedProgFound" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <table>
                <tr>
                    <td>
                        <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_ACTION_PROGRAM}" id="hiddenID_WrkstnUnwantedPrimaryAction"/>
                        <input type=HIDDEN name="Server_${EMAIL_SCAN_ACTION_PROGRAM}" id="hiddenID_ServerUnwantedPrimaryAction"/>
                        <label>${PrimaryActionText}&nbsp;</label>
                        <orion:select id="selectID_UnwantedPrimaryAction"
                                      name="selectID_UnwantedPrimaryAction"
                                      onChange="fnPrimaryAction_OnChange(this, this.value, selectID_UnwantedSecondaryAction, true); validatePolicy();">
                        </orion:select>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>
                        <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SEC_ACTION_PROGRAM}" id="hiddenID_WrkstnUnwantedSecondaryAction"/>
                        <input type=HIDDEN name="Server_${EMAIL_SCAN_SEC_ACTION_PROGRAM}" id="hiddenID_ServerUnwantedSecondaryAction"/>
                        <label>${SecondaryActionText}&nbsp;</label>
                        <orion:select id="selectID_UnwantedSecondaryAction"
                                      name="selectID_UnwantedSecondaryAction"
                                      onChange="fnSecondaryAction_OnChange(this, this.value, true); validatePolicy();">
                        </orion:select>
                    </td>
                </tr>
            </table>
        </td>
     </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="EmailScan.MoveToFolder" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_MOVE_FOLDER}" id="hiddenID_WrkstnMoveFolder"/>
            <input type=HIDDEN name="Server_${EMAIL_SCAN_MOVE_FOLDER}" id="hiddenID_ServerMoveFolder"/>
            <label for="textboxID_MoveFolder">${QuarantineLocationText}</label>
            <br/>
            <orion:textbox id="textboxID_MoveFolder"
                           name="textboxID_MoveFolder"
                           onvalidate="validateMailFolder"
                           onkeyup="validatePolicy();"
                           required="true"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="EmailScan.Prompt" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_PROMPT_BUTTON}" id="hiddenID_WrkstnPromptButton"/>
            <input type=HIDDEN name="Server_${EMAIL_SCAN_PROMPT_BUTTON}" id="hiddenID_ServerPromptButton"/>
            <orion:checkbox id="checkboxID_PromptClean"
                            checked=""
                            name="checkboxID_PromptClean"
                            onClick="validatePolicy()"
                            text="${PromptCleanText}"/>
            <br/>
            <orion:checkbox id="checkboxID_PromptDelete"
                            checked=""
                            name="checkboxID_PromptDelete"
                            onClick="validatePolicy()"
                            text="${PromptDeleteText}"/>
            <br/>
            <orion:checkbox id="checkboxID_PromptMove"
                            checked=""
                            name="checkboxID_PromptMove"
                            onClick="validatePolicy()"
                            text="${PromptMoveText}"/>
            <br/>
            <orion:checkbox id="checkboxID_PromptDeleteMail"
                            checked=""
                            name="checkboxID_PromptDeleteMail"
                            onClick="validatePolicy()"
                            text="${PromptDeleteMailText}"/>
        </td>
     </tr>
</table>

<table cellspacing="0" cellpadding="0" width="100%" id="alerts" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="EmailScan.EmailAlert" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top" nowrap>
            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SEND_MAIL_TO_USER}" id="hiddenID_WrkstnSendMailToUser"/>
            <input type=HIDDEN name="Server_${EMAIL_SCAN_SEND_MAIL_TO_USER}" id="hiddenID_ServerSendMailToUser"/>
            <orion:checkbox id="checkboxID_SendMailToUser"
                            text="${SendMailToUserText}"
                            onClick="fnSendMailToUserChange(this.value); validatePolicy();"/>
            <br/>
            <br/>
            <table id="ID_SendMailToUserOptions" style="display: none">
                <tr>
                    <td width="12">
                    </td>
                    <td>
                        <td width="25">
                            <label>${SendToText}</label>
                        </td>
                        <td>
                            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SEND_TO}" id="hiddenID_WrkstnSendTo"/>
                            <input type=HIDDEN name="Server_${EMAIL_SCAN_SEND_TO}" id="hiddenID_ServerSendTo"/>
                            <orion:textbox id="textboxID_SendTo"
                                           required="true"
                                           onkeyup="validatePolicy();"/>
                        </td>
                    </td>
                    <td width="12">
                    </td>
                    <td>
                        <label>${SendCcText}</label>
                        <td>
                            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SEND_CC}" id="hiddenID_WrkstnSendCc"/>
                            <input type=HIDDEN name="Server_${EMAIL_SCAN_SEND_CC}" id="hiddenID_ServerSendCc"/>
                            <orion:textbox id="textboxID_SendCc"
                                           onkeyup="validatePolicy();"/>
                        </td>
                    </td>
                </tr>
                <tr>
                    <td width="12">
                    </td>
                    <td>
                        <td width="25">
                            <label>${SendSubjectText}</label>
                        </td>
                        <td>
                        <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SEND_SUBJECT}" id="hiddenID_WrkstnSendSubject"/>
                        <input type=HIDDEN name="Server_${EMAIL_SCAN_SEND_SUBJECT}" id="hiddenID_ServerSendSubject"/>
                        <orion:textbox id="textboxID_SendSubject"
                                       required="true"
                                       onkeyup="validatePolicy();"/>
                        </td>
                    </td>
                </tr>
                <tr>
                    <td width="12">
                    </td>
                    <td>
                        <td width="25">
                            <label>${SendBodyText}</label>
                        </td>
                        <td>
                        <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_SEND_BODY}" id="hiddenID_WrkstnSendBody"/>
                        <input type=HIDDEN name="Server_${EMAIL_SCAN_SEND_BODY}" id="hiddenID_ServerSendBody"/>
                        <orion:textarea id="textboxID_SendBody"
                                       rows="6"
                                       cols="50"
                                       wrap="virtual"
                                       required="true"
                                       onkeyup="validatePolicy();"/>
                        </td>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="EmailScan.PromptForAction" escape="html"/>
        </td>
        <td class="orionSummaryColumn" width="700px" valign="top">
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_DISPLAY_MESSAGE}" id="hiddenID_WrkstnDisplayMessage"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_DISPLAY_MESSAGE}" id="hiddenID_ServerDisplayMessage"/>
                <orion:checkbox id="checkboxID_DisplayMessage"
                                text="${DisplayMessageText}"
                                onClick="fnDisplayMessageChange(); validatePolicy();"/>


            <br/>
            <br/>
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_CUSTOM_MESSAGE}" id="hiddenID_WrkstnCustomMessage"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_CUSTOM_MESSAGE}" id="hiddenID_ServerCustomMessage"/>
                <orion:textarea id="textboxID_CustomMessage"
                                rows="6"
                                cols="50"
                                wrap="virtual"
                                required="true"
                                onkeyup="MaxTextLength(this, 225); validatePolicy();"/>
        </td>
    </tr>
</table>

<div id="notesscanner" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${NotesScannerInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.NotesScanner.ServerSettingsLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_NOTES_SCAN_SERVERDBS}" id="hiddenID_WrkstnNotesScanServerDBS"/>
                            <input type=HIDDEN name="Server_${EMAIL_SCAN_NOTES_SCAN_SERVERDBS}" id="hiddenID_ServerNotesScanServerDBS"/>
                            <orion:checkbox id="checkboxID_NotesScanServerDBS"
                                            text="${ScanAllServerDatabasesText}"
                                            onClick="fnScanAllServers_OnClick(this.checked); validatePolicy();"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_NOTES_SCAN_SERVER_MAIL}" id="hiddenID_WrkstnNotesScanServerMail"/>
                            <input type=HIDDEN name="Server_${EMAIL_SCAN_NOTES_SCAN_SERVER_MAIL}" id="hiddenID_ServerNotesScanServerMail"/>
                            <orion:checkbox id="checkboxID_NotesScanServerMail"
                                            text="${ServerScanMailboxesText}"
                                            onClick="fnScanServerMail_OnClick(this.checked); validatePolicy();"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td width="16"/>
                                    <td>
                                        <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_NOTES_SERVER_MAIL_FOLDER}" id="hiddenID_WrkstnNotesServerMailFolder"/>
                                        <input type=HIDDEN name="Server_${EMAIL_SCAN_NOTES_SERVER_MAIL_FOLDER}" id="hiddenID_ServerNotesServerMailFolder"/>
                                        <label for="textboxID_NotesServerMailFolder">${MailboxRootFolderText}&nbsp;</label>
                                        <orion:textbox id="textboxID_NotesServerMailFolder"
                                                       onkeyup="validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="EmailScan.NotesScanner.AdvancedOptionsLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <label>${NotesApplicationsToExcludeText}</label>
                <br/>
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_NOTES_APPS_TO_EXCLUDE}" id="hiddenID_WrkstnNotesAppsToExclude"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_NOTES_APPS_TO_EXCLUDE}" id="hiddenID_ServerNotesAppsToExclude"/>
                <orion:textbox id="textboxID_NotesAppsToExclude"
                               onkeyup="validatePolicy();"/>
            </td>
        </tr>
    </table>
</div>

<div id="reports" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${LogFileInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_LOG_TO_FILE}" id="hiddenID_WrkstnLogToFile"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_LOG_TO_FILE}" id="hiddenID_ServerLogToFile"/>
                <orion:checkbox id="checkboxID_LogToFile"
                                text="${LogToFileText}"
                                onClick="fnEnableReportingTabUI(); validatePolicy();"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLocationLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_LOG_FILENAME}" id="hiddenID_WrkstnLogFileName"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_LOG_FILENAME}" id="hiddenID_ServerLogFileName"/>
                <jsp:include page="/SystemMacros/SystemMacros.jsp"/>
                <img id="imgID_MacroNoFocus"
                     onclick='showMacroMenu(event, $("textboxID_LogFileName"), validatePolicy);'
                     onmouseover='this.src="/VIRUSCAN8800/img/M2.jpg"'
                     onmouseout='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     onmousedown='this.src="/VIRUSCAN8800/img/M3.jpg"'
                     onmouseup='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     src="/VIRUSCAN8800/img/M1.jpg">
                <orion:textbox id="textboxID_LogFileName"
                               required="true"
                               onkeyup="validatePolicy();"
                               onvalidate="validateLogfilePath"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileSizeLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                 <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_LIMIT_SIZE}" id="hiddenID_WrkstnLimitLogFileSize"/>
                 <input type=HIDDEN name="Server_${EMAIL_SCAN_LIMIT_SIZE}" id="hiddenID_ServerLimitLogFileSize"/>
                 <orion:checkbox id="checkboxID_LimitLogFileSize"
                                 text="${LimitLogFileSizeText}"
                                 onClick="fnEnableReportingTabUI(); validatePolicy();"/>
                <table>
                    <tr>
                        <td width="16"/>
                        <td>
                            <label id="labelID_MaxLogSize">${MaximumSizeText}&nbsp;</label>
                            <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_MAX_LOG_SIZE}" id="hiddenID_WrkstnMaxLogSizeMB"/>
                            <input type=HIDDEN name="Server_${EMAIL_SCAN_MAX_LOG_SIZE}" id="hiddenID_ServerMaxLogSizeMB"/>
                            <orion:textbox id="textboxID_MaxLogSizeMB"
                                           maxlength="3"
                                           size="5"
                                           required="true"
                                           onvalidate="validateMaxLogSize"
                                           onkeypress="return numbers_only(event)"
                                           onkeyup="validatePolicy();"/>
                            <label id="labelID_MB">&nbsp;${MBText}</label>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileFormatLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=HIDDEN name="Wrkstn_${EMAIL_SCAN_LOG_FILE_FORMAT}" id="hiddenID_WrkstnLogFileFormat"/>
                <input type=HIDDEN name="Server_${EMAIL_SCAN_LOG_FILE_FORMAT}" id="hiddenID_ServerLogFileFormat"/>
                <select id="selectID_LogFileFormat"
                        onchange="validatePolicy();">
                    <option value="0">${FormatANSIText}</option>
                    <option value="1">${FormatUTF8Text}</option>
                    <option value="2">${FormatUTF16Text}</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.WhatToLogLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type=hidden name="Wrkstn_${EMAIL_SCAN_LOG_EVENT}" id="hiddenID_WrkstnLogEvent"/>
                <input type=hidden name="Server_${EMAIL_SCAN_LOG_EVENT}" id="hiddenID_ServerLogEvent"/>
                <orion:checkbox id="ID_EnableLogSettings"
                                text="${LogSettingsText}"
                                onClick="validatePolicy()"/>
                <br/>
                <orion:checkbox id="ID_EnableLogSummary"
                                text="${LogSummaryText}"
                                onClick="validatePolicy()"/>
                <br/>
                <orion:checkbox id="ID_EnableLogEncryptFails"
                                text="${LogEncryptFailsText}"
                                onClick="validatePolicy()"/>
            </td>
        </tr>
    </table>
</div>
</orion:box>

<script type="text/javascript">
    function fnOnPageLoad()
    {
        initializePolicyData();
        _whattoscanTabInit(WRKSTN_POLICY);
        _actionsTabInit(WRKSTN_POLICY);

        g_FirstValidationCheck = true;
        displayPolicyData(g_CurrentPolicyType);
        fnTogglePromptOptions();

        fnToggleSendMailToUserOptions();
        fnToggleApplyNVPState();
        fnEnableReportingTabUI();
        fnScanServerMail_OnClick($("checkboxID_NotesScanServerMail").checked);
        fnEnableEmailSettingsUI();
        OrionForm.setStateChangeHandler(stateChangeHandler);
        _doReadonly();
    };

    OrionCore.addLoadHandler(_setTabStrip);
    OrionCore.addLoadHandler(fnOnPageLoad);

    function _setTabStrip()
    {
        // This instantiates the swappable tabstrip
        swapper = new majic.SwapTabStrip("swaptab", {
            "detection":{
                title:"${DetectionTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_EMAIL_SCAN_ITEMS}");}
            },
            "actions":{
                title:"${ActionsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_EMAIL_ACTIONS}");}
            },
            "alerts":{
                title:"${AlertsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_EMAIL_ALERTS}");}
            },
            "notesscanner":{
                title:"${NotesScannerTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_EMAIL_NOTES}");}
            },
            "reports":{
                title:"${ReportsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_EMAIL_REPORTS}");}
            }
        });
    };

    function initializePolicyData()
    {
        g_CurrentPolicyType = WRKSTN_POLICY;

            // Detection Section Values
        bEnabled[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_bEnabled};
        bEnabled[SERVER_POLICY] = ${EmailScanSettings.server_bEnabled};
        ExtensionMode[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_ExtensionMode};
        ExtensionMode[SERVER_POLICY] = ${EmailScanSettings.server_ExtensionMode};
        szDefaultPlusExtensions[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szDefaultPlusExtensions)}";
        szDefaultPlusExtensions[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szDefaultPlusExtensions)}";
        szProgramExtensions[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szProgramExtensions)}";
        szProgramExtensions[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szProgramExtensions)}";
        dwHeuristicNetCheckSensitivity[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_dwHeuristicNetCheckSensitivity};
        dwHeuristicNetCheckSensitivity[SERVER_POLICY] = ${EmailScanSettings.server_dwHeuristicNetCheckSensitivity};
        ScannerThreadTimeout[WRKSTN_POLICY] = (${EmailScanSettings.wrkstn_ScannerThreadTimeout});
        ScannerThreadTimeout[SERVER_POLICY] = (${EmailScanSettings.server_ScannerThreadTimeout});

            // Advanced Section Values
        dwMacroHeuristicsLevel[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_dwMacroHeuristicsLevel};
        dwMacroHeuristicsLevel[SERVER_POLICY] = ${EmailScanSettings.server_dwMacroHeuristicsLevel};
        dwProgramHeuristicsLevel[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_dwProgramHeuristicsLevel};
        dwProgramHeuristicsLevel[SERVER_POLICY] = ${EmailScanSettings.server_dwProgramHeuristicsLevel};
        MultipleExtensionsHeuristic[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_MultipleExtensionsHeuristic};
        MultipleExtensionsHeuristic[SERVER_POLICY] = ${EmailScanSettings.server_MultipleExtensionsHeuristic};
        ScanArchives[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_ScanArchives};
        ScanArchives[SERVER_POLICY] = ${EmailScanSettings.server_ScanArchives};
        ScanMessageBodies[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_ScanMessageBodies};
        ScanMessageBodies[SERVER_POLICY] = ${EmailScanSettings.server_ScanMessageBodies};
        ScanMime[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_ScanMime};
        ScanMime[SERVER_POLICY] = ${EmailScanSettings.server_ScanMime};

            // Action Section Values
        uAction[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_uAction};
        uAction[SERVER_POLICY] = ${EmailScanSettings.server_uAction};
        uSecAction[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_uSecAction};
        uSecAction[SERVER_POLICY] = ${EmailScanSettings.server_uSecAction};
        szMoveFolder[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szMoveFolder)}";
        szMoveFolder[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szMoveFolder)}";
        dwPromptButton[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_dwPromptButton};
        dwPromptButton[SERVER_POLICY] = ${EmailScanSettings.server_dwPromptButton};

            // Alert Section Values
        bDisplayMessage[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_bDisplayMessage};
        bDisplayMessage[SERVER_POLICY] = ${EmailScanSettings.server_bDisplayMessage};
        bSendMailToUser[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_bSendMailToUser};
        bSendMailToUser[SERVER_POLICY] = ${EmailScanSettings.server_bSendMailToUser};
        szCustomMessage[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szCustomMessage)}";
        szCustomMessage[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szCustomMessage)}";
        szSendBody[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szSendBody)}";
        szSendBody[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szSendBody)}";
        szSendCc[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szSendCc)}";
        szSendCc[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szSendCc)}";
        szSendSubject[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szSendSubject)}";
        szSendSubject[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szSendSubject)}";
        szSendTo[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szSendTo)}";
        szSendTo[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szSendTo)}";

            // Spyware Section Values
        ApplyNVP[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_ApplyNVP};
        ApplyNVP[SERVER_POLICY] = ${EmailScanSettings.server_ApplyNVP};
        uAction_Program[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_uAction_Program};
        uAction_Program[SERVER_POLICY] = ${EmailScanSettings.server_uAction_Program};
        uSecAction_Program[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_uSecAction_Program};
        uSecAction_Program[SERVER_POLICY] = ${EmailScanSettings.server_uSecAction_Program};

            // Reports Section Values
        bLogToFile[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_bLogToFile};
        bLogToFile[SERVER_POLICY] = ${EmailScanSettings.server_bLogToFile};
        bLimitSize[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_bLimitSize};
        bLimitSize[SERVER_POLICY] = ${EmailScanSettings.server_bLimitSize};
        dwLogEvent[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_dwLogEvent};
        dwLogEvent[SERVER_POLICY] = ${EmailScanSettings.server_dwLogEvent};
        dwMaxLogSizeMB[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_dwMaxLogSizeMB};
        dwMaxLogSizeMB[SERVER_POLICY] = ${EmailScanSettings.server_dwMaxLogSizeMB};
        LogFileFormat[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_LogFileFormat};
        LogFileFormat[SERVER_POLICY] = ${EmailScanSettings.server_LogFileFormat};
        szLogFileName[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_szLogFileName)}";
        szLogFileName[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_szLogFileName)}";

            // Notes Section Values
        NOTES_OAScanServerDataBases[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_NOTES_OAScanServerDataBases};
        NOTES_OAScanServerDataBases[SERVER_POLICY] = ${EmailScanSettings.server_NOTES_OAScanServerDataBases};
        NOTES_OAScanServerMail[WRKSTN_POLICY] = ${EmailScanSettings.wrkstn_NOTES_OAScanServerMail};
        NOTES_OAScanServerMail[SERVER_POLICY] = ${EmailScanSettings.server_NOTES_OAScanServerMail};
        NOTES_ServerMailFolder[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_NOTES_ServerMailFolder)}";
        NOTES_ServerMailFolder[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_NOTES_ServerMailFolder)}";
        NOTES_szNotesAppsToExclude[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.wrkstn_NOTES_szNotesAppsToExclude)}";
        NOTES_szNotesAppsToExclude[SERVER_POLICY] = "${orion:escapeJavaScriptString(EmailScanSettings.server_NOTES_szNotesAppsToExclude)}";              
    }

    function _whattoscanTabInit(policyType)
    {
        var allFilesRadio = document.getElementById("radioID_AllFiles");
        var defaultFilesRadio = document.getElementById("radioID_DefaultAndSpecified");
        var scanForMacrosCheckbox = document.getElementById("checkboxID_ScanForMarcros");
        var specifiedFilesRadio = document.getElementById("radioID_SpecifiedOnly");
        var additionalFileTypesTextArea = document.getElementById("textareaID_AdditionalFileTypes");
        var specifiedFileTypesTextArea = document.getElementById("textareaID_SpecifiedFileTypes");
        var ExtMode = ExtensionMode[policyType];

        if (ExtMode == g_AllFiles)
        {
            allFilesRadio.checked = true;
            defaultFilesRadio.checked = false;
            scanForMacrosCheckbox.checked = false;
            specifiedFilesRadio.checked = false;
        }
        else if(ExtMode == g_Default)
        {
            allFilesRadio.checked = false;
            defaultFilesRadio.checked = true;
            scanForMacrosCheckbox.checked = false;
            specifiedFilesRadio.checked = false;
        }
        else if(ExtMode == g_DefaultPlus)
        {
            allFilesRadio.checked = false;
            defaultFilesRadio.checked = true;
            scanForMacrosCheckbox.checked = true;
            specifiedFilesRadio.checked = false;
        }
        else
        {
            allFilesRadio.checked = false;
            defaultFilesRadio.checked = false;
            scanForMacrosCheckbox.checked = false;
            specifiedFilesRadio.checked = true;
        }

        if(szDefaultPlusExtensions[policyType].indexOf(":::") != -1)
        {
            additionalFileTypesTextArea.value = removeNoExtensionMarker(szDefaultPlusExtensions[policyType]);
            $("checkboxID_AdditionalNoExtension").checked = true;
        }
        else
        {
            additionalFileTypesTextArea.value = szDefaultPlusExtensions[policyType];
            $("checkboxID_AdditionalNoExtension").checked = false;
        }

        if(szProgramExtensions[policyType].indexOf(":::") != -1)
        {
            specifiedFileTypesTextArea.value = removeNoExtensionMarker(szProgramExtensions[policyType]);
            $("checkboxID_SpecifiedNoExtension").checked = true;
        }
        else
        {
            specifiedFileTypesTextArea.value = szProgramExtensions[policyType];
            $("checkboxID_SpecifiedNoExtension").checked = false;
        }
        
        if (allFilesRadio.checked)
        {
            fnWhatToScanOnChange(allFilesRadio.value);
        }
        else if (defaultFilesRadio.checked)
        {
            if (scanForMacrosCheckbox.checked)
            {
                fnWhatToScanOnChange(scanForMacrosCheckbox.value);
            }
            else
            {
                fnWhatToScanOnChange(defaultFilesRadio.value);
            }
        }
        else
        {
            fnWhatToScanOnChange(specifiedFilesRadio.value);
        }

        $("selectID_HeuristicSensitivity").selectedIndex = parseInt(dwHeuristicNetCheckSensitivity[policyType]) + 1;
    }

    function _actionsTabInit(policyType)
    {
        // Initialize global variables
        g_primaryActionSelect = document.getElementById("selectID_ThreatPrimaryAction");
        g_secondaryActionSelect = document.getElementById("selectID_ThreatSecondaryAction");
        g_primaryActionSelectUnwanted = document.getElementById("selectID_UnwantedPrimaryAction");
        g_secondaryActionSelectUnwanted = document.getElementById("selectID_UnwantedSecondaryAction");

        g_primaryActionSelect.options.length = 0;
        g_primaryActionSelect.options.add(new Option("${ActionPromptText}", ACTION_VALUE_PROMPT));
        g_primaryActionSelect.options.add(new Option("${ActionMoveText}", ACTION_VALUE_MOVE));
        g_primaryActionSelect.options.add(new Option("${ActionDeleteText}", ACTION_VALUE_DELETE));
        g_primaryActionSelect.options.add(new Option("${ActionContinueText}", ACTION_VALUE_CONTINUE));
        g_primaryActionSelect.options.add(new Option("${ActionCleanText}", ACTION_VALUE_CLEAN));
        g_primaryActionSelect.options.add(new Option("${ActionDeleteMailText}", ACTION_VALUE_DELETE_MAIL));

        g_primaryActionSelectUnwanted.options.length = 0;
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionPromptText}", ACTION_VALUE_PROMPT));
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionMoveText}", ACTION_VALUE_MOVE));
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionDeleteText}", ACTION_VALUE_DELETE));
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionContinueText}", ACTION_VALUE_CONTINUE));
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionCleanText}", ACTION_VALUE_CLEAN));
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionDeleteMailText}", ACTION_VALUE_DELETE_MAIL));
        SetSelectedActions();        
    }

    function SetSelectedActions()
    {
        fnPrimaryAction_OnChange(g_primaryActionSelect, uAction[g_CurrentPolicyType], g_secondaryActionSelect, false);
        fnSecondaryAction_OnChange(g_secondaryActionSelect, uSecAction[g_CurrentPolicyType], false);
        fnPrimaryAction_OnChange(g_primaryActionSelectUnwanted, uAction_Program[g_CurrentPolicyType], g_secondaryActionSelectUnwanted, false);
        fnSecondaryAction_OnChange(g_secondaryActionSelectUnwanted, uSecAction_Program[g_CurrentPolicyType], false);

        fnTogglePromptOptions();
    }


    function fnPrimaryAction_OnChange(selectID_CurrentAction, iPrimaryValue, selectID_CurrentSecondaryAction, bPromptForDelete)
    {
        var iSecondaryValue = 0;

        fnSetPrimaryAction(selectID_CurrentAction, iPrimaryValue);

        if( selectID_CurrentAction == g_primaryActionSelect )
        {
            g_iCurrentPrimaryActionValue = iPrimaryValue;
        }
        else if( selectID_CurrentAction == g_primaryActionSelectUnwanted )
        {
            g_iCurrentPrimaryActionUnwantedValue = iPrimaryValue;
        }

        iSecondaryValue = selectID_CurrentSecondaryAction.value;
        selectID_CurrentSecondaryAction.options.length = 0;
        if ((iPrimaryValue == ACTION_VALUE_PROMPT)||(iPrimaryValue == ACTION_VALUE_CONTINUE) || (iPrimaryValue == ACTION_VALUE_DELETE_MAIL))
        {
            selectID_CurrentSecondaryAction.options.add(new Option("${ActionNoSecondaryText}", ACTION_VALUE_INVALID));
            selectID_CurrentSecondaryAction.disabled		= true;

        }
        else
        {
            selectID_CurrentSecondaryAction.disabled		= false;
            selectID_CurrentSecondaryAction.value			= 0;

            //Prompt
            selectID_CurrentSecondaryAction.options.add(new Option("${ActionPromptText}", ACTION_VALUE_PROMPT));

            //Move
            if ( (iPrimaryValue == ACTION_VALUE_CLEAN) || (iPrimaryValue == ACTION_VALUE_DELETE) )
            {
                selectID_CurrentSecondaryAction.options.add(new Option("${ActionMoveText}", ACTION_VALUE_MOVE));

                if( iSecondaryValue == ACTION_VALUE_MOVE )
                {
                    selectID_CurrentSecondaryAction.value = iSecondaryValue;
                }
            }
            
            //Delete
            if ( (iPrimaryValue == ACTION_VALUE_CLEAN) || (iPrimaryValue == ACTION_VALUE_MOVE) )
            {
                selectID_CurrentSecondaryAction.options.add(new Option("${ActionDeleteText}", ACTION_VALUE_DELETE));

                if (iSecondaryValue == ACTION_VALUE_DELETE)
                {
                    selectID_CurrentSecondaryAction.value = iSecondaryValue;
                }
            }

            //Continue
            selectID_CurrentSecondaryAction.options.add(new Option("${ActionContinueText}", ACTION_VALUE_CONTINUE));

            if (iSecondaryValue == ACTION_VALUE_CONTINUE)
            {
                selectID_CurrentSecondaryAction.value = iSecondaryValue;
            }

            //Delete mail
            if ( (iPrimaryValue == ACTION_VALUE_MOVE) || (iPrimaryValue == ACTION_VALUE_DELETE) || (iPrimaryValue == ACTION_VALUE_CLEAN))
            {
                selectID_CurrentSecondaryAction.options.add(new Option("${ActionDeleteMailText}", ACTION_VALUE_DELETE_MAIL));

                if( iSecondaryValue == ACTION_VALUE_DELETE_MAIL )
                {
                    selectID_CurrentSecondaryAction.value = iSecondaryValue;
                }
            }
        }
        fnSecondaryAction_OnChange(selectID_CurrentSecondaryAction, selectID_CurrentSecondaryAction.value, false);
    }

    function fnExtensionModeChange(scanType)
    {
        fnWhatToScanOnChange(scanType);
        validatePolicy();
    }

    function fnWhatToScanOnChange(scanType)
    {
        var addtionalFilesDiv = $("div_AdditionalFileTypes");
        var specifiedFilesDiv = $("div_SpecifiedFileTypes");
        var scanForMacrosCheckbox = $("checkboxID_ScanForMarcros");
        var scanAllFilesCheckbox = $("checkboxID_ScanAllFiles");
        var scanDefaultFilesCheckbox = $("checkboxID_ScanDefaultFiles");
        OrionForm.setFieldRequired("textareaID_SpecifiedFileTypes", false);
         
        if (scanType == "defaultFiles")
        {
            addtionalFilesDiv.style.display = "inline";
            specifiedFilesDiv.style.display = "none";
            scanForMacrosCheckbox.disabled = false;
            scanForMacrosCheckbox.checked = false;
            scanAllFilesCheckbox.checked = false;
            scanDefaultFilesCheckbox.checked = true;
        }
        else if (scanType == "defaultPlusFiles")
        {
            addtionalFilesDiv.style.display = "inline";
            specifiedFilesDiv.style.display = "none";
            scanForMacrosCheckbox.disabled = false;
            scanAllFilesCheckbox.checked = false;
            scanDefaultFilesCheckbox.checked = false;
        }
        else if (scanType == "specifiedFiles")
        {
            addtionalFilesDiv.style.display = "none";
            specifiedFilesDiv.style.display = "inline";
            scanForMacrosCheckbox.disabled = true;
            scanForMacrosCheckbox.checked = false;
            scanAllFilesCheckbox.checked = false;
            scanDefaultFilesCheckbox.checked = false;
            requireSpecifiedFileTypes(!($("checkboxID_SpecifiedNoExtension").checked));
        }
        else
        {
            addtionalFilesDiv.style.display = "none";
            specifiedFilesDiv.style.display = "none";
            scanForMacrosCheckbox.disabled = true;
            scanForMacrosCheckbox.checked = false;
            scanAllFilesCheckbox.checked = true;
            scanDefaultFilesCheckbox.checked = false;
        }
    }

    function fnEnableReportingTabUI()
    {
        var enableUI = $("checkboxID_LogToFile").checked;

        $("textboxID_LogFileName").disabled = !enableUI;
        $("checkboxID_LimitLogFileSize").disabled = !enableUI;
        $("labelID_MaxLogSize").disabled = !enableUI;
        $("textboxID_MaxLogSizeMB").disabled = !enableUI;
        $("selectID_LogFileFormat").disabled = !enableUI;
        $("ID_EnableLogSettings").disabled = !enableUI;
        $("ID_EnableLogSummary").disabled = !enableUI;
        $("ID_EnableLogEncryptFails").disabled = !enableUI;

        if(enableUI)
        {
            $("textboxID_MaxLogSizeMB").disabled = !($("checkboxID_LimitLogFileSize").checked);
        }
    }

    function fnEnableEmailSettingsUI()
    {
        var enableUI = $("checkboxID_ScanEnabled").checked;

        $("checkboxID_ScanAllFiles").disabled = !enableUI;
        $("checkboxID_ScanDefaultFiles").disabled = !enableUI;
        $("radioID_AllFiles").disabled = !enableUI;
        $("radioID_DefaultAndSpecified").disabled = !enableUI;
        $("checkboxID_ScanForMarcros").disabled = (!enableUI || !($("radioID_DefaultAndSpecified").checked));
        $("textareaID_AdditionalFileTypes").disabled = !enableUI;
        $("radioID_SpecifiedOnly").disabled = !enableUI;
        $("textareaID_SpecifiedFileTypes").disabled = !enableUI;
        $("checkboxID_ProgramHeuristics").disabled = !enableUI;
        $("checkboxID_MacroHeuristics").disabled = !enableUI;
        $("checkboxID_ExtensionHeuristics").disabled = !enableUI;
        $("checkboxID_ScanArchives").disabled = !enableUI;
        $("checkboxID_ScanMime").disabled = !enableUI;
        $("checkboxID_ApplyNVP").disabled = !enableUI;
        $("checkboxID_ScanMessageBodies").disabled = !enableUI;
        $("selectID_HeuristicSensitivity").disabled = !enableUI;
    }

    function fnScanServerMail_OnClick(bScanServerMail)
    {
        $("textboxID_NotesServerMailFolder").disabled = !bScanServerMail
    }

    function fnScanAllServers_OnClick(bScanServerDBs)
    {
        $("textboxID_NotesServerMailFolder").disabled = bScanServerDBs;
        $("checkboxID_NotesScanServerMail").disabled = bScanServerDBs;
    }


    function fnSetMaxScanTimeState(bDisable)
    {
        OrionCore.setEnabledById("textboxID_ScannerThreadTimeout", !bDisable);
        OrionCore.setEnabledById("labelID_MaxScanTime", !bDisable);

        if((!bDisable) && ($("textboxID_ScannerThreadTimeout").value == "" ))
        {
            $("textboxID_ScannerThreadTimeout").value = "0";
        }
    }

    function validatePolicy()
    {
        var valid = true;

        // Validate Actions Tab
        var szMoveToFolder = $("textboxID_MoveFolder").value;
        valid = validateMailFolder(szMoveToFolder);

        // Validate Alerts Tab
        if(valid)
        {
            // Validate the custom message
            if($("checkboxID_DisplayMessage").checked)
            {
                var szCustomMessage = $("textboxID_CustomMessage").value;
                if(szCustomMessage == "")
                {
                    valid = false;
                }

                if(valid)
                {
                    valid = IsValidMacro(szCustomMessage);
                }
            }

            // validate email settings
            if(valid && $("checkboxID_SendMailToUser").checked)
            {
                if($("textboxID_SendTo").value == "")
                {
                    valid = false;
                }

                if($("textboxID_SendSubject").value == "" &&
                   $("textboxID_SendBody").value == "")
                {
                    valid = false;
                }
            }
        }

        // validate Reports Tab
        if(valid)
        {
            if($("checkboxID_LogToFile").checked)
            {
                valid = validateLogfilePath($("textboxID_LogFileName").value);
                
                if($("checkboxID_LimitLogFileSize").checked && ($("textboxID_MaxLogSizeMB").value == "" || $("textboxID_MaxLogSizeMB").value < 1))
                {
                    valid = false;
                }
            }
        }

        if(valid)
        {
            valid = OrionForm.isFormValid();
        }

        stateChangeHandler(OrionForm.isFormDirty(), valid);
    }

    function _doReadonly()
    {
        if ("${epoReadOnlyPolicyObject}" == "true")
        {
            disableSection("EMAIL_SCAN",false);
        }
    }
</script>
