<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.policies.oasdefault.OASDefaultConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.oasdefault.OASDefaultConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/oasdefault/EditOASDefaultPolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/VIRUSCAN8800" src="/OASCommon.js"/>
<orion:script context="/VIRUSCAN8800" src="/ListWidget2.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSEDialog.js"/>
<orion:script context="/core" src="/majic.js"/>

<!-- Strings from bundle file -->

<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<!-- Tab Strings -->
<orion:message key="OASDefault.ProcessesTab" var="ProcessesTabLabel"/>
<orion:message key="OASCommon.FilesToScanTab" var="FilesToScanTabLabel"/>
<orion:message key="OASCommon.ExclusionsTab" var="ExclusionsTabLabel"/>
<orion:message key="OASCommon.ActionsTab" var="ActionsTabLabel"/>

<!--Processes Tab Strings
<!-- ****************************************************************************** -->
<orion:message escape="None" key="OASDefault.UseDefaultConfig" var="UseDefaultConfigText"/>
<orion:message escape="None" key="OASDefault.UseDifferentSettings" var="UseDifferentSettingsText"/>
<!-- ****************************************************************************** -->

<!--Files To Scan Tab Strings
<!-- ****************************************************************************** -->
<orion:message key="OASCommon.ScanInfo" var="ScanInfoText"/>
<orion:message escape="None" key="OASCommon.ScanOutgoing" var="ScanOutgoingText"/>
<orion:message escape="None" key="OASCommon.ScanIncoming" var="ScanIncomingText"/>
<orion:message escape="None" key="OASCommon.ScanNetwork" var="ScanNetworkText"/>
<orion:message escape="None" key="OASCommon.ScanProgramHeuristics" var="ScanProgramHeuristicsText"/>
<orion:message escape="None" key="OASCommon.ScanMacroHeuristics" var="ScanMacroHeuristicsText"/>
<orion:message escape="None" key="OASCommon.ScanArchives" var="ScanArchivesText"/>
<orion:message escape="None" key="OASCommon.ScanMime" var="ScanMimeText"/>
<orion:message escape="None" key="OASCommon.ScanBackups" var="ScanBackupsText"/>
<orion:message escape="None" key="OASCommon.AllFiles" var="AllFilesText"/>
<orion:message escape="None" key="OASCommon.DefaultAndSpecified" var="DefaultAndSpecifiedText"/>
<orion:message key="OASCommon.EnterFileTypesLabel" var="EnterFileTypesLabelText"/>
<orion:message escape="None" key="OASCommon.SpecifiedOnly" var="SpecifiedOnlyText"/>
<orion:message escape="None" key="OASCommon.AlsoScanForMacro" var="AlsoScanForMacroText"/>
<orion:message key="OASDefault.AllScanningDisabled" var="AllScanningDisabledText"/>
<orion:message escape="None" key="OASCommon.DetectUnwanted" var="DetectUnwantedText"/>
<orion:message escape="None" key="Global.IncludeFilesWithNoExtension" var="IncludeFilesWithNoExtText"/>

<!-- ****************************************************************************** -->

<!--Exclusions Tab Strings
<!-- ****************************************************************************** -->
<orion:message escape="None" key="OASCommon.OverwriteClient" var="OverwriteClientText"/>
<orion:message key="OASCommon.WhatNotToScanInfo" var="WhatNotToScanInfoText"/>
<orion:message key="Exclusion.Item" var="ExclusionItemText"/>
<orion:message key="Exclusion.ExcludeSubfolders" var="ExclusionExcludeSubfoldersText"/>
<orion:message key="Exclusion.ReadWrite" var="ExclusionReadWriteText"/>
<!-- ****************************************************************************** -->

<!--Actions Tab Strings
<!-- ****************************************************************************** -->
<orion:message key="OASCommon.PrimaryAction" var="PrimaryActionText"/>
<orion:message key="OASCommon.SecondaryAction" var="SecondaryActionText"/>
<orion:message escape="Javascript" key="OASCommon.ActionDeny" var="ActionDenyText"/>
<orion:message escape="Javascript" key="OASCommon.ActionContinue" var="ActionContinueText"/>
<orion:message escape="Javascript" key="OASCommon.ActionClean" var="ActionCleanText"/>
<orion:message escape="Javascript" key="OASCommon.ActionDelete" var="ActionDeleteText"/>
<orion:message escape="Javascript" key="OASCommon.ActionNoSecondary" var="ActionNoSecondaryText"/>
<!-- ****************************************************************************** -->

<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="OAS_DEFAULT">
<table cellspacing="0" cellpadding="0" width="100%" id="processes" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="OASDefault.Processes" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <input type=hidden id="hiddenID_WrkstnUseDefaultConfig" name="Wrkstn_${OAS_DEFAULT_USE_DEFAULT_CONFIG}"/>
            <input type=hidden id="hiddenID_ServerUseDefaultConfig" name="Server_${OAS_DEFAULT_USE_DEFAULT_CONFIG}"/>
            <orion:radiobutton id="radioID_UseDefaultConfig"
                               text="${UseDefaultConfigText}"
                               name="Processes"
                               value="useDefaultConfig"
                               onclick="validatePolicy();"/>
            <br/>                    
            <orion:radiobutton id="radioID_UseDifferentSettings"
                               text="${UseDifferentSettingsText}"
                               name="Processes"
                               value="useDifferentSettings"
                               onclick="validatePolicy();"/>

        </td>
    </tr>
</table>

<div id="filestoscan" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${ScanInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="OASCommon.ScanFiles" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <orion:checkbox id="checkboxID_ScanIncoming"
                            text="${ScanIncomingText}"
                            onClick="validatePolicy()"/>
            <input type=hidden id="hiddenID_WrkstnScanIncoming" name="Wrkstn_${OAS_COMMON_SCAN_INCOMING}"/>
            <input type=hidden id="hiddenID_ServerScanIncoming" name="Server_${OAS_COMMON_SCAN_INCOMING}"/>
            <span id="spanID_ScanIncomingOutgoing_error" class="orionInputErrorText" style="display:none">&nbsp;&nbsp;&nbsp;!!&nbsp;${AllScanningDisabledText}</span>
            <br/>
            <orion:checkbox id="checkboxID_ScanOutgoing"
                            text="${ScanOutgoingText}"
                            onClick="validatePolicy()"/>
            <input type=hidden id="hiddenID_WrkstnScanOutgoing" name="Wrkstn_${OAS_COMMON_SCAN_OUTGOING}"/>
            <input type=hidden id="hiddenID_ServerScanOutgoing" name="Server_${OAS_COMMON_SCAN_OUTGOING}"/>
            <br/>
            <orion:checkbox id="checkboxID_NetworkScanEnabled"
                            text="${ScanNetworkText}"
                            onClick="validatePolicy()"/>
            <input type=hidden id="hiddenID_WrkstnNetworkScanEnabled" name="Wrkstn_${OAS_COMMON_SCAN_NETWORK}"/>
            <input type=hidden id="hiddenID_ServerNetworkScanEnabled" name="Server_${OAS_COMMON_SCAN_NETWORK}"/>
            <br/>
            <orion:checkbox id="checkboxID_ScanBackupReads"
                            text="${ScanBackupsText}"
                            onClick="validatePolicy()"/>
            <input type=hidden id="hiddenID_WrkstnScanBackupReads" name="Wrkstn_${OAS_COMMON_SCAN_BACKUPS}"/>
            <input type=hidden id="hiddenID_ServerScanBackupReads" name="Server_${OAS_COMMON_SCAN_BACKUPS}"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="OASCommon.FileTypesToScan" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <input type=hidden id="hiddenID_WrkstnLocalExtensionMode" name="Wrkstn_${OAS_COMMON_LOCAL_EXTENSION_MODE}"/>
            <input type=hidden id="hiddenID_ServerLocalExtensionMode" name="Server_${OAS_COMMON_LOCAL_EXTENSION_MODE}"/>
            <input type=hidden id="hiddenID_WrkstnNetworkExtensionMode" name="Wrkstn_${OAS_COMMON_NETWORK_EXTENSION_MODE}"/>
            <input type=hidden id="hiddenID_ServerNetworkExtensionMode" name="Server_${OAS_COMMON_NETWORK_EXTENSION_MODE}"/>
            <input type="hidden" id="hiddenID_WrkstnIncludeExts" name="Wrkstn_${OAS_COMMON_INCLUDE_EXTS}"/>
            <input type="hidden" id="hiddenID_ServerIncludeExts" name="Server_${OAS_COMMON_INCLUDE_EXTS}"/>
            <input type="hidden" id="hiddenID_WrkstnProgExts" name="Wrkstn_${OAS_COMMON_PROG_EXTS}"/>
            <input type="hidden" id="hiddenID_ServerProgExts" name="Server_${OAS_COMMON_PROG_EXTS}"/>
            <jsp:include page="/FilesToScanTemplate.jsp"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="OASCommon.Heuristics" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <orion:checkbox id="checkboxID_ProgramHeuristicsLevel"
                            text="${ScanProgramHeuristicsText}"
                            onClick="validatePolicy()"/>
            <input type="hidden" id="hiddenID_WrkstnProgramHeuristicsLevel" name="Wrkstn_${OAS_COMMON_PROGRAM_HEURISTICS}"/>
            <input type="hidden" id="hiddenID_ServerProgramHeuristicsLevel" name="Server_${OAS_COMMON_PROGRAM_HEURISTICS}"/>
            <br/>
            <orion:checkbox id="checkboxID_MacroHeuristicsLevel"
                            text="${ScanMacroHeuristicsText}"
                            onClick="validatePolicy()"/>
            <input type="hidden" id="hiddenID_WrkstnMacroHeuristicsLevel" name="Wrkstn_${OAS_COMMON_MACRO_HEURISTICS}"/>
            <input type="hidden" id="hiddenID_ServerMacroHeuristicsLevel" name="Server_${OAS_COMMON_MACRO_HEURISTICS}"/>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="OASCommon.CompressedFiles" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <orion:checkbox id="checkboxID_ScanArchives"
                            text="${ScanArchivesText}"
                            onClick="validatePolicy()"/>
            <input type="hidden" id="hiddenID_WrkstnScanArchives" name="Wrkstn_${OAS_COMMON_SCAN_ARCHIVES}"/>
            <input type="hidden" id="hiddenID_ServerScanArchives" name="Server_${OAS_COMMON_SCAN_ARCHIVES}"/>
            <br/>
            <orion:checkbox id="checkboxID_ScanMime"
                            text="${ScanMimeText}"
                            onClick="validatePolicy()"/>
            <input type="hidden" id="hiddenID_WrkstnScanMime" name="Wrkstn_${OAS_COMMON_SCAN_MIME}"/>
            <input type="hidden" id="hiddenID_ServerScanMime" name="Server_${OAS_COMMON_SCAN_MIME}"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASCommon.UnwantedProgramsDetectionLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_ApplyNVP"
                                text="${DetectUnwantedText}"
                                onClick="fnApplyNVPChange()"/>
                <input type="hidden" id="hiddenID_WrkstnApplyNVP" name="Wrkstn_${OAS_COMMON_APPLY_NVP}"/>
                <input type="hidden" id="hiddenID_ServerApplyNVP" name="Server_${OAS_COMMON_APPLY_NVP}"/>
            </td>
        </tr>
    </table>
</div>

<div id="exclusions" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${WhatNotToScanInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASCommon.WhatNotToScan" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" id="hiddenID_WrkstnExclusionList" name="hiddenID_WrkstnExclusionList"/>
                <input type="hidden" id="hiddenID_ServerExclusionList" name="hiddenID_ServerExclusionList"/>
                <table width="550">
                    <tr>
                        <td width="60%">
                            ${ExclusionItemText}
                        </td>
                        <td width="10%">
                            ${ExclusionExcludeSubfoldersText}
                        </td>
                        <td width="30%" style="text-align:right" >
                            ${ExclusionReadWriteText}
                        </td>
                    </tr>
                </table>
                <div id="divID_ExclusionsList"></div>
                <jsp:include page="/ExclusionsTemplate.jsp"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASCommon.HandleClientExclusionsLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
            <orion:checkbox id="checkboxID_OverwriteClient"
                            onClick="validatePolicy()"
                            text="${OverwriteClientText}"/>
            <input type="hidden" id="hiddenID_WrkstnOverwriteClient" name="Wrkstn_${OAS_COMMON_APPEND_EXCLUSIONS}"/>
            <input type="hidden" id="hiddenID_ServerOverwriteClient" name="Server_${OAS_COMMON_APPEND_EXCLUSIONS}"/>
        </td>
    </tr>
</table>
</div>

<table cellspacing="0" cellpadding="0" width="100%" id="actions" style="display:none;width:100%;">
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="OASCommon.WhenThreatFound" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <table>
                <tr>
                    <td>
                        <label>${PrimaryActionText}&nbsp;</label>
                        <orion:select id="selectID_ThreatPrimaryAction"
                                      onChange="fnPrimaryAction_OnChange(this, this.value, selectID_ThreatSecondaryAction, true); validatePolicy();">
                        </orion:select>
                        <input type="hidden" id="hiddenID_WrkstnThreatPrimaryAction" name="Wrkstn_${OAS_COMMON_ACTION}"/>
                        <input type="hidden" id="hiddenID_ServerThreatPrimaryAction" name="Server_${OAS_COMMON_ACTION}"/>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>
                        <label>${SecondaryActionText}&nbsp;</label>
                        <orion:select id="selectID_ThreatSecondaryAction"
                                      name="selectID_ThreatSecondaryAction"
                                      onchange="validatePolicy();">
                        </orion:select>
                        <input type="hidden" id="hiddenID_WrkstnThreatSecondaryAction" name="Wrkstn_${OAS_COMMON_SEC_ACTION}"/>
                        <input type="hidden" id="hiddenID_ServerThreatSecondaryAction" name="Server_${OAS_COMMON_SEC_ACTION}"/>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="orionSummaryHeader" valign="top">
            <orion:message key="OASCommon.WhenUnwantedProgFound" escape="html"/>
        </td>
        <td class="orionSummaryColumn" valign="top">
            <table>
                <tr>
                    <td>
                        <label>${PrimaryActionText}&nbsp;</label>
                        <orion:select id="selectID_UnwantedPrimaryAction"
                                      onChange="fnPrimaryAction_OnChange(this, this.value, selectID_UnwantedSecondaryAction, true); validatePolicy();">
                        </orion:select>
                        <input type="hidden" id="hiddenID_WrkstnUnwantedPrimaryAction" name="Wrkstn_${OAS_COMMON_ACTION_PROGRAM}"/>
                        <input type="hidden" id="hiddenID_ServerUnwantedPrimaryAction" name="Server_${OAS_COMMON_ACTION_PROGRAM}"/>
                    </td>
                </tr>
            </table>
            <table>
                <tr>
                    <td>
                        <label>${SecondaryActionText}&nbsp;</label>
                        <orion:select id="selectID_UnwantedSecondaryAction"
                                      name="selectID_UnwantedSecondaryAction"
                                      onchange="validatePolicy();">
                        </orion:select>
                        <input type="hidden" id="hiddenID_WrkstnUnwantedSecondaryAction" name="Wrkstn_${OAS_COMMON_SEC_ACTION_PROGRAM}"/>
                        <input type="hidden" id="hiddenID_ServerUnwantedSecondaryAction" name="Server_${OAS_COMMON_SEC_ACTION_PROGRAM}"/>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</orion:box>

<script type="text/javascript">
    OrionCore.addLoadHandler(_setTabStrip);
    OrionCore.addLoadHandler(fnOnPageLoad);
    
    function fnOnPageLoad()
    {
        initializePolicyData();
        _processesTabInit();
        _whattoscanTabInit();
        _exclusionsTabInit();
        _actionsTabInit();
        displayPolicyData(g_CurrentPolicyType);
        fnToggleApplyNVPState();
        g_FirstValidationCheck = true;
        OrionForm.setStateChangeHandler(stateChangeHandler);
        _doReadonly();
    };

    function _setTabStrip()
    {
        swapper = new majic.SwapTabStrip("swaptab", {
            "processes":{
                title:"${ProcessesTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_OASDEFAULT_PROCESSES}");}
            },
            "filestoscan":{
                title:"${FilesToScanTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_OASDEFAULT_SCAN_ITEMS}");}
            },
            "exclusions":{
                title:"${ExclusionsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_OASDEFAULT_EXCLUSIONS}");}
            },
            "actions":{
                title:"${ActionsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_OASDEFAULT_ACTIONS}");}
            }
        });
    }

    function initializePolicyData()
    {
        g_CurrentPolicyType = 0;

        OnlyUseDefaultConfig[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_OnlyUseDefaultConfig};
        uAction[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_uAction};
        uSecAction[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_uSecAction};
        dwMacroHeuristicsLevel[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_dwMacroHeuristicsLevel};
        dwProgramHeuristicsLevel[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_dwProgramHeuristicsLevel};
        ScanArchives[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_ScanArchives};
        ScanMime[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_ScanMime};
        ScanBackupReads[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_ScanBackupReads};
        bNetworkScanEnabled[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_bNetworkScanEnabled};
        bScanIncoming[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_bScanIncoming};
        bScanOutgoing[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_bScanOutgoing};
        LocalExtensionMode[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_LocalExtensionMode};
        NetworkExtensionMode[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_NetworkExtensionMode};
        szIncludeExts[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(OASDefaultSettings.wrkstn_szIncludeExts)}";
        szProgExts[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(OASDefaultSettings.wrkstn_szProgExts)}";
        bAppendExclusions[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_bAppendExclusions};
        ApplyNVP[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_ApplyNVP};
        uAction_Program[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_uAction_Program};
        uSecAction_Program[WRKSTN_POLICY] = ${OASDefaultSettings.wrkstn_uSecAction_Program};
        ExclusionsList[WRKSTN_POLICY] = "${orion:escapeJavaScriptString(OASDefaultSettings.wrkstn_szExclItems)}".split(',');

        OnlyUseDefaultConfig[SERVER_POLICY] = ${OASDefaultSettings.server_OnlyUseDefaultConfig};
        uAction[SERVER_POLICY] = ${OASDefaultSettings.server_uAction};
        uSecAction[SERVER_POLICY] = ${OASDefaultSettings.server_uSecAction};
        dwMacroHeuristicsLevel[SERVER_POLICY] = ${OASDefaultSettings.server_dwMacroHeuristicsLevel};
        dwProgramHeuristicsLevel[SERVER_POLICY] = ${OASDefaultSettings.server_dwProgramHeuristicsLevel};
        ScanArchives[SERVER_POLICY] = ${OASDefaultSettings.server_ScanArchives};
        ScanMime[SERVER_POLICY] = ${OASDefaultSettings.server_ScanMime};
        ScanBackupReads[SERVER_POLICY] = ${OASDefaultSettings.server_ScanBackupReads};
        bNetworkScanEnabled[SERVER_POLICY] = ${OASDefaultSettings.server_bNetworkScanEnabled};
        bScanIncoming[SERVER_POLICY] = ${OASDefaultSettings.server_bScanIncoming};
        bScanOutgoing[SERVER_POLICY] = ${OASDefaultSettings.server_bScanOutgoing};
        LocalExtensionMode[SERVER_POLICY] = ${OASDefaultSettings.server_LocalExtensionMode};
        NetworkExtensionMode[SERVER_POLICY] = ${OASDefaultSettings.server_NetworkExtensionMode};
        szIncludeExts[SERVER_POLICY] = "${orion:escapeJavaScriptString(OASDefaultSettings.server_szIncludeExts)}";
        szProgExts[SERVER_POLICY] = "${orion:escapeJavaScriptString(OASDefaultSettings.server_szProgExts)}";
        bAppendExclusions[SERVER_POLICY] = ${OASDefaultSettings.server_bAppendExclusions};
        ApplyNVP[SERVER_POLICY] = ${OASDefaultSettings.server_ApplyNVP};
        uAction_Program[SERVER_POLICY] = ${OASDefaultSettings.server_uAction_Program};
        uSecAction_Program[SERVER_POLICY] = ${OASDefaultSettings.server_uSecAction_Program};
        ExclusionsList[SERVER_POLICY] = "${orion:escapeJavaScriptString(OASDefaultSettings.server_szExclItems)}".split(',');
    }

    function _processesTabInit()
    {
        if(OnlyUseDefaultConfig[g_CurrentPolicyType])
        {
            document.getElementById("radioID_UseDefaultConfig").checked = true;
        }
        else
        {
            document.getElementById("radioID_UseDifferentSettings").checked = true;
        }
    }

    function _whattoscanTabInit()
    {
        var allFilesRadio = document.getElementById("radioID_AllFiles");
        var defaultFilesRadio = document.getElementById("radioID_DefaultAndSpecified");
        var scanForMacrosCheckbox = document.getElementById("checkboxID_ScanForMarcros");
        var specifiedFilesRadio = document.getElementById("radioID_SpecifiedOnly");
        var additionalFileTypesTextArea = document.getElementById("textareaID_AdditionalFileTypes");
        var specifiedFileTypesTextArea = document.getElementById("textareaID_SpecifiedFileTypes");

        var ExtensionMode = LocalExtensionMode[g_CurrentPolicyType];

        if (ExtensionMode == g_AllFiles)
        {
            allFilesRadio.checked = true;
            defaultFilesRadio.checked = false;
            scanForMacrosCheckbox.checked = false;
            specifiedFilesRadio.checked = false;
        }
        else if(ExtensionMode == g_Default)
        {
            allFilesRadio.checked = false;
            defaultFilesRadio.checked = true;
            scanForMacrosCheckbox.checked = false;
            specifiedFilesRadio.checked = false;
        }
        else if(ExtensionMode == g_DefaultPlus)
        {
            allFilesRadio.checked = false;
            defaultFilesRadio.checked = true;
            scanForMacrosCheckbox.checked = true;
            specifiedFilesRadio.checked = false;
        }
        else
        {
            allFilesRadio.checked = false;
            defaultFilesRadio.checked = false;
            scanForMacrosCheckbox.checked = false;
            specifiedFilesRadio.checked = true;
        }

        if(szIncludeExts[g_CurrentPolicyType].indexOf(":::") != -1)
        {
            additionalFileTypesTextArea.value = removeNoExtensionMarker(szIncludeExts[g_CurrentPolicyType]);
            $("checkboxID_AdditionalNoExtension").checked = true;
        }
        else
        {
            additionalFileTypesTextArea.value = szIncludeExts[g_CurrentPolicyType];
            $("checkboxID_AdditionalNoExtension").checked = false;
        }

        if(szProgExts[g_CurrentPolicyType].indexOf(":::") != -1)
        {
            specifiedFileTypesTextArea.value = removeNoExtensionMarker(szProgExts[g_CurrentPolicyType]);
            $("checkboxID_SpecifiedNoExtension").checked = true;
        }
        else
        {
            specifiedFileTypesTextArea.value = szProgExts[g_CurrentPolicyType];
            $("checkboxID_SpecifiedNoExtension").checked = false;
        }

        if (allFilesRadio.checked)
        {
            fnWhatToScanOnChange(allFilesRadio.value);
        }
        else if (defaultFilesRadio.checked)
        {
            if (scanForMacrosCheckbox.checked)
            {
                fnWhatToScanOnChange(scanForMacrosCheckbox.value);
            }
            else
            {
                fnWhatToScanOnChange(defaultFilesRadio.value);
            }
        }
        else
        {
            fnWhatToScanOnChange(specifiedFilesRadio.value);
        }

        $("spanID_ScanIncomingOutgoing_error").style.display = "none";
        if(!($("checkboxID_ScanIncoming").checked) && !($("checkboxID_ScanOutgoing").checked))
        {
            $("spanID_ScanIncomingOutgoing_error").style.display = "";
        }
    }

    function _exclusionsTabInit()
    {
        addeditExclDialog = new VSE.DialogBox();
        addeditExclDialog.setDialogDiv($("divID_AddEditExclDialog"));

        g_arrListExclusionData[WRKSTN_POLICY] = new Array();
        g_arrListExclusionData[SERVER_POLICY] = new Array();

        // Populate Workstation Exclusion Data
        for(i = 0; i < ExclusionsList[WRKSTN_POLICY].length; ++i)
        {
            var ExclDataItem = new ExclusionDataItem();
            ExclDataItem.exclData = ExclusionsList[WRKSTN_POLICY][i];
            g_arrListExclusionData[WRKSTN_POLICY][i] = ExclDataItem;
        }

        // Populate Server Exclusion Data
        for(i = 0; i < ExclusionsList[SERVER_POLICY].length; ++i)
        {
            var ExclDataItem = new ExclusionDataItem();
            ExclDataItem.exclData = ExclusionsList[SERVER_POLICY][i];
            g_arrListExclusionData[SERVER_POLICY][i] = ExclDataItem;
        }
        
        Exclusions_ListWidgetInit();
        populateExclusionsList();
    }

    function _actionsTabInit()
    {
        // Initialize global variables
        g_primaryActionSelect = $("selectID_ThreatPrimaryAction");
        g_secondaryActionSelect = $("selectID_ThreatSecondaryAction");
        g_primaryActionSelectUnwanted = $("selectID_UnwantedPrimaryAction");
        g_secondaryActionSelectUnwanted = $("selectID_UnwantedSecondaryAction");

        g_primaryActionSelect.options.add(new Option("${ActionDenyText}", ACTION_VALUE_DENY));
        g_primaryActionSelect.options.add(new Option("${ActionDeleteText}", ACTION_VALUE_DELETE));
        g_primaryActionSelect.options.add(new Option("${ActionCleanText}", ACTION_VALUE_CLEAN));

        g_primaryActionSelectUnwanted.options.add(new Option("${ActionDenyText}", ACTION_VALUE_DENY));
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionContinueText}", ACTION_VALUE_CONTINUE));
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionDeleteText}", ACTION_VALUE_DELETE));
        g_primaryActionSelectUnwanted.options.add(new Option("${ActionCleanText}", ACTION_VALUE_CLEAN));

        SetSelectedActions();
    }

    function SetSelectedActions()
    {
        fnPrimaryAction_OnChange(g_primaryActionSelect, uAction[g_CurrentPolicyType], g_secondaryActionSelect, false);
        fnSecondaryAction_OnChange(g_secondaryActionSelect, uSecAction[g_CurrentPolicyType], false);
        fnPrimaryAction_OnChange(g_primaryActionSelectUnwanted, uAction_Program[g_CurrentPolicyType], g_secondaryActionSelectUnwanted, false);
        fnSecondaryAction_OnChange(g_secondaryActionSelectUnwanted, uSecAction_Program[g_CurrentPolicyType], false);
    }

    function fnExtensionModeChange(scanType)
    {
        fnWhatToScanOnChange(scanType);
        validatePolicy();
    }

    function fnWhatToScanOnChange(scanType)
    {
        var addtionalFilesDiv = $("div_AdditionalFileTypes");
        var specifiedFilesDiv = $("div_SpecifiedFileTypes");
        var scanForMacrosCheckbox = $("checkboxID_ScanForMarcros");
        var scanAllFilesCheckbox = $("checkboxID_ScanAllFiles");
        var scanDefaultFilesCheckbox = $("checkboxID_ScanDefaultFiles");
        OrionForm.setFieldRequired("textareaID_SpecifiedFileTypes", false);

        if (scanType == "defaultFiles")
        {
            addtionalFilesDiv.style.display = "inline";
            specifiedFilesDiv.style.display = "none";
            scanForMacrosCheckbox.disabled = false;
            scanForMacrosCheckbox.checked = false;
            scanAllFilesCheckbox.checked = false;
            scanDefaultFilesCheckbox.checked = true;
        }
        else if (scanType == "defaultPlusFiles")
        {
            addtionalFilesDiv.style.display = "inline";
            specifiedFilesDiv.style.display = "none";
            scanForMacrosCheckbox.disabled = false;
            scanAllFilesCheckbox.checked = false;
            scanDefaultFilesCheckbox.checked = false;
        }
        else if (scanType == "specifiedFiles")
        {
            addtionalFilesDiv.style.display = "none";
            specifiedFilesDiv.style.display = "inline";
            scanForMacrosCheckbox.disabled = true;
            scanForMacrosCheckbox.checked = false;
            scanAllFilesCheckbox.checked = false;
            scanDefaultFilesCheckbox.checked = false;
            requireSpecifiedFileTypes(!($("checkboxID_SpecifiedNoExtension").checked));
        }
        else
        {
            addtionalFilesDiv.style.display = "none";
            specifiedFilesDiv.style.display = "none";
            scanForMacrosCheckbox.disabled = true;
            scanForMacrosCheckbox.checked = false;
            scanAllFilesCheckbox.checked = true;
            scanDefaultFilesCheckbox.checked = false;
        }
    }

    function fnPrimaryAction_OnChange(selectID_CurrentAction, iPrimaryValue, selectID_CurrentSecondaryAction, bPromptForDelete)
    {
        var iSecondaryValue = 0;

        fnSetPrimaryAction(selectID_CurrentAction, iPrimaryValue);

        if( selectID_CurrentAction == g_primaryActionSelect )
        {
            g_iCurrentPrimaryActionValue = iPrimaryValue;
        }
        else if( selectID_CurrentAction == g_primaryActionSelectUnwanted )
        {
            g_iCurrentPrimaryActionUnwantedValue = iPrimaryValue;
        }

        iSecondaryValue = selectID_CurrentSecondaryAction.value;
        selectID_CurrentSecondaryAction.options.length = 0;
        if ((iPrimaryValue == ACTION_VALUE_DENY)||(iPrimaryValue == ACTION_VALUE_CONTINUE))
        {
            selectID_CurrentSecondaryAction.options.add(new Option("${ActionNoSecondaryText}", ACTION_VALUE_INVALID));
            selectID_CurrentSecondaryAction.disabled = true;
        }
        else
        {
            selectID_CurrentSecondaryAction.disabled = false;
            selectID_CurrentSecondaryAction.value	 = 0;

            //Deny
            selectID_CurrentSecondaryAction.options.add(new Option("${ActionDenyText}", ACTION_VALUE_DENY));
            if( iSecondaryValue == ACTION_VALUE_DENY )
            {
                selectID_CurrentSecondaryAction.value = iSecondaryValue;
            }

            //Allow
            if( selectID_CurrentAction == g_primaryActionSelectUnwanted)
            {
                selectID_CurrentSecondaryAction.options.add(new Option("${ActionContinueText}", ACTION_VALUE_CONTINUE));

                if (iSecondaryValue == ACTION_VALUE_CONTINUE)
                {
                    selectID_CurrentSecondaryAction.value = iSecondaryValue;
                }
            }

            //Delete
            if ( (iPrimaryValue == ACTION_VALUE_CLEAN))
            {
                selectID_CurrentSecondaryAction.options.add(new Option("${ActionDeleteText}", ACTION_VALUE_DELETE));

                if (iSecondaryValue == ACTION_VALUE_DELETE)
                {
                    selectID_CurrentSecondaryAction.value = iSecondaryValue;
                }
            }
        }
        fnSecondaryAction_OnChange(selectID_CurrentSecondaryAction, selectID_CurrentSecondaryAction.value, false);
    }

    function Exclusions_ListWidgetInit()
    {
        g_ExclusionListWidget = new VSE.ListWidget2({
            container:"divID_ExclusionsList",
            readonly:"false",
            includeCheckbox:"false",
            objectName:"g_ExclusionListWidget",
            width:"550",
            height:"200",
            thisObject:g_ExclusionListWidget,
            addCallback:Exclusion_AddCallback,
            selectedRowUpdateCallback:exclUpdateRowDataCallback,
            removeCallback:exclRemoveCallback,
            content:$("exclusion_listitem_template").innerHTML
        });
    }

    function populateExclusionsList()
    {
        g_ExclusionListWidget.clearList();

        if(g_arrListExclusionData[g_CurrentPolicyType].length > 0)
        {
            for(var i = 0; i < g_arrListExclusionData[g_CurrentPolicyType].length; ++i)
            {
                var item = new VSE.ListItem2();
                item.itemData = g_arrListExclusionData[g_CurrentPolicyType][i];
                g_ExclusionListWidget.add(item);                
            }
        }
    }

    function validatePolicy()
    {
        var valid = true;

        $("spanID_ScanIncomingOutgoing_error").style.display = "none";
        if(!($("checkboxID_ScanIncoming").checked) && !($("checkboxID_ScanOutgoing").checked))
        {
            valid = false;
            $("spanID_ScanIncomingOutgoing_error").style.display = "";
        }

        if(valid && !bScanIncoming[0] && !bScanOutgoing[0])
        {
            valid = false;
        }

        if(valid && !bScanIncoming[1] && !bScanOutgoing[1])
        {
            valid = false;
        }

        if(valid)
        {
            valid = OrionForm.isFormValid();
        }
        stateChangeHandler(OrionForm.isFormDirty() || g_bFormDirty, valid);
    }

    function _doReadonly()
    {
        if ("${epoReadOnlyPolicyObject}" == "true")
        {
            disableSection("OAS_DEFAULT",false);
            epoDisableApplyButton();
            stateChangeHandler(false, true);
        }
    }

</script>