<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.policies.oasgeneral.OASGeneralConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.oasgeneral.OASGeneralConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/oasgeneral/EditOASGeneralPolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/core" src="/majic.js"/>

<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<orion:message key="OASGeneral_GeneralTab" var="GeneralTabLabel"/>
<orion:message key="OASGeneral_ScriptScanTab" var="ScriptScanTabLabel"/>
<orion:message key="OASGeneral_BlockingTab" var="BlockingTabLabel"/>
<orion:message key="OASGeneral_MessagesTab" var="MessagesTabLabel"/>
<orion:message key="OASGeneral_ReportsTab" var="ReportsTabLabel"/>

<orion:message key="OASGeneral.GeneralInfo" var="GeneralInfoText"/>
<orion:message escape="None" key="OASGeneral.BootSectors" var="BootSectorsText"/>
<orion:message escape="None" key="OASGeneral.FloppyShutdown" var="FloppyShutdownText"/>
<orion:message escape="None" key="OASGeneral.ScanProcessesOnEnable" var="ScanProcessesOnEnableText"/>
<orion:message escape="None" key="OASGeneral.TrustedInstallers" var="TrustedInstallersText"/>
<orion:message escape="None" key="OASGeneral.EnableAtStartup" var="EnableAtStartupText"/>
<orion:message escape="None" key="OASGeneral.EnableAtEnforce" var="EnableAtEnforceText"/>
<orion:message key="OASGeneral.ArchiveTimeout" var="ArchiveTimeoutText"/>
<orion:message escape="None" key="OASGeneral.TimeoutAllFiles" var="TimeoutAllFilesText"/>
<orion:message key="OASGeneral.MaxScanTime" var="MaxScanTimeText"/>
<orion:message escape="None" key="OASGeneral.ScanCookies" var="ScanCookiesText"/>
<orion:message key="OASGeneral.ArchiveTimeoutError" var="ArchiveTimeoutErrorText"/>
<orion:message key="Global.HeuristicSensitivity" var="HeuristicSensitivityText"/>
<orion:message key="Global.HeuristicOff" var="HeuristicOffText"/>
<orion:message key="Global.HeuristicVeryLow" var="HeuristicVeryLowText"/>
<orion:message key="Global.HeuristicLow" var="HeuristicLowText"/>
<orion:message key="Global.HeuristicMedium" var="HeuristicMediumText"/>
<orion:message key="Global.HeuristicHigh" var="HeuristicHighText"/>
<orion:message key="Global.HeuristicVeryHigh" var="HeuristicVeryHighText"/>


<orion:message key="OASGeneral.ScriptScanInfo" var="ScriptScanInfoText"/>
<orion:message escape="None" key="OASGeneral.EnableScriptScan" var="EnableScriptScanText"/>
<orion:message key="OASGeneral.ScriptScanExclusionsInfo" var="ScriptScanExclusionsInfoText"/>
<orion:message key="OASGeneral.Process" var="ProcessText"/>
<orion:message key="OASGeneral.URL" var="URLText"/>

<orion:message key="OASGeneral.BlockInfo" var="BlockInfoText"/>
<orion:message escape="None" key="OASGeneral.SendAMessage" var="SendAMessageText"/>
<orion:message escape="None" key="OASGeneral.BlockConnection" var="BlockConnectionText"/>
<orion:message key="OASGeneral.UnblockAfter" var="UnblockAfterText"/>
<orion:message escape="None" key="OASGeneral.BlockUnwanted" var="BlockUnwantedText"/>
<orion:message key="OASGeneral.TypeCustomMessage" var="TypeCustomMessageText"/>
<orion:message key="Global.MinutesLabel" var="MinutesText"/>

<orion:message escape="None" key="OASGeneral.ShowAlertList" var="ShowAlertListText"/>
<orion:message escape="None" key="OASGeneral.ExcludeCookies" var="ExcludeCookiesText"/>
<orion:message key="OASGeneral.MessageToDisplay" var="MessageToDisplayText"/>
<orion:message escape="None" key="OASGeneral.RemoveAlerts" var="RemoveAlertsText"/>
<orion:message escape="None" key="OASGeneral.CleanFiles" var="CleanFilesText"/>
<orion:message escape="None" key="OASGeneral.DeleteFiles" var="DeleteFilesText"/>
<orion:message key="OASGeneral.MessageInfo" var="MessageInfoText"/>

<orion:message key="Global.Report.LogFileInfo" var="LogFileInfoText"/>
<orion:message escape="None" key="Global.Report.LogToFile" var="LogToFileText"/>
<orion:message escape="None" key="Global.Report.LimitLogFileSize" var="LimitLogFileSizeText"/>
<orion:message key="Global.Report.SizeUnitLabel" var="SizeUnitLabelText"/>
<orion:message key="Global.Report.FormatANSI" var="FormatANSIText"/>
<orion:message key="Global.Report.FormatUTF8" var="FormatUTF8Text"/>
<orion:message key="Global.Report.FormatUTF16" var="FormatUTF16Text"/>
<orion:message escape="None" key="Global.Report.LogSettings" var="LogSettingsText"/>
<orion:message escape="None" key="Global.Report.LogSummary" var="LogSummaryText"/>
<orion:message escape="None" key="Global.Report.LogEncryptFails" var="LogEncryptFailsText"/>
<orion:message key="Global.Report.MBLabel" var="MBText"/>

<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="OAS_GENERAL">
<jsp:include page="/SystemMacros/SystemMacros.jsp"/>
<div id="general" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${GeneralInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.ScanLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_DONT_SCAN_BOOT_SECTORS}" id="hiddenID_Wrkstn_DontScanBootSectors"/>
                <input type="hidden" name="Server_${OAS_GENERAL_DONT_SCAN_BOOT_SECTORS}" id="hiddenID_Server_DontScanBootSectors"/>
                <orion:checkbox id="checkboxID_DontScanBootSectors"
                                text="${BootSectorsText}"
                                onClick="validatePolicy()"/>
                <br/>


                <input type="hidden" name="Wrkstn_${OAS_GENERAL_DONT_SCAN_MBR_SECTORS}" id="hiddenID_Wrkstn_DontScanMBRSectors"/>
                <input type="hidden" name="Server_${OAS_GENERAL_DONT_SCAN_MBR_SECTORS}" id="hiddenID_Server_DontScanMBRSectors"/>

                <input type="hidden" name="Wrkstn_${OAS_GENERAL_SCAN_FLOPPY_ON_SHUTDOWN}" id="hiddenID_Wrkstn_FloppyShutdown"/>
                <input type="hidden" name="Server_${OAS_GENERAL_SCAN_FLOPPY_ON_SHUTDOWN}" id="hiddenID_Server_FloppyShutdown"/>
                <orion:checkbox id="checkboxID_FloppyShutdown"
                                text="${FloppyShutdownText}"
                                onClick="validatePolicy()"/>
                <br/>

                <input type="hidden" name="Wrkstn_${OAS_GENERAL_SCAN_PROCESSES_ON_ENABLE}" id="hiddenID_Wrkstn_ScanProcessesOnEnable"/>
                <input type="hidden" name="Server_${OAS_GENERAL_SCAN_PROCESSES_ON_ENABLE}" id="hiddenID_Server_ScanProcessesOnEnable"/>
                <orion:checkbox id="checkboxID_ScanProcessesOnEnable"
                                text="${ScanProcessesOnEnableText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_WHITE_LIST_INSTALLERS}" id="hiddenID_Wrkstn_WhiteListTrustedInstallers"/>
                <input type="hidden" name="Server_${OAS_GENERAL_WHITE_LIST_INSTALLERS}" id="hiddenID_Server_WhiteListTrustedInstallers"/>
                <orion:checkbox id="checkboxID_WhiteListTrustedInstallers"
                                text="${TrustedInstallersText}"
                                onClick="validatePolicy()"/>


            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.GeneralLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_START_DISABLED}" id="hiddenID_Wrkstn_EnableOASAtStartup"/>
                <input type="hidden" name="Server_${OAS_GENERAL_START_DISABLED}" id="hiddenID_Server_EnableOASAtStartup"/>
                <orion:checkbox id="checkboxID_EnableOASAtStartup"
                                text="${EnableAtStartupText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_ENABLED}" id="hiddenID_Wrkstn_EnableOASOnEnforce"/>
                <input type="hidden" name="Server_${OAS_GENERAL_ENABLED}" id="hiddenID_Server_EnableOASOnEnforce"/>
                <orion:checkbox id="checkboxID_EnableOASOnEnforce"
                                text="${EnableAtEnforceText}"
                                onClick="validatePolicy()"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.ScanTimeLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                    <%-- <label>${ArchiveTimeoutText}</label>
                     <input type="hidden" name="Wrkstn_${OAS_GENERAL_SCAN_ARCHIVE_TIMEOUT}" id="hiddenID_Wrkstn_ScanArchiveTimeout"/>
                     <input type="hidden" name="Server_${OAS_GENERAL_SCAN_ARCHIVE_TIMEOUT}" id="hiddenID_Server_ScanArchiveTimeout"/>
                     <orion:textbox id="textboxID_ScanArchiveTimeout"
                                    maxlength="3"
                                    size="5"
                                    onkeyup="validatePolicy()"
                                    onkeypress="return numbers_only(event)"
                                    onvalidate="validateArchiveTimeout"
                                    required="true"/>
                     <span id="spanID_ScanArchiveTimeout_error" class="orionInputErrorText" style="display:none">${ArchiveTimeoutErrorText}</span>
                     <br/>   --%>
                <orion:checkbox id="ID_EnforceMaxScanTime"
                                text="${TimeoutAllFilesText}"
                                onClick="validatePolicy(); fnSetMaxScanTimeState(!this.checked);"
                                name="ID_EnforceMaxScanTime"/>
                <table>
                    <tr>
                        <td width="12">
                        </td>
                        <td>
                            <label id="labelID_MaxScanTime">${MaxScanTimeText}</label>
                            <input type="hidden" name="Wrkstn_${OAS_GENERAL_SCANNER_THREAD_TIMEOUT}" id="hiddenID_Wrkstn_ScannerThreadTimeout"/>
                            <input type="hidden" name="Server_${OAS_GENERAL_SCANNER_THREAD_TIMEOUT}" id="hiddenID_Server_ScannerThreadTimeout"/>
                            <orion:textbox id="textboxID_ScannerThreadTimeout"
                                           maxlength="4"
                                           size="5"
                                           onkeyup="validatePolicy()"
                                           onkeypress="return numbers_only(event)"
                                           onvalidate="validateMaxScanTime"
                                           required="true"/>

                            <input type="hidden" name="Wrkstn_${OAS_GENERAL_SCANNER_THREAD_TIMEOUT_EX}" id="hiddenID_Wrkstn_ScannerThreadTimeoutEx"/>
                            <input type="hidden" name="Server_${OAS_GENERAL_SCANNER_THREAD_TIMEOUT_EX}" id="hiddenID_Server_ScannerThreadTimeoutEx"/>

                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr id="ID_ScanCookies" style="display:none">
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.CookiesLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_ScanCookies"
                                text="${ScanCookiesText}"
                                onClick="validatePolicy()"/>
            </td>
            <input type="hidden" name="Wrkstn_${OAS_GENERAL_SCAN_COOKIES}" id="hiddenID_Wrkstn_ScanCookies"/>
            <input type="hidden" name="Server_${OAS_GENERAL_SCAN_COOKIES}" id="hiddenID_Server_ScanCookies"/>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.HeuristicNetCheckTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <input type=HIDDEN name="Wrkstn_${OAS_GENERAL_HEURISTIC_SENSITIVITY}" id="hiddenID_Wrkstn_HeuristicSensitivity"/>
                            <input type=HIDDEN name="Server_${OAS_GENERAL_HEURISTIC_SENSITIVITY}" id="hiddenID_Server_HeuristicSensitivity"/>
                            <label id="labelID_HeuristicSensitivity">${HeuristicSensitivityText}</label>
                            <orion:select id="selectID_HeuristicSensitivity"
                                          name="selectID_HeuristicSensitivity"
                                          onchange="validatePolicy();">
                                <option value="-1">${HeuristicOffText}</option>
                                <option value="0">${HeuristicVeryLowText}</option>
                                <option value="1">${HeuristicLowText}</option>
                                <option value="2">${HeuristicMediumText}</option>
                                <option value="3">${HeuristicHighText}</option>
                                <option value="4">${HeuristicVeryHighText}</option>
                            </orion:select>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<div id="scriptscan" style="display:none;width:100%;">
    <div class="orionBorderBottomGrey"
         style="background-color:#EDEDED;
         border-style:none none solid none;
         border-color:#e0e0e0;
         border-width:1px;
         margin:0px;
         padding:0px;
         padding-left:10px;
         line-height:48px;
         font-weight:normal;
         font-size:10px;
         color:#4A4A4A;
         overflow:hidden;
         white-space:normal;
         height:48px;">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label>${ScriptScanInfoText}</label>
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.ScriptScanLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_SCRIPTSCAN_ENABLED}" id="hiddenID_Wrkstn_ScriptScanEnabled"/>
                <input type="hidden" name="Server_${OAS_GENERAL_SCRIPTSCAN_ENABLED}" id="hiddenID_Server_ScriptScanEnabled"/>
                <orion:checkbox id="checkboxID_ScriptScanEnabled"
                                text="${EnableScriptScanText}"
                                onClick="fnSetScriptScanEnabledState(); validatePolicy();"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.ScriptScanExclusions" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <label>${ScriptScanExclusionsInfoText}</label>
                <br/>
                <br/>
                <!-- div tag for list of processes exclusion -->
                <div id="divID_WrkstnSSExclusionsList"></div>
                <input type="hidden" id="hiddenID_WrkstnSSExclProcesses" name="hiddenID_WrkstnSSExclProcesses"/>
                <div id="divID_ServerSSExclusionsList" style="display:none"></div>
                <input type="hidden" id="hiddenID_ServerSSExclProcesses" name="hiddenID_ServerSSExclProcesses"/>

                <!-- div tag for list of urls exclusion -->
                <div id="divID_WrkstnSSExclusionsURLList"></div>
                <input type="hidden" id="hiddenID_WrkstnSSExclURLs" name="hiddenID_WrkstnSSExclURLs"/>
                <div id="divID_ServerSSExclusionsURLList" style="display:none"></div>
                <input type="hidden" id="hiddenID_ServerSSExclURLs" name="hiddenID_ServerSSExclURLs"/>
            </td>
        </tr>
    </table>
</div>

<div id="blocking" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${BlockInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.MessageLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_VSID_SEND_MESSAGE}" id="hiddenID_Wrkstn_VSIDSendMessage"/>
                <input type="hidden" name="Server_${OAS_GENERAL_VSID_SEND_MESSAGE}" id="hiddenID_Server_VSIDSendMessage"/>
                <orion:checkbox id="checkboxID_VSIDSendMessage"
                                text="${SendAMessageText}"
                                onClick="enableBlockMessageUI(this.checked); validatePolicy();"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.MessageTextLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_VSID_MESSAGE}" id="hiddenID_Wrkstn_VSIDMessage"/>
                <input type="hidden" name="Server_${OAS_GENERAL_VSID_MESSAGE}" id="hiddenID_Server_VSIDMessage"/>
                <label id="labelID_VSIDMessage" for="textboxID_VSIDMessage">${TypeCustomMessageText}</label>
                <br/>
                <orion:textbox id="textboxID_VSIDMessage"
                               maxlength="511"
                               onvalidate="validateVSIDMessage"
                               onkeyup="validatePolicy();"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.BlockLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_VSID_BLOCK}" id="hiddenID_Wrkstn_VSIDBlock"/>
                <input type="hidden" name="Server_${OAS_GENERAL_VSID_BLOCK}" id="hiddenID_Server_VSIDBlock"/>
                <orion:checkbox id="checkboxID_VSIDBlock"
                                text="${BlockConnectionText}"
                                onClick="enabledBlockConnectionUI(this.checked); validatePolicy()"/>
                <table>
                    <tr>
                        <td width="16">
                        </td>
                        <td>
                            <label id="labelID_UnblockAfter">${UnblockAfterText}&nbsp;</label>
                            <input type="hidden" name="Wrkstn_${OAS_GENERAL_VSID_BLOCK_TIMEOUT}" id="hiddenID_Wrkstn_VSIDBlockTimeout"/>
                            <input type="hidden" name="Server_${OAS_GENERAL_VSID_BLOCK_TIMEOUT}" id="hiddenID_Server_VSIDBlockTimeout"/>
                            <orion:textbox id="textboxID_VSIDBlockTimeout"
                                           maxlength="4"
                                           size="5"
                                           required="true"
                                           onvalidate="validateBlockTimeout"
                                           onkeyup="validatePolicy()"
                                           onkeypress="return numbers_only(event)"/>
                            <label id="labelID_Minutes">&nbsp;${MinutesText}</label>
                        </td>
                    </tr>
                    <tr>
                        <td width="16">
                        </td>
                        <td>
                            <input type="hidden" name="Wrkstn_${OAS_GENERAL_VSID_BLOCK_ON_NON_VIRUS}" id="hiddenID_Wrkstn_VSIDBlockOnNonVirus"/>
                            <input type="hidden" name="Server_${OAS_GENERAL_VSID_BLOCK_ON_NON_VIRUS}" id="hiddenID_Server_VSIDBlockOnNonVirus"/>
                            <orion:checkbox id="checkboxID_VSIDBlockOnNonVirus"
                                            text="${BlockUnwantedText}"
                                            onClick="validatePolicy()"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<div id="messages" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${MessageInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.UserMessagesLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_SHOW_ALERTS}" id="hiddenID_Wrkstn_ShowAlerts"/>
                <input type="hidden" name="Server_${OAS_GENERAL_SHOW_ALERTS}" id="hiddenID_Server_ShowAlerts"/>
                <orion:checkbox id="checkboxID_ShowAlerts"
                                text="${ShowAlertListText}"
                                onClick="fnEnableMessageTabUI(); validatePolicy();"/>
                <br/>
                <div id="ID_ExcludeCookies" style="display:none">
                    <orion:checkbox id="checkboxID_ExcludeCookies"
                                    text="${ExcludeCookiesText}"
                                    onClick="validatePolicy()"/>
                    <br/>
                </div>
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_EXCLUDE_COOKIES}" id="hiddenID_Wrkstn_ExcludeCookies"/>
                <input type="hidden" name="Server_${OAS_GENERAL_EXCLUDE_COOKIES}" id="hiddenID_Server_ExcludeCookies"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.MessageTextLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_DIALOG_MESSAGE}" id="hiddenID_Wrkstn_DialogMessage"/>
                <input type="hidden" name="Server_${OAS_GENERAL_DIALOG_MESSAGE}" id="hiddenID_Server_DialogMessage"/>
                <label for="textboxID_DialogMessage">${MessageToDisplayText}</label>
                <br/>
                    <%--  <img id="imgID_MacroNoFocus"
                               onclick='showMacroMenu(event, $("textboxID_DialogMessage"), validatePolicy);'
                               onmouseover='this.src="/VIRUSCAN8800/img/M2.jpg"'
                               onmouseout='this.src="/VIRUSCAN8800/img/M1.jpg"'
                               onmousedown='this.src="/VIRUSCAN8800/img/M3.jpg"'
                               onmouseup='this.src="/VIRUSCAN8800/img/M1.jpg"'
                               src="/VIRUSCAN8800/img/M1.jpg">  --%>
                <orion:textbox id="textboxID_DialogMessage"
                               maxlength="4095"
                               onkeyup="validatePolicy();"
                               onchange="validatePolicy();"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASGeneral.ActionsAvailableLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_REMOVE_ALERTS}" id="hiddenID_Wrkstn_RemoveAlerts"/>
                <input type="hidden" name="Server_${OAS_GENERAL_REMOVE_ALERTS}" id="hiddenID_Server_RemoveAlerts"/>
                <orion:checkbox id="checkboxID_RemoveAlerts"
                                text="${RemoveAlertsText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_CLEAN_FILES}" id="hiddenID_Wrkstn_CleanFiles"/>
                <input type="hidden" name="Server_${OAS_GENERAL_CLEAN_FILES}" id="hiddenID_Server_CleanFiles"/>
                <orion:checkbox id="checkboxID_CleanFiles"
                                text="${CleanFilesText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_DELETE_FILES}" id="hiddenID_Wrkstn_DeleteFiles"/>
                <input type="hidden" name="Server_${OAS_GENERAL_DELETE_FILES}" id="hiddenID_Server_DeleteFiles"/>
                <orion:checkbox id="checkboxID_DeleteFiles"
                                text="${DeleteFilesText}"
                                onClick="validatePolicy()"/>
            </td>
        </tr>
    </table>
</div>

<div id="reports" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${LogFileInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_LOG_TO_FILE}" id="hiddenID_Wrkstn_LogToFile"/>
                <input type="hidden" name="Server_${OAS_GENERAL_LOG_TO_FILE}" id="hiddenID_Server_LogToFile"/>
                <orion:checkbox id="checkboxID_LogToFile"
                                text="${LogToFileText}"
                                onClick="fnEnableReportingTabUI(); validatePolicy();"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLocationLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_LOG_FILENAME}" id="hiddenID_Wrkstn_LogFileName"/>
                <input type="hidden" name="Server_${OAS_GENERAL_LOG_FILENAME}" id="hiddenID_Server_LogFileName"/>
                <img id="imgID_LogFile_MacroNoFocus"
                     onclick='showMacroMenu(event, $("textboxID_LogFileName"), validatePolicy);'
                     onmouseover='this.src="/VIRUSCAN8800/img/M2.jpg"'
                     onmouseout='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     onmousedown='this.src="/VIRUSCAN8800/img/M3.jpg"'
                     onmouseup='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     src="/VIRUSCAN8800/img/M1.jpg">
                <orion:textbox id="textboxID_LogFileName"
                               required="true"
                               onkeyup="validatePolicy();"
                               onvalidate="validateLogfilePath"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileSizeLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_LIMIT_SIZE}" id="hiddenID_Wrkstn_LimitSize"/>
                <input type="hidden" name="Server_${OAS_GENERAL_LIMIT_SIZE}" id="hiddenID_Server_LimitSize"/>
                <orion:checkbox id="checkboxID_LimitLogFileSize"
                                text="${LimitLogFileSizeText}"
                                onClick="fnEnableReportingTabUI(); validatePolicy();"/>
                <table>
                    <tr>
                        <td width="16"></td>
                        <td>
                            <label id="labelID_MaxLogSize">${SizeUnitLabelText}&nbsp;</label>
                            <input type="hidden" name="Wrkstn_${OAS_GENERAL_MAX_LOG_SIZE}" id="hiddenID_Wrkstn_MaxLogSizeMB"/>
                            <input type="hidden" name="Server_${OAS_GENERAL_MAX_LOG_SIZE}" id="hiddenID_Server_MaxLogSizeMB"/>
                            <orion:textbox id="textboxID_MaxLogSizeMB"
                                           maxlength="3"
                                           size="5"
                                           required="true"
                                           onvalidate="validateMaxLogSize"
                                           onkeyup="validatePolicy()"
                                           onkeypress="return numbers_only(event)"/>
                            <label id="labelID_MB">&nbsp;${MBText}</label>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileFormatLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_LOG_FILE_FORMAT}" id="hiddenID_Wrkstn_LogFileFormat"/>
                <input type="hidden" name="Server_${OAS_GENERAL_LOG_FILE_FORMAT}" id="hiddenID_Server_LogFileFormat"/>
                <select id="selectID_LogFileFormat"
                        name="selectID_LogFileFormat"
                        onchange="validatePolicy();">
                    <option value="0">${FormatANSIText}</option>
                    <option value="1">${FormatUTF8Text}</option>
                    <option value="2">${FormatUTF16Text}</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.WhatToLogLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_LOG_SETTINGS}" id="hiddenID_Wrkstn_LogSettings"/>
                <input type="hidden" name="Server_${OAS_GENERAL_LOG_SETTINGS}" id="hiddenID_Server_LogSettings"/>
                <orion:checkbox id="checkboxID_LogSettings"
                                text="${LogSettingsText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_LOG_SUMMARY}" id="hiddenID_Wrkstn_LogSummary"/>
                <input type="hidden" name="Server_${OAS_GENERAL_LOG_SUMMARY}" id="hiddenID_Server_LogSummary"/>
                <orion:checkbox id="checkboxID_LogSummary"
                                text="${LogSummaryText}"
                                onClick="validatePolicy()"/>
                <br/>
                <input type="hidden" name="Wrkstn_${OAS_GENERAL_LOG_ENCRYPT_FAILS}" id="hiddenID_Wrkstn_LogEncryptFails"/>
                <input type="hidden" name="Server_${OAS_GENERAL_LOG_ENCRYPT_FAILS}" id="hiddenID_Server_LogEncryptFails"/>
                <orion:checkbox id="checkboxID_LogEncryptFails"
                                text="${LogEncryptFailsText}"
                                onClick="validatePolicy()"/>
            </td>
        </tr>
    </table>
</div>

<!-- ScriptScan Exclusions Templates -->
<!-- Workstation Items -->
<div id='wrkstn_ss_exclusions_div' style="display:none">
    <label for='wrkstn_ss_excl_process_@ID'>${ProcessText}</label>
    &nbsp;<input type='text' id='wrkstn_ss_excl_process_@ID' size='20'>
    <span style='display: none;' class='orionInputErrorText' id='wrkstn_ss_excl_process_@ID_error'>!!</span>

</div>
<br />  <br />

<div id="wrkstn_ss_url_exclusions_div" style="display:none">
    <label for='wrkstn_ss_excl_url_@ID'>${URLText}</label>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type='text' id='wrkstn_ss_excl_url_@ID' size='20'>
    <span style='display: none;' class='orionInputErrorText' id='wrkstn_ss_excl_url_@ID_error'>!!</span>
</div>

<!-- Server Items -->
<div id='server_ss_exclusions_div' style="display:none">
    <label for='server_ss_excl_process_@ID'>${ProcessText}</label>
    &nbsp;<input type='text' id='server_ss_excl_process_@ID' size='20'>
    <span style='display: none;' class='orionInputErrorText' id='server_ss_excl_process_@ID_error'>!!</span>
</div>   <br />  <br />

<div id="server_ss_url_exclusions_div" style="display:none" >
    <label for='server_ss_excl_url_@ID'>${URLText}</label>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type='text' id='server_ss_excl_url_@ID' size='20'>
    <span style='display: none;' class='orionInputErrorText' id='server_ss_excl_url_@ID_error'>!!</span>
</div>
</orion:box>

<script type="text/javascript">
function fnOnPageLoad()
{
    initializePolicyData();
    fnDisplayScriptScanTab();
    displayPolicyData(g_CurrentPolicyType);
    fnDisplayGeneralTab();
    fnSetCookieDisplay();
    fnSetReportFormat();
    enableBlockMessageUI($("checkboxID_VSIDSendMessage").checked);
    enabledBlockConnectionUI($("checkboxID_VSIDBlock").checked)
    fnEnableReportingTabUI();
    fnEnableMessageTabUI();
    g_FirstValidationCheck = true;
    OrionForm.setStateChangeHandler(stateChangeHandler);
    _doReadonly();
};

OrionCore.addLoadHandler(_setTabStrip);
OrionCore.addLoadHandler(fnOnPageLoad);

function _setTabStrip()
{
    // This instantiates the swappable tabstrip
    swapper = new majic.SwapTabStrip("swaptab", {
        "general":{
            title:"${GeneralTabLabel}",
            callback:function(){OrionHelp.setHelpId("${HELPID_OASGENERAL_GENERAL}");}
        },
        "scriptscan":{
            title:"${ScriptScanTabLabel}",
            callback:function(){OrionHelp.setHelpId("${HELPID_OASGENERAL_SCRIPTSCAN}");}
        },
        "blocking":{
            title:"${BlockingTabLabel}",
            callback:function(){OrionHelp.setHelpId("${HELPID_OASGENERAL_BLOCKING}");}
        },
        "messages":{
            title:"${MessagesTabLabel}",
            callback:function(){OrionHelp.setHelpId("${HELPID_OASGENERAL_MESSAGES}");}
        },
        "reports":{
            title:"${ReportsTabLabel}",
            callback:function(){OrionHelp.setHelpId("${HELPID_OASGENERAL_REPORTS}");}
        }
    });
};

function fnDisplayGeneralTab()
{
    var EnforceMaxScanTime = document.getElementById("ID_EnforceMaxScanTime");
    var ScanTimeOut = ScannerThreadTimeout[g_CurrentPolicyType];

    if(ScanTimeOut == g_MAX_TIMEOUT_OFF)
    {
        EnforceMaxScanTime.checked = false;
        document.getElementById("textboxID_ScannerThreadTimeout").value = 45;
        fnSetMaxScanTimeState(true);
    }
    else
    {
        EnforceMaxScanTime.checked = true;
        document.getElementById("textboxID_ScannerThreadTimeout").value = ScanTimeOut / 1000;
        fnSetMaxScanTimeState(false);
    }

    if(OASEnabled[g_CurrentPolicyType] == g_SCANNER_ENABLED)
    {
        document.getElementById("checkboxID_EnableOASOnEnforce").checked = true;
    }
    else
    {
        document.getElementById("checkboxID_EnableOASOnEnforce").checked = false;
    }
}
// ScriptScan Tab functions
function fnDisplayScriptScanTab()
{
    Wrkstn_ExclusionsAddWidgetInit();
    Server_ExclusionsAddWidgetInit();

    Wrkstn_URLExclusionsAddWidgetInit();
    Server_URLExclusionsAddWidgetInit();

    Wrkstn_AddSSExclusions();
    Server_AddSSExclusions();

    Wrkstn_AddSSURLExclusions();
    Server_AddSSURLExclusions();

    fnSetScriptScanEnabledState();
}

function Wrkstn_URLExclusionsAddWidgetInit()
{
    g_Wrkstn_SSURLExclusionsAddWidget = new VSE.AddWidget({
        container:"divID_WrkstnSSExclusionsURLList",
        addCallback:Wrkstn_SSExclURLAddCallback,
        removeCallback: SSExclURLRemoveCallback,
        readOnly:false,
        content:$("wrkstn_ss_url_exclusions_div").innerHTML
    });
}

function Server_URLExclusionsAddWidgetInit()
{
    g_Server_SSURLExclusionsAddWidget = new VSE.AddWidget({
        container:"divID_ServerSSExclusionsURLList",
        addCallback:Server_SSExclURLAddCallback,
        removeCallback: SSExclURLRemoveCallback,
        readOnly:false,
        content:$("server_ss_url_exclusions_div").innerHTML
    });

}

function Wrkstn_ExclusionsAddWidgetInit()
{
    g_Wrkstn_SSExclusionsAddWidget = new VSE.AddWidget({
        container:"divID_WrkstnSSExclusionsList",
        addCallback:Wrkstn_SSExclAddCallback,
        removeCallback:SSExclRemoveCallback,
        readOnly:false,
        content:$("wrkstn_ss_exclusions_div").innerHTML
    });
}

function Wrkstn_AddSSURLExclusions()
{
    var SSExclusionCount = ${OASGeneralSettings.wrkstn_dwScriptScanURLExclItemCount};
    if(SSExclusionCount > 0)
    {
        //var szSSExclProcesses = "${orion:escapeJavaScriptString(OASGeneralSettings.wrkstn_szScriptScanExclItems)}".split(Constants.LIST_TOKEN_SPLITTER);
        var szSSExclURLs = "${orion:escapeJavaScriptString(OASGeneralSettings.wrkstn_szScriptScanURLExclItems)}".split(Constants.LIST_TOKEN_SPLITTER);

        if(szSSExclURLs.length > 0)
        {
            for(var i = 0; i < szSSExclURLs.length; ++i)
            {
                var exclusionValue = szSSExclURLs[i];

                g_Wrkstn_SSURLExclusionsAddWidget.add({"@VALUE":exclusionValue});
            }
        }
        else
        {
            g_Wrkstn_SSURLExclusionsAddWidget.add({"@VALUE":""});
        }
    }
    else
    {
        g_Wrkstn_SSURLExclusionsAddWidget.add({"@VALUE":""});
    }
}

function Server_AddSSURLExclusions()
{
    var SSExclusionCount = ${OASGeneralSettings.server_dwScriptScanURLExclItemCount};
    if(SSExclusionCount > 0)
    {
        //var szSSExclProcesses = "${orion:escapeJavaScriptString(OASGeneralSettings.server_szScriptScanExclItems)}".split(Constants.LIST_TOKEN_SPLITTER);
        var szSSExclURLs = "${orion:escapeJavaScriptString(OASGeneralSettings.server_szScriptScanURLExclItems)}".split(Constants.LIST_TOKEN_SPLITTER);

        if(szSSExclURLs.length > 0)
        {
            for(var i = 0; i < szSSExclURLs.length; ++i)
            {
                var exclusionValue = szSSExclURLs[i];

                g_Server_SSURLExclusionsAddWidget.add({"@VALUE":exclusionValue});
            }
        }
        else
        {
            g_Server_SSURLExclusionsAddWidget.add({"@VALUE":""});
        }
    }
    else
    {
        g_Server_SSURLExclusionsAddWidget.add({"@VALUE":""});
    }
}

function Wrkstn_AddSSExclusions()
{
    var SSExclusionCount = ${OASGeneralSettings.wrkstn_dwScriptScanExclItemCount};
    if(SSExclusionCount > 0)
    {
        var szSSExclProcesses = "${orion:escapeJavaScriptString(OASGeneralSettings.wrkstn_szScriptScanExclItems)}".split(Constants.LIST_TOKEN_SPLITTER);

        if(szSSExclProcesses.length > 0)
        {
            for(var i = 0; i < szSSExclProcesses.length; ++i)
            {
                var exclusionValue = szSSExclProcesses[i];

                g_Wrkstn_SSExclusionsAddWidget.add({"@VALUE":exclusionValue});
            }
        }
        else
        {
            g_Wrkstn_SSExclusionsAddWidget.add({"@VALUE":""});
        }
    }
    else
    {
        g_Wrkstn_SSExclusionsAddWidget.add({"@VALUE":""});
    }
}


function Server_ExclusionsAddWidgetInit()
{
    g_Server_SSExclusionsAddWidget = new VSE.AddWidget({
        container:"divID_ServerSSExclusionsList",
        addCallback:Server_SSExclAddCallback,
        removeCallback:SSExclRemoveCallback,
        readOnly:false,
        content:$("server_ss_exclusions_div").innerHTML
    });
}

function Server_AddSSExclusions()
{
    var SSExclusionCount = ${OASGeneralSettings.server_dwScriptScanExclItemCount};
    if(SSExclusionCount > 0)
    {
        var szSSExclProcesses = "${orion:escapeJavaScriptString(OASGeneralSettings.server_szScriptScanExclItems)}".split(Constants.LIST_TOKEN_SPLITTER);

        if(szSSExclProcesses.length > 0)
        {
            for(var i = 0; i < szSSExclProcesses.length; ++i)
            {
                var exclusionValue = szSSExclProcesses[i];

                g_Server_SSExclusionsAddWidget.add({"@VALUE":exclusionValue});
            }
        }
        else
        {
            g_Server_SSExclusionsAddWidget.add({"@VALUE":""});
        }
    }
    else
    {
        g_Server_SSExclusionsAddWidget.add({"@VALUE":""});
    }
}

function fnSetScriptScanEnabledState()
{
    if(g_CurrentPolicyType == WRKSTN_POLICY)
    {
        disableSection("divID_WrkstnSSExclusionsList",$("checkboxID_ScriptScanEnabled").checked);
        disableSection("divID_WrkstnSSExclusionsURLList",$("checkboxID_ScriptScanEnabled").checked);
    }
    else
    {
        disableSection("divID_ServerSSExclusionsList",$("checkboxID_ScriptScanEnabled").checked);
        disableSection("divID_ServerSSExclusionsURLList",$("checkboxID_ScriptScanEnabled").checked);
    }

}

function fnSetMaxScanTimeState(bDisable)
{
    var EnforceMaxScanTime = document.getElementById("ID_EnforceMaxScanTime");

    OrionCore.setEnabledById("textboxID_ScannerThreadTimeout", !bDisable);
    OrionCore.setEnabledById("labelID_MaxScanTime", !bDisable);

    if((!bDisable) && (EnforceMaxScanTime.value == ""))
    {
        EnforceMaxScanTime.value = "30";
    }
}

function fnSetCookieDisplay()
{
    if(${OASGeneralSettings.bMASInstalled})
    {
        //  document.getElementById("ID_ScanCookies").style.display="";
        //  document.getElementById("ID_ExcludeCookies").style.display="";
    }
}

function fnSetReportFormat()
{
    var FileFormat = LogFileFormat[g_CurrentPolicyType];
    document.getElementById("selectID_LogFileFormat").selectedIndex = FileFormat;
}

function enableBlockMessageUI(enableUI)
{
    $("textboxID_VSIDMessage").disabled = !enableUI;
    $("labelID_VSIDMessage").disabled = !enableUI;
}

function enabledBlockConnectionUI(enableUI)
{
    $("labelID_UnblockAfter").disabled = !enableUI;
    $("textboxID_VSIDBlockTimeout").disabled = !enableUI;
    $("labelID_Minutes").disabled = !enableUI;
    $("checkboxID_VSIDBlockOnNonVirus").disabled = !enableUI;
}

function fnEnableReportingTabUI()
{
    var enableUI = $("checkboxID_LogToFile").checked;

    $("textboxID_LogFileName").disabled = !enableUI;
    $("checkboxID_LimitLogFileSize").disabled = !enableUI;
    $("labelID_MaxLogSize").disabled = !enableUI;
    $("textboxID_MaxLogSizeMB").disabled = !enableUI;
    $("selectID_LogFileFormat").disabled = !enableUI;
    $("checkboxID_LogSettings").disabled = !enableUI;
    $("checkboxID_LogSummary").disabled = !enableUI;
    $("checkboxID_LogEncryptFails").disabled = !enableUI;

    if(enableUI)
    {
        $("textboxID_MaxLogSizeMB").disabled = !($("checkboxID_LimitLogFileSize").checked);
    }
}

function fnEnableMessageTabUI()
{
    var enableUI = $("checkboxID_ShowAlerts").checked;

    // $("imgID_MacroNoFocus").disabled = !enableUI;
    $("textboxID_DialogMessage").disabled = !enableUI;
}

function initializePolicyData()
{
    g_CurrentPolicyType = 0;
    //WORKSTATION
    bDontScanBootSectors[0] = ${OASGeneralSettings.wrkstn_bDontScanBootSectors};
    bDontScanMBRSectors[0] = ${OASGeneralSettings.wrkstn_bDontScanMBRSectors};
    bScanFloppyOnShutdown[0] = ${OASGeneralSettings.wrkstn_bScanFloppyOnShutdown};
    ScanProcessesOnEnable[0] = ${OASGeneralSettings.wrkstn_ScanProcessesOnEnable};
    bWhiteListTrustedInstallers[0] = ${OASGeneralSettings.wrkstn_WhiteListTrustedInstallers};
    ScannerThreadTimeout[0] = (${OASGeneralSettings.wrkstn_ScannerThreadTimeout});
    ScannerThreadTimeoutEx[0] = (${OASGeneralSettings.wrkstn_ScannerThreadTimeoutEx});
    bStartDisabled[0] = ${OASGeneralSettings.wrkstn_bStartDisabled};
    dwHeuristicNetCheckSensitivity[0] = ${OASGeneralSettings.wrkstn_dwHeuristicNetCheckSensitivity};
    ScanCookies[0] = ${OASGeneralSettings.wrkstn_ScanCookies};
    OASEnabled[0] = ${OASGeneralSettings.wrkstn_OASEnabled};

    // ScriptScan Section Values
    ScriptScanEnabled[0] = ${OASGeneralSettings.wrkstn_ScriptScanEnabled};

    // Blocking Section Values
    VSIDSendMessage[0] = ${OASGeneralSettings.wrkstn_VSIDSendMessage};
    VSIDMessage[0] = "${orion:escapeJavaScriptString(OASGeneralSettings.wrkstn_VSIDMessage)}";
    VSIDBlock[0] = ${OASGeneralSettings.wrkstn_VSIDBlock};
    VSIDBlockTimeout[0] = ${OASGeneralSettings.wrkstn_VSIDBlockTimeout};
    VSIDBlockOnNonVirus[0] = ${OASGeneralSettings.wrkstn_VSIDBlockOnNonVirus};

    // Messages Section Values
    bShowAlerts[0] = ${OASGeneralSettings.wrkstn_bShowAlerts};
    szDialogMessage[0] = "${orion:escapeJavaScriptString(OASGeneralSettings.wrkstn_szDialogMessage)}";
    bRemoveAlerts[0] = ${OASGeneralSettings.wrkstn_bRemoveAlerts};
    bCleanFiles[0] = ${OASGeneralSettings.wrkstn_bCleanFiles};
    bDeleteFiles[0] = ${OASGeneralSettings.wrkstn_bDeleteFiles};
    bExcludeCookies[0] = ${OASGeneralSettings.wrkstn_bExcludeCookies};

    // Reports Section Values
    bLogToFile[0] = ${OASGeneralSettings.wrkstn_bLogToFile};
    szLogFileName[0] = "${orion:escapeJavaScriptString(OASGeneralSettings.wrkstn_szLogFileName)}";
    bLimitSize[0] = ${OASGeneralSettings.wrkstn_bLimitSize};
    dwMaxLogSizeMB[0] = ${OASGeneralSettings.wrkstn_dwMaxLogSizeMB};
    bLogDetection[0] = ${OASGeneralSettings.wrkstn_bLogDetection};
    bLogSettings[0] = ${OASGeneralSettings.wrkstn_bLogSettings};
    bLogClean[0] = ${OASGeneralSettings.wrkstn_bLogClean};
    bLogSummary[0] = ${OASGeneralSettings.wrkstn_bLogSummary};
    bLogDelete[0] = ${OASGeneralSettings.wrkstn_bLogDelete};
    bLogDateTime[0] = ${OASGeneralSettings.wrkstn_bLogDateTime};
    bLogMove[0] = ${OASGeneralSettings.wrkstn_bLogMove};
    bLogScanFailure[0] = ${OASGeneralSettings.wrkstn_bLogScanFailure};
    bLogEncryptFails[0] = ${OASGeneralSettings.wrkstn_bLogEncryptFails};
    LogFileFormat[0] = ${OASGeneralSettings.wrkstn_LogFileFormat};

    //SERVER
    bDontScanBootSectors[1] = ${OASGeneralSettings.server_bDontScanBootSectors};
    bDontScanMBRSectors[1] = ${OASGeneralSettings.server_bDontScanMBRSectors};
    bScanFloppyOnShutdown[1] = ${OASGeneralSettings.server_bScanFloppyOnShutdown};
    ScanProcessesOnEnable[1] = ${OASGeneralSettings.server_ScanProcessesOnEnable};
    bWhiteListTrustedInstallers[1] = ${OASGeneralSettings.server_WhiteListTrustedInstallers};
    ScannerThreadTimeout[1] = (${OASGeneralSettings.server_ScannerThreadTimeout});
    ScannerThreadTimeoutEx[1] = (${OASGeneralSettings.server_ScannerThreadTimeoutEx});
    bStartDisabled[1] = ${OASGeneralSettings.server_bStartDisabled};
    dwHeuristicNetCheckSensitivity[1] = ${OASGeneralSettings.server_dwHeuristicNetCheckSensitivity};
    ScanCookies[1] = ${OASGeneralSettings.server_ScanCookies};
    OASEnabled[1] = ${OASGeneralSettings.server_OASEnabled};

    // ScriptScan Section Values
    ScriptScanEnabled[1] = ${OASGeneralSettings.server_ScriptScanEnabled};

    // Blocking Section Values
    VSIDSendMessage[1] = ${OASGeneralSettings.server_VSIDSendMessage};
    VSIDMessage[1] = "${orion:escapeJavaScriptString(OASGeneralSettings.server_VSIDMessage)}";
    VSIDBlock[1] = ${OASGeneralSettings.server_VSIDBlock};
    VSIDBlockTimeout[1] = ${OASGeneralSettings.server_VSIDBlockTimeout};
    VSIDBlockOnNonVirus[1] = ${OASGeneralSettings.server_VSIDBlockOnNonVirus};

    // Messages Section Values
    bShowAlerts[1] = ${OASGeneralSettings.server_bShowAlerts};
    szDialogMessage[1] = "${orion:escapeJavaScriptString(OASGeneralSettings.server_szDialogMessage)}";
    bRemoveAlerts[1] = ${OASGeneralSettings.server_bRemoveAlerts};
    bCleanFiles[1] = ${OASGeneralSettings.server_bCleanFiles};
    bDeleteFiles[1] = ${OASGeneralSettings.server_bDeleteFiles};
    bExcludeCookies[1] = ${OASGeneralSettings.server_bExcludeCookies};

    // Reports Section Values
    bLogToFile[1] = ${OASGeneralSettings.server_bLogToFile};
    szLogFileName[1] = "${orion:escapeJavaScriptString(OASGeneralSettings.server_szLogFileName)}";
    bLimitSize[1] = ${OASGeneralSettings.server_bLimitSize};
    dwMaxLogSizeMB[1] = ${OASGeneralSettings.server_dwMaxLogSizeMB};
    bLogDetection[1] = ${OASGeneralSettings.server_bLogDetection};
    bLogSettings[1] = ${OASGeneralSettings.server_bLogSettings};
    bLogClean[1] = ${OASGeneralSettings.server_bLogClean};
    bLogSummary[1] = ${OASGeneralSettings.server_bLogSummary};
    bLogDelete[1] = ${OASGeneralSettings.server_bLogDelete};
    bLogDateTime[1] = ${OASGeneralSettings.server_bLogDateTime};
    bLogMove[1] = ${OASGeneralSettings.server_bLogMove};
    bLogScanFailure[1] = ${OASGeneralSettings.server_bLogScanFailure};
    bLogEncryptFails[1] = ${OASGeneralSettings.server_bLogEncryptFails};
    LogFileFormat[1] = ${OASGeneralSettings.server_LogFileFormat};
}

function validatePolicy()
{
    var valid = true;

    // validate Reports Tab
    if($("checkboxID_LogToFile").checked)
    {
        valid = validateLogfilePath($("textboxID_LogFileName").value);

        if($("checkboxID_LimitLogFileSize").checked && ($("textboxID_MaxLogSizeMB").value == "" || $("textboxID_MaxLogSizeMB").value < 1))
        {
            valid = false;
        }
    }

    if(valid)
    {
        valid = OrionForm.isFormValid();
    }

    stateChangeHandler(OrionForm.isFormDirty(), valid);
}

function displayExclusionsLists(policyType)
{
    if(policyType == WRKSTN_POLICY)
    {
        $("divID_WrkstnSSExclusionsList").style.display = "";
        $("divID_WrkstnSSExclusionsURLList").style.display = "";
        $("divID_ServerSSExclusionsList").style.display = "none";
        $("divID_ServerSSExclusionsURLList").style.display = "none";
    }
    else
    {
        $("divID_WrkstnSSExclusionsList").style.display = "none";
        $("divID_WrkstnSSExclusionsURLList").style.display = "none";
        $("divID_ServerSSExclusionsList").style.display = "";
        $("divID_ServerSSExclusionsURLList").style.display = "";
    }
}

function _doReadonly()
{
    if ("${epoReadOnlyPolicyObject}" == "true")
    {
        disableSection("OAS_GENERAL",false);
        epoDisableApplyButton();
        stateChangeHandler(false, true);
    }
}
</script>
