<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<vse:createConstants className="com.mcafee.VirusScan.policies.userinterface.UserInterfaceConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.policies.userinterface.UserInterfaceConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/policies/userinterface/EditUserInterfacePolicy.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/core" src="/majic.js"/>
<orion:script context="/VIRUSCAN8800" src="/policies/userinterface/validation.js" />

<!-- Strings from bundle file -->
<orion:message key="Global.Toggle.Label" var="ToggleLabelText"/>
<orion:message key="Global.Toggle.Workstation" var="ToggleWorkstationText"/>
<orion:message key="Global.Toggle.Server" var="ToggleServerText"/>

<!-- Tab Strings -->
<orion:message key="UserInterface.DisplayOptionsTab" var="DisplayOptionsTabLabel"/>
<orion:message key="UserInterface.PasswordOptionsTab" var="PasswordOptionsTabLabel"/>
<orion:message key="UserInterface.GlobalScanSettingsTab" var="GlobalScanSettingsTabLabel"/>
<orion:message key="UserInterface.LoggerSettingsTab" var="LoggerSettingsTabLabel"/>

<!-- Display Options Tab Strings -->
<orion:message key="UserInterface.DisplayOptionsInfo" var="DisplayOptionsInfoText"/>
<orion:message escape="None" key="UserInterface.ShowAllMenuOptions" var="ShowAllMenuOptionsText"/>
<orion:message escape="None" key="UserInterface.ShowMinimalMenuOptions" var="ShowMinimalMenuOptionsText"/>
<orion:message escape="None" key="UserInterface.HideTrayIcon" var="HideTrayIconText"/>
<orion:message escape="None" key="UserInterface.AllowRemoteConsole" var="AllowRemoteConsoleText"/>
<orion:message escape="None" key="UserInterface.DisplayEpoTasks" var="DisplayEpoTasksText"/>
<orion:message escape="None" key="UserInterface.DisableDefaultTask" var="DisableDefaultTaskText"/>
<orion:message escape="None" key="UserInterface.ShowSplash" var="ShowSplashText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Automatic" var="Language_AutomaticText"/>
<orion:message escape="Javascript" key="UserInterface.Language_English" var="Language_EnglishText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Chinese_Simp" var="Language_Chinese_SimpText"/>
<orion:message escape="Javascript" key="UserInterface.Chinese_Trad" var="Language_Chinese_TradText"/>
<orion:message escape="Javascript" key="UserInterface.Language_French" var="Language_FrenchText"/>
<orion:message escape="Javascript" key="UserInterface.Language_German" var="Language_GermanText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Japanese" var="Language_JapaneseText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Korean" var="Language_KoreanText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Spanish" var="Language_SpanishText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Italian" var="Language_ItalianText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Dutch" var="Language_DutchText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Swedish" var="Language_SwedishText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Polish" var="Language_PolishText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Portuguese_Br" var="Language_Portuguese_BrText"/>
<orion:message escape="Javascript" key="UserInterface.Language_Russian" var="Language_RussianText"/>
<orion:message escape="Javascript" key="UserInterface.LogLevel_Error" var="LogLevel_Error"/>
<orion:message escape="Javascript" key="UserInterface.LogLevel_Warning" var="LogLevel_Warning"/>
<orion:message escape="Javascript" key="UserInterface.LogLevel_Request" var="LogLevel_Request"/>
<orion:message escape="Javascript" key="UserInterface.LogLevel_Information" var="LogLevel_Information"/>

<!-- Password Options Tab Strings -->
<orion:message escape="None" key="UserInterface.NoPassword" var="NoPasswordText"/>
<orion:message escape="None" key="UserInterface.AllPassword" var="AllPasswordText"/>
<orion:message escape="None" key="UserInterface.CustomPassword" var="CustomPasswordText"/>
<orion:message escape="None" key="UserInterface.CommonCriteraPassword" var="CommonCriteraPasswordText"/>
<orion:message key="UserInterface.Password" var="PasswordText"/>
<orion:message key="UserInterface.ConfirmPassword" var="ConfirmPasswordText"/>
<orion:message key="UserInterface.PasswordInfo" var="PasswordInfoText"/>
<orion:message escape="None" key="UserInterface.SelectAll" var="SelectAllText"/>
<orion:message escape="None" key="UserInterface.DeselectAll" var="DeselectAllText"/>

<!-- Password Item Strings -->
<orion:message key="UserInterface.PWIOAS" var="PWIOAS"/>
<orion:message key="UserInterface.PWIOASGeneral" var="PWIOASGeneral"/>
<orion:message key="UserInterface.PWIOASScriptScan" var="PWIOASScriptScan"/>
<orion:message key="UserInterface.PWIOASOfficeScan" var="PWIOASOfficeScan"/>
<orion:message key="UserInterface.PWIOASBlocking" var="PWIOASBlocking"/>
<orion:message key="UserInterface.PWIOASMessages" var="PWIOASMessages"/>
<orion:message key="UserInterface.PWIOASReports" var="PWIOASReports"/>
<orion:message key="UserInterface.PWIOASProcesses" var="PWIOASProcesses"/>
<orion:message key="UserInterface.PWIOASDetection" var="PWIOASDetection"/>
<orion:message key="UserInterface.PWIOASExclusions" var="PWIOASExclusions"/>
<orion:message key="UserInterface.PWIOASAdvanced" var="PWIOASAdvanced"/>
<orion:message key="UserInterface.PWIOASAction" var="PWIOASAction"/>
<orion:message key="UserInterface.PWIOASSpyware" var="PWIOASSpyware"/>

<orion:message key="UserInterface.PWIODSS" var="PWIODSS"/>
<orion:message key="UserInterface.PWIODSSWhere" var="PWIODSSWhere"/>
<orion:message key="UserInterface.PWIODSSDetection" var="PWIODSSDetection"/>
<orion:message key="UserInterface.PWIODSSExclusions" var="PWIODSSExclusions"/>
<orion:message key="UserInterface.PWIODSSAdvanced" var="PWIODSSAdvanced"/>
<orion:message key="UserInterface.PWIODSSActions" var="PWIODSSActions"/>
<orion:message key="UserInterface.PWIODSSReports" var="PWIODSSReports"/>
<orion:message key="UserInterface.PWIODSSSchedule" var="PWIODSSSchedule"/>
<orion:message key="UserInterface.PWIODSSSpyware" var="PWIODSSSpyware"/>

<orion:message key="UserInterface.PWIODSU" var="PWIODSU"/>
<orion:message key="UserInterface.PWIODSUWhere" var="PWIODSUWhere"/>
<orion:message key="UserInterface.PWIODSUDetection" var="PWIODSUDetection"/>
<orion:message key="UserInterface.PWIODSUExclusions" var="PWIODSUExclusions"/>
<orion:message key="UserInterface.PWIODSUAdvanced" var="PWIODSUAdvanced"/>
<orion:message key="UserInterface.PWIODSUActions" var="PWIODSUActions"/>
<orion:message key="UserInterface.PWIODSUReports" var="PWIODSUReports"/>
<orion:message key="UserInterface.PWIODSUSpyware" var="PWIODSUSpyware"/>

<orion:message key="UserInterface.PWIODEmail" var="PWIODEmail"/>
<orion:message key="UserInterface.PWIODEmailDetection" var="PWIODEmailDetection"/>
<orion:message key="UserInterface.PWIODEmailAdvanced" var="PWIODEmailAdvanced"/>
<orion:message key="UserInterface.PWIODEmailActions" var="PWIODEmailActions"/>
<orion:message key="UserInterface.PWIODEmailAlerts" var="PWIODEmailAlerts"/>
<orion:message key="UserInterface.PWIODEmailSpyware" var="PWIODEmailSpyware"/>
<orion:message key="UserInterface.PWIODEmailReports" var="PWIODEmailReports"/>
<orion:message key="UserInterface.PWIODEmailNotes" var="PWIODEmailNotes"/>

<orion:message key="UserInterface.PWIOAEmail" var="PWIOAEmail"/>
<orion:message key="UserInterface.PWIOAEmailDetection" var="PWIOAEmailDetection"/>
<orion:message key="UserInterface.PWIOAEmailAdvanced" var="PWIOAEmailAdvanced"/>
<orion:message key="UserInterface.PWIOAEmailActions" var="PWIOAEmailActions"/>
<orion:message key="UserInterface.PWIOAEmailAlerts" var="PWIOAEmailAlerts"/>
<orion:message key="UserInterface.PWIOAEmailSpyware" var="PWIOAEmailSpyware"/>
<orion:message key="UserInterface.PWIOAEmailReports" var="PWIOAEmailReports"/>
<orion:message key="UserInterface.PWIOAEmailNotes" var="PWIOAEmailNotes"/>

<orion:message key="UserInterface.PWIBBAccessProtection" var="PWIBBAccessProtection"/>
<orion:message key="UserInterface.PWIBBAccessProtectionAP" var="PWIBBAccessProtectionAP"/>
<orion:message key="UserInterface.PWIBBLogging" var="PWIBBLogging"/>

<orion:message key="UserInterface.PWIBBBufferOverflow" var="PWIBBBufferOverflow"/>
<orion:message key="UserInterface.PWIBBEntercept" var="PWIBBEntercept"/>
<orion:message key="UserInterface.PWIBBLoggingEnt" var="PWIBBLoggingEnt"/>

<orion:message key="UserInterface.PWIUPPolicy" var="PWIUPPolicy"/>
<orion:message key="UserInterface.PWIUPDetection" var="PWIUPDetection"/>
<orion:message key="UserInterface.PWIUPUserDefinedDetection" var="PWIUPUserDefinedDetection"/>

<orion:message key="UserInterface.PWIVSAutoUpdate" var="PWIVSAutoUpdate"/>
<orion:message key="UserInterface.PWIAutoUpdate" var="PWIAutoUpdate"/>

<orion:message key="UserInterface.PWIMisc" var="PWIMisc"/>
<orion:message key="UserInterface.PWIMiscAlertManagerClient" var="PWIMiscAlertManagerClient"/>
<orion:message key="UserInterface.PWIMiscConsole" var="PWIMiscConsole"/>
<orion:message key="UserInterface.PWIRepair" var="PWIRepair"/>
<orion:message key="UserInterface.PWIQPConfiguration" var="PWIQPConfiguration"/>
<orion:message key="UserInterface.PWIQPManager" var="PWIQPManager"/>

<orion:message key="UserInterface.PWIStop" var="PWIStop"/>

<!-- Global Scan Settings Tab Strings--!>
<orion:message key="UserInterface.DisplayGlobalScanSettingsInfo" var="DisplayGlobalScanSettingsInfoText"/>
<orion:message key="UserInterface.DisplayLoggerSettingsInfo" var="DisplayLoggerSettingsInfoText"/>
<orion:message escape="None" key="UserInterface.ScanCacheText" var="ScanCacheText"/>
<orion:message escape="None" key="UserInterface.ODSUseCacheText" var="ODSUseCacheText"/>
<orion:message escape="None" key="UserInterface.ArtemisDNStext" var="ArtemisDNStext"/>
<orion:message key="UserInterface.ArtemisServerDomainName" var="ArtemisServerDomainName"/>
<orion:message escape="None" key="UserInterface.EnableLoggingText" var="EnableLoggingText"/>
<orion:message escape="None" key="UserInterface.LogLevelText" var="logLevelText"/>

<!-- Workstation/Server Toggle -->
<orion:box height="40" id="divID_SelectionToggle">
    <div style="background-color:#EDEDED">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    <label for="selectID_PolicyTypeToggle"><b>${ToggleLabelText}</b></label>
                    <select id="selectID_PolicyTypeToggle" onchange="onPolicyTypeToggle(this.value);">
                        <option value="0">${ToggleWorkstationText}</option>
                        <option value="1">${ToggleServerText}</option>
                    </select>
                </td>
            </tr>
        </table>
    </div>
</orion:box>
<!-- Workstation/Server Toggle -->

<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="USER_INTERFACE">
<div id="displayoptions" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${DisplayOptionsInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="UserInterface.SystemTrayIconTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:radiobutton id="radioID_ShowAllMenuOptions"
                                   name="groupID_UIMode"
                                   text="${ShowAllMenuOptionsText}"
                                   onClick="validatePolicy();"
                                   value="0"/>
                <br/>
                <orion:radiobutton id="radioID_ShowMinimalMenuOptions"
                                   name="groupID_UIMode"
                                   text="${ShowMinimalMenuOptionsText}"
                                   onClick="validatePolicy();"
                                   value="1"/>
                <br/>
                <orion:radiobutton id="radioID_HideTrayIcon"
                                   name="groupID_UIMode"
                                   text="${HideTrayIconText}"
                                   onClick="validatePolicy();"
                                   value="2"/>
                <input type="hidden" name="Wrkstn_${UI_MODE}" id="hiddenID_WrkstnUIMode"/>
                <input type="hidden" name="Server_${UI_MODE}" id="hiddenID_ServerUIMode"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="UserInterface.VirusScanConsoleTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_AllowRemote"
                                text="${AllowRemoteConsoleText}"
                                onClick="validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${UI_ALLOW_REMOTE}" id="hiddenID_WrkstnAllowRemote"/>
                <input type="hidden" name="Server_${UI_ALLOW_REMOTE}" id="hiddenID_ServerAllowRemote"/>
                <br/>
                <orion:checkbox id="checkboxID_DisplayEpoTasks"
                                text="${DisplayEpoTasksText}"
                                onClick="validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${UI_DISPLAY_EPO_TASKS}" id="hiddenID_WrkstnDisplayEpoTasks"/>
                <input type="hidden" name="Server_${UI_DISPLAY_EPO_TASKS}" id="hiddenID_ServerDisplayEpoTasks"/>
                <br/>
                <orion:checkbox id="checkboxID_DisableDefaultTask"
                                text="${DisableDefaultTaskText}"
                                onClick="validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${UI_DISABLE_DEFAULT_TASK}" id="hiddenID_WrkstnDisableDefaultTask"/>
                <input type="hidden" name="Server_${UI_DISABLE_DEFAULT_TASK}" id="hiddenID_ServerDisableDefaultTask"/>
                <br/>
                <orion:checkbox id="checkboxID_ShowSplash"
                                text="${ShowSplashText}"
                                onClick="validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${UI_SKIP_SPLASH}" id="hiddenID_WrkstnSkipSplash"/>
                <input type="hidden" name="Server_${UI_SKIP_SPLASH}" id="hiddenID_ServerSkipSplash"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="UserInterface.ConsoleLanguageTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:select id="selectID_PreferredLanguage" onchange="validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${UI_PREFERRED_LANG}" id="hiddenID_WrkstnPreferredLanguage"/>
                <input type="hidden" name="Server_${UI_PREFERRED_LANG}" id="hiddenID_ServerPreferredLanguage"/>
            </td>
        </tr>
    </table>
</div>

<div id="passwordoptions" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${PasswordInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="UserInterface.UIPasswordTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:radiobutton id="radioID_NoPassword"
                                   name="groupID_UIPMode"
                                   text="${NoPasswordText}"
                                   onClick="enablePasswordControls(0); validatePolicy();"
                                   value="0"/>
                <br/>
                <orion:radiobutton id="radioID_AllPassword"
                                   name="groupID_UIPMode"
                                   text="${AllPasswordText}"
                                   onClick="enablePasswordControls(1); validatePolicy();"
                                   value="1"/>
                <br/>
                <orion:radiobutton id="radioID_CustomPassword"
                                   name="groupID_UIPMode"
                                   text="${CustomPasswordText}"
                                   onClick="enablePasswordControls(2); validatePolicy();"
                                   value="2"/>
                <br/>
                <orion:radiobutton id="radioID_CCPassword"
                                   name="groupID_UIPMode"
                                   text="${CommonCriteraPasswordText}"
                                   onClick="enablePasswordControls(3); validatePolicy();"
                                   value="3"/>
                <br/>
                <input type="hidden" name="Wrkstn_${UIP_MODE}" id="hiddenID_WrkstnUIPMode"/>
                <input type="hidden" name="Server_${UIP_MODE}" id="hiddenID_ServerUIPMode"/>
                <table>
                    <tr>
                        <td width="140px">
                            <label id="labelID_Password" for="textboxID_Password">${PasswordText}</label>
                        </td>
                        <td>
                            <orion:password id="textboxID_Password" required="true" size="32" maxlength="32" onvalidate="validatePassword" onkeyup="validatePolicy();"/>
                            <input type="hidden" name="Wrkstn_${UIP_PASSWORD}" id="hiddenID_WrkstnUIP"/>
                            <input type="hidden" name="Server_${UIP_PASSWORD}" id="hiddenID_ServerUIP"/>
                            <input type="hidden" name="Wrkstn_${UIP_PASSWORD_EX}" id="hiddenID_WrkstnUIPEx"/>
                            <input type="hidden" name="Server_${UIP_PASSWORD_EX}" id="hiddenID_ServerUIPEx"/>
                            
                        </td>
                    </tr>
                    <tr>
                        <td width="140px">
                            <label id="labelID_ConfirmPassword" for="textboxID_ConfirmPassword">${ConfirmPasswordText}</label>
                        </td>
                        <td>
                            <orion:password id="textboxID_ConfirmPassword" required="true" size="32" maxlength="32" onvalidate="validatePassword" onkeyup="validatePolicy();"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="UserInterface.PasswordProtectedItemsTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" id="hiddenID_WrkstnUIPPages" name="Wrkstn_${UIP_PAGES}"/>
                <input type="hidden" id="hiddenID_ServerUIPPages" name="Server_${UIP_PAGES}"/>
                <table>
                    <tr>
                        <td>
                            <label id="labelID_OAS_PasswordItems" for="divID_OAS_PasswordItems">${PWIOAS}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_OAS_PasswordItems" style="width:530px; height:280px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIOAS"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_OAS_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIOAS"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_OAS_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br/>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_ODS_SavedTasks_PasswordItems" for="divID_ODS_SavedTasks_PasswordItems">${PWIODSS}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_ODS_SavedTasks_PasswordItems" style="width:530px; height:210px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIODSS"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_ODS_SavedTasks_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIODSS"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_ODS_SavedTasks_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>


                <br/>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_ODS_UnsavedTasks_PasswordItems" for="divID_ODS_UnsavedTasks_PasswordItems">${PWIODSU}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_ODS_UnsavedTasks_PasswordItems" style="width:530px; height:180px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIODSU"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_ODS_UnsavedTasks_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIODSU"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_ODS_UnsavedTasks_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br/>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_Email_OnDelivery_PasswordItems" for="divID_Email_OnDelivery_PasswordItems">${PWIODEmail}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_Email_OnDelivery_PasswordItems" style="width:530px; height:180px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIODEmailDetection"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_Email_OnDelivery_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIODEmailDetection"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_Email_OnDelivery_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br/>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_Email_OnDemand_PasswordItems" for="divID_Email_OnDemand_PasswordItems">${PWIOAEmail}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_Email_OnDemand_PasswordItems" style="width:530px; height:180px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIOAEmail"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_Email_OnDemand_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIOAEmail"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_Email_OnDemand_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br/>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_AccessProtection_PasswordItems" for="divID_AccessProtection_PasswordItems">${PWIBBAccessProtection}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_AccessProtection_PasswordItems" style="width:530px; height:140px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIBBAccessProtection"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_AP_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIBBAccessProtection"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_AP_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_BufferOverflow_PasswordItems" for="divID_BufferOverflow_PasswordItems">${PWIBBBufferOverflow}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_BufferOverflow_PasswordItems" style="width:530px; height:140px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIBBBufferOverflow"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_BOP_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIBBBufferOverflow"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_BOP_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br/>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_UnwantedProgs_PasswordItems" for="divID_UnwantedProgs_PasswordItems">${PWIUPPolicy}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_UnwantedProgs_PasswordItems" style="width:530px; height:140px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIUPPolicy"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_UnwantedProgs_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIUPPolicy"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_UnwantedProgs_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br/>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_AutoUpdate_PasswordItems" for="divID_AutoUpdate_PasswordItems">${PWIVSAutoUpdate}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_AutoUpdate_PasswordItems" style="width:530px; height:140px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIVSAutoUpdate"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_AutoUpdate_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIVSAutoUpdate"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_AutoUpdate_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <br/>

                <table>
                    <tr>
                        <td>
                            <label id="labelID_Other_PasswordItems" for="divID_Other_PasswordItems">${PWIMisc}</label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table>
                                <tr>
                                    <td>
                                        <div id="divID_Other_PasswordItems" style="width:530px; height:140px; overflow:auto; border-style:inset; border-width:2px;"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td style="vertical-align:top">
                            <table>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_SelectAll_PWIMisc"
                                                      text="${SelectAllText}"
                                                      onclick="SelectAll_onclick(true, g_Other_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <orion:button id="buttonID_DeselectAll_PWIMisc"
                                                      text="${DeselectAllText}"
                                                      onclick="SelectAll_onclick(false, g_Other_PasswordItems);validatePolicy();"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<div id="globalscansettings" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                    ${DisplayGlobalScanSettingsInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="UserInterface.ScanCacheLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${UI_GLOBAL_SCAN_SETTINGS_SCAN_PERSISTENT_CACHE}" id="hiddenID_Wrkstn_DisablePersistentCache"/>
                <input type="hidden" name="Server_${UI_GLOBAL_SCAN_SETTINGS_SCAN_PERSISTENT_CACHE}" id="hiddenID_Server_DisablePersistentCache"/>
                <orion:checkbox id="checkboxID_DisablePersistentCache"
                                text="${ScanCacheText}"
                                onClick="validatePolicy()"/>
                <br/>            
                <input type="hidden" name="Wrkstn_${UI_GLOBAL_SCAN_SETTINGS_ODS_CACHE}" id="hiddenID_Wrkstn_ODSUseCache"/>
                <input type="hidden" name="Server_${UI_GLOBAL_SCAN_SETTINGS_ODS_CACHE}" id="hiddenID_Server_ODSUseCache"/>
                <orion:checkbox id="checkboxID_ODSUseCache"
                                text="${ODSUseCacheText}"
                                onClick="validatePolicy()"/>             
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.HeuristicNetCheckTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:message key="UserInterface.ArtemisServerKB" escape="html"/>
                <a href="https://kc.mcafee.com/corporate/index?page=content&id=KB84084"><orion:message key="UserInterface.KBlink" escape=""/></a>
                <br/>
                <input type="hidden" name="Wrkstn_${UI_ARTEMIS_SERVER_LOOKUP_ENABLE}" id="hiddenID_Wrkstn_ArtemisLookupEnable"/>
                <input type="hidden" name="Server_${UI_ARTEMIS_SERVER_LOOKUP_ENABLE}" id="hiddenID_Server_ArtemisLookupEnable"/>
                <orion:checkbox id="checkboxID_ArtemisServerDomainName"
                                text="${ArtemisDNStext}"
                                onClick="SetArtemisMode(); validatePolicy()"/>
                <span style='display:none;' class='orionInputErrorText' id='dns_lookup_error'>!!</span>

                <br/>
                <input type="hidden" name="Wrkstn_${UI_ARTEMIS_SERVER_DOMAIN_NAME}" id="hiddenID_Wrkstn_ArtemisServerDomainName"/>
                <input type="hidden" name="Server_${UI_ARTEMIS_SERVER_DOMAIN_NAME}" id="hiddenID_Server_ArtemisServerDomainName"/>
                <label for="textboxID_ArtemisServerDomainName">${ArtemisServerDomainName}</label>
                <br/>
                <orion:textbox id="textboxID_ArtemisServerDomainName"
                               maxlength="3000"
                               required="true"
                               onvalidate="validateFQDN"
                               onkeyup="validatePolicy();"
                               onchange="validatePolicy();" />
                <span style='display:none;' class='orionInputErrorText' id='dns_pattern_error'>!!</span>
                <span style='display:none;' class='orionInputErrorText' id='dns_pattern_empty'>*</span>
            </td>
        </tr>
    </table>
</div>
<div id="loggerSettings" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${DisplayLoggerSettingsInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="loggerSettings.loggerSettingsLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" name="Wrkstn_${UI_SECTION_LOGGER_SETTINGS}" id="hiddenID_Wrkstn_bEnableLogging"/>
                <input type="hidden" name="Server_${UI_SECTION_LOGGER_SETTINGS}" id="hiddenID_Server_bEnableLogging"/>
                <orion:checkbox id="checkboxID_Enablelogging"
                                text="${EnableLoggingText}"
                                onClick="EnableLogging(); validatePolicy();" />
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="loggerSettings.logLevellabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:select id="selectID_LogLevel" onchange="validatePolicy();"/>
                <input type="hidden" name="Wrkstn_${UI_SECTION_LOG_LEVEL}" id="hiddenID_Wrkstn_dwLogLevel"/>
                <input type="hidden" name="Server_${UI_SECTION_LOG_LEVEL}" id="hiddenID_Server_dwLogLevel"/>
            </td>
        </tr>
    </table>
</div>

</orion:box>

<script type="text/javascript">
    OrionCore.addLoadHandler(_setTabStrip);
    OrionCore.addLoadHandler(fnOnPageLoad);

    function fnOnPageLoad()
    {

        initializePolicyData();
        initializePasswordItemsList();
        displayPasswordUIOptions();
        fnPopulateLogLevelOptions();
        displayPolicyData(g_CurrentPolicyType);
        fnPopulateLanguageList();
        fnSetLanguageSelection();
        fnSetLogLevel();
        EnableLogging();
        OrionForm.setStateChangeHandler(stateChangeHandler);
        _doReadonly();
    };

    function _setTabStrip()
    {
        swapper = new majic.SwapTabStrip("swaptab", {
            "displayoptions":{
                title:"${DisplayOptionsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_UI_DISPLAY_OPTIONS}");}
            },
            "passwordoptions":{
                title:"${PasswordOptionsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_UI_PASSWORD_OPTIONS}");}
            },
            "globalscansettings":{
                title:"${GlobalScanSettingsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_UI_GLOBAL_SCAN_SETTINGS}");}
            },"loggerSettings":{
                title:"${LoggerSettingsTabLabel}",
                callback:function(){OrionHelp.setHelpId("${HELPID_UI_GLOBAL_SCAN_SETTINGS}");}
            }
        });
    }

    function SetArtemisMode(){
        var enableTextbox = $("checkboxID_ArtemisServerDomainName").checked;
        $("textboxID_ArtemisServerDomainName").disabled = !enableTextbox;
    }

    function initializePolicyData()
    {
        g_CurrentPolicyType = 0;

        bAllowRemote[0] = ${UserInterfaceSettings.wrkstn_bAllowRemote};
        bDisableDefaultTask[0] = ${UserInterfaceSettings.wrkstn_bDisableDefaultTask};
        bDisplayEpoTasks[0] = ${UserInterfaceSettings.wrkstn_bDisplayEpoTasks};
        bEnableTalkback[0] = ${UserInterfaceSettings.wrkstn_bEnableTalkback};
        bSkipSplash[0] = ${UserInterfaceSettings.wrkstn_bSkipSplash};
        dwUIMode[0] = ${UserInterfaceSettings.wrkstn_dwUIMode};
        UIP[0] = "${UserInterfaceSettings.wrkstn_UIP}";
        UIPEx[0] = "${UserInterfaceSettings.wrkstn_UIPEx}";
        UIPMode[0] = ${UserInterfaceSettings.wrkstn_UIPMode};
        UIPPages[0] = "${UserInterfaceSettings.wrkstn_UIPPages}";
        szPreferredLanguage[0] = "${UserInterfaceSettings.wrkstn_PreferredLanguage}";
        DisablePersistentCache[0] = ${UserInterfaceSettings.wrkstn_DisablePersistentCache};
        bODSUseCache[0] = ${UserInterfaceSettings.wrkstn_bODSUseCache};
        bEnableLogging[0] = ${UserInterfaceSettings.wrkstn_bEnableLogging};
        sLogLevel[0] = "${UserInterfaceSettings.wrkstn_dwLogLevel}";
        if(bArtemisLookupEnable[0] == "" && ArtemisServerDomainName[0] == ""){
            bArtemisLookupEnable[0] = true;
            ArtemisServerDomainName[0] = "avqs.mcafee.com";
        }
        else {
            bArtemisLookupEnable[0] = "${UserInterfaceSettings.wrkstn_ArtemisLookupEnable}";
            ArtemisServerDomainName[0] = "${UserInterfaceSettings.wrkstn_ArtemisServerDomainName}";
        }

        bAllowRemote[1] = ${UserInterfaceSettings.server_bAllowRemote};
        bDisableDefaultTask[1] = ${UserInterfaceSettings.server_bDisableDefaultTask};
        bDisplayEpoTasks[1] = ${UserInterfaceSettings.server_bDisplayEpoTasks};
        bEnableTalkback[1] = ${UserInterfaceSettings.server_bEnableTalkback};
        bSkipSplash[1] = ${UserInterfaceSettings.server_bSkipSplash};
        dwUIMode[1] = ${UserInterfaceSettings.server_dwUIMode};
        UIP[1] = "${UserInterfaceSettings.server_UIP}";
        UIPEx[1] = "${UserInterfaceSettings.server_UIPEx}";
        UIPMode[1] = ${UserInterfaceSettings.server_UIPMode};
        UIPPages[1] = "${UserInterfaceSettings.server_UIPPages}";
        szPreferredLanguage[1] = "${UserInterfaceSettings.server_PreferredLanguage}";
        DisablePersistentCache[1] = ${UserInterfaceSettings.server_DisablePersistentCache};
        bODSUseCache[1] = ${UserInterfaceSettings.server_bODSUseCache};

        bEnableLogging[1] = ${UserInterfaceSettings.server_bEnableLogging};
        sLogLevel[1] = "${UserInterfaceSettings.server_dwLogLevel}";

        if(bArtemisLookupEnable[1] == "" && ArtemisServerDomainName[1] == ""){
            bArtemisLookupEnable[1] = true;
            ArtemisServerDomainName[1] = "avqs.mcafee.com";
        }
        else {
            bArtemisLookupEnable[1] = "${UserInterfaceSettings.server_ArtemisLookupEnable}";
            ArtemisServerDomainName[1] = "${UserInterfaceSettings.server_ArtemisServerDomainName}";
        }
    }

    function displayPasswordUIOptions()
    {
        displayPasswordListUI();
        fnDisplayLockPolicy(UIPPages[g_CurrentPolicyType]);
        enablePasswordControls(UIPMode[g_CurrentPolicyType]);
    }

    function enablePasswordControls(passwordMode)
    {
        if(passwordMode > 0)
        {
            $("labelID_Password").disabled = false;
            $("textboxID_Password").disabled = false;
            $("labelID_ConfirmPassword").disabled = false;
            $("textboxID_ConfirmPassword").disabled = false;

            if(passwordMode == 2)
            {
                fnPasswordItemListEnabled(true);
            }
            else
            {
                fnPasswordItemListEnabled(false);
            }
        }
        else
        {
            $("labelID_Password").disabled = true;
            $("textboxID_Password").disabled = true;
            $("labelID_ConfirmPassword").disabled = true;
            $("textboxID_ConfirmPassword").disabled = true;

            fnPasswordItemListEnabled(false);
        }
    }

    function initializePasswordItemsList()
    {
        g_OAS_PasswordItems[WRKSTN_POLICY] = new Array
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAS}", PWITEM_START ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASGeneral}", PWITEM_OAS_GENERAL ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASScriptScan}", PWITEM_SCRIPTSCANCONFIG ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASBlocking}", PWITEM_BB_VSID ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASMessages}", PWITEM_OAS_MESSAGES ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASReports}", PWITEM_OAS_REPORTS ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASProcesses}", PWITEM_OAS_PROCESSES ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASDetection}", PWITEM_OAS_DETECTION ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASExclusions}", PWITEM_OAS_EXCLUSIONS ) );
        //g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASAdvanced}", PWITEM_OAS_ADVANCED ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASAction}", PWITEM_OAS_ACTION ) );
        //g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOASSpyware}", PWITEM_OAS_SPYWARE ) );
        g_OAS_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY] = new Array
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSS}", PWITEM_START ) );
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSSWhere}", PWITEM_SODS_WHERE ) );
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSSDetection}", PWITEM_SODS_DETECTION ) );
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSSExclusions}", PWITEM_SODS_EXCLUSIONS ) );
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSSAdvanced}", PWITEM_SODS_ADVANCED ) );
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSSActions}", PWITEM_SODS_ACTION ) );
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSSReports}", PWITEM_SODS_REPORTS ) );
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSSSchedule}", PWITEM_SODS_SCHEDULE ) );
        //g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSSSpyware}", PWITEM_SODS_SPYWARE ) );
        g_ODS_SavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY] = new Array
        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSU}", PWITEM_START ) );
        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSUWhere}", PWITEM_UODS_WHERE ) );
        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSUDetection}", PWITEM_UODS_DETECTION ) );
        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSUExclusions}", PWITEM_UODS_EXCLUSIONS ) );
        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSUAdvanced}", PWITEM_UODS_ADVANCED ) );
        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSUActions}", PWITEM_UODS_ACTION ) );
        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSUReports}", PWITEM_UODS_REPORTS ) );
        //g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODSUSpyware}", PWITEM_UODS_SPYWARE ) );
        g_ODS_UnsavedTasks_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY] = new Array
        g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODEmail}", PWITEM_START ) );
        g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODEmailDetection}", PWITEM_DEL_EMAIL_DETECTION ) );
        //g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODEmailAdvanced}", PWITEM_DEL_EMAIL_ADVANCED ) );
        g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODEmailActions}", PWITEM_DEL_EMAIL_ACTION ) );
        g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODEmailAlerts}", PWITEM_DEL_EMAIL_ALERTS ) );
        //g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODEmailSpyware}", PWITEM_DEL_EMAIL_SPYWARE ) );
        g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODEmailReports}", PWITEM_DEL_EMAIL_REPORTS ) );
        g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIODEmailNotes}", PWITEM_DEL_EMAIL_NOTES ) );
        g_Email_OnDelivery_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_Email_OnDemand_PasswordItems[WRKSTN_POLICY] = new Array
        g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAEmail}", PWITEM_START ) );
        g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAEmailDetection}", PWITEM_DEM_EMAIL_DETECTION ) );
        //g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAEmailAdvanced}", PWITEM_DEM_EMAIL_ADVANCED ) );
        g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAEmailActions}", PWITEM_DEM_EMAIL_ACTION ) );
        g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAEmailAlerts}", PWITEM_DEM_EMAIL_ALERTS ) );
        //g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAEmailSpyware}", PWITEM_DEM_EMAIL_SPYWARE ) );
        g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAEmailReports}", PWITEM_DEM_EMAIL_REPORTS ) );
        g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIOAEmailNotes}", PWITEM_DEM_EMAIL_NOTES ) );
        g_Email_OnDemand_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_AP_PasswordItems[WRKSTN_POLICY] = new Array
        g_AP_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIBBAccessProtection}", PWITEM_START ) );
        g_AP_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIBBAccessProtectionAP}", PWITEM_BB_ACCESS_PROTECTION ) );
        g_AP_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIBBLogging}", PWITEM_BB_LOGGING ) );
        g_AP_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_BOP_PasswordItems[WRKSTN_POLICY] = new Array
        g_BOP_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIBBBufferOverflow}", PWITEM_START ) );
        g_BOP_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIBBEntercept}", PWITEM_BB_ENTERCEPT ) );
        g_BOP_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIBBLoggingEnt}", PWITEM_BB_LOGGING_ENT ) );
        g_BOP_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_UnwantedProgs_PasswordItems[WRKSTN_POLICY] = new Array
        g_UnwantedProgs_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIUPPolicy}", PWITEM_START ) );
        g_UnwantedProgs_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIUPDetection}", PWITEM_NVPOLICY_DET ) );
        g_UnwantedProgs_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIUPUserDefinedDetection}", PWITEM_NVPOLICY_USR_DEF ) );
        g_UnwantedProgs_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_AutoUpdate_PasswordItems[WRKSTN_POLICY] = new Array
        g_AutoUpdate_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIVSAutoUpdate}", PWITEM_START ) );
        g_AutoUpdate_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIAutoUpdate}", PWITEM_AUTOUPDATE ) );
        g_AutoUpdate_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_Other_PasswordItems[WRKSTN_POLICY] = new Array
        g_Other_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIMisc}", PWITEM_START ) );
        g_Other_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIMiscAlertManagerClient}", PWITEM_AMGCLIENT ) );
        g_Other_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIMiscConsole}", PWITEM_CONSOLE ) );
        g_Other_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIRepair}", PWITEM_REPAIR ) );
        g_Other_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIQPConfiguration}", PWITEM_QUARPOLICY_CONFIG ) );
        g_Other_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIQPManager}", PWITEM_QUARPOLICY_MANAGER ) );
        g_Other_PasswordItems[WRKSTN_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_OAS_PasswordItems[SERVER_POLICY] = new Array
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAS}", PWITEM_START ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASGeneral}", PWITEM_OAS_GENERAL ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASScriptScan}", PWITEM_SCRIPTSCANCONFIG ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASBlocking}", PWITEM_BB_VSID ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASMessages}", PWITEM_OAS_MESSAGES ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASReports}", PWITEM_OAS_REPORTS ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASProcesses}", PWITEM_OAS_PROCESSES ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASDetection}", PWITEM_OAS_DETECTION ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASExclusions}", PWITEM_OAS_EXCLUSIONS ) );
        //g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASAdvanced}", PWITEM_OAS_ADVANCED ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASAction}", PWITEM_OAS_ACTION ) );
        //g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOASSpyware}", PWITEM_OAS_SPYWARE ) );
        g_OAS_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY] = new Array
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSS}", PWITEM_START ) );
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSSWhere}", PWITEM_SODS_WHERE ) );
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSSDetection}", PWITEM_SODS_DETECTION ) );
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSSExclusions}", PWITEM_SODS_EXCLUSIONS ) );
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSSAdvanced}", PWITEM_SODS_ADVANCED ) );
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSSActions}", PWITEM_SODS_ACTION ) );
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSSReports}", PWITEM_SODS_REPORTS ) );
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSSSchedule}", PWITEM_SODS_SCHEDULE ) );
        //g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSSSpyware}", PWITEM_SODS_SPYWARE ) );
        g_ODS_SavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY] = new Array
        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSU}", PWITEM_START ) );
        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSUWhere}", PWITEM_UODS_WHERE ) );
        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSUDetection}", PWITEM_UODS_DETECTION ) );
        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSUExclusions}", PWITEM_UODS_EXCLUSIONS ) );
        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSUAdvanced}", PWITEM_UODS_ADVANCED ) );
        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSUActions}", PWITEM_UODS_ACTION ) );
        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSUReports}", PWITEM_UODS_REPORTS ) );
        //g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODSUSpyware}", PWITEM_UODS_SPYWARE ) );
        g_ODS_UnsavedTasks_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_Email_OnDelivery_PasswordItems[SERVER_POLICY] = new Array
        g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODEmail}", PWITEM_START ) );
        g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODEmailDetection}", PWITEM_DEL_EMAIL_DETECTION ) );
        //g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODEmailAdvanced}", PWITEM_DEL_EMAIL_ADVANCED ) );
        g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODEmailActions}", PWITEM_DEL_EMAIL_ACTION ) );
        g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODEmailAlerts}", PWITEM_DEL_EMAIL_ALERTS ) );
        //g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODEmailSpyware}", PWITEM_DEL_EMAIL_SPYWARE ) );
        g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODEmailReports}", PWITEM_DEL_EMAIL_REPORTS ) );
        g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIODEmailNotes}", PWITEM_DEL_EMAIL_NOTES ) );
        g_Email_OnDelivery_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_Email_OnDemand_PasswordItems[SERVER_POLICY] = new Array
        g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAEmail}", PWITEM_START ) );
        g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAEmailDetection}", PWITEM_DEM_EMAIL_DETECTION ) );
        //g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAEmailAdvanced}", PWITEM_DEM_EMAIL_ADVANCED ) );
        g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAEmailActions}", PWITEM_DEM_EMAIL_ACTION ) );
        g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAEmailAlerts}", PWITEM_DEM_EMAIL_ALERTS ) );
        //g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAEmailSpyware}", PWITEM_DEM_EMAIL_SPYWARE ) );
        g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAEmailReports}", PWITEM_DEM_EMAIL_REPORTS ) );
        g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIOAEmailNotes}", PWITEM_DEM_EMAIL_NOTES ) );
        g_Email_OnDemand_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_AP_PasswordItems[SERVER_POLICY] = new Array
        g_AP_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIBBAccessProtection}", PWITEM_START ) );
        g_AP_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIBBAccessProtectionAP}", PWITEM_BB_ACCESS_PROTECTION ) );
        g_AP_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIBBLogging}", PWITEM_BB_LOGGING ) );
        g_AP_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_BOP_PasswordItems[SERVER_POLICY] = new Array
        g_BOP_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIBBBufferOverflow}", PWITEM_START ) );
        g_BOP_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIBBEntercept}", PWITEM_BB_ENTERCEPT ) );
        g_BOP_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIBBLoggingEnt}", PWITEM_BB_LOGGING_ENT ) );
        g_BOP_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_UnwantedProgs_PasswordItems[SERVER_POLICY] = new Array
        g_UnwantedProgs_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIUPPolicy}", PWITEM_START ) );
        g_UnwantedProgs_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIUPDetection}", PWITEM_NVPOLICY_DET ) );
        g_UnwantedProgs_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIUPUserDefinedDetection}", PWITEM_NVPOLICY_USR_DEF ) );
        g_UnwantedProgs_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_AutoUpdate_PasswordItems[SERVER_POLICY] = new Array
        g_AutoUpdate_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIVSAutoUpdate}", PWITEM_START ) );
        g_AutoUpdate_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIAutoUpdate}", PWITEM_AUTOUPDATE ) );
        g_AutoUpdate_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );

        g_Other_PasswordItems[SERVER_POLICY] = new Array
        g_Other_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIMisc}", PWITEM_START ) );
        g_Other_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIMiscAlertManagerClient}", PWITEM_AMGCLIENT ) );
        g_Other_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIMiscConsole}", PWITEM_CONSOLE ) );
        g_Other_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIRepair}", PWITEM_REPAIR ) );
        g_Other_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIQPConfiguration}", PWITEM_QUARPOLICY_CONFIG ) );
        g_Other_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIQPManager}", PWITEM_QUARPOLICY_MANAGER ) );
        g_Other_PasswordItems[SERVER_POLICY].push( new PasswordItem( "${PWIStop}", PWITEM_STOP ) );
    }

    function displayPasswordListUI()
    {
        var szHTML = "";
        for (var i = 0; i < g_OAS_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_OAS_PasswordItems[g_CurrentPolicyType][i].Name, g_OAS_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_OAS_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_ODS_SavedTasks_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_ODS_SavedTasks_PasswordItems[g_CurrentPolicyType][i].Name, g_ODS_SavedTasks_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_ODS_SavedTasks_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_ODS_UnsavedTasks_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_ODS_UnsavedTasks_PasswordItems[g_CurrentPolicyType][i].Name, g_ODS_UnsavedTasks_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_ODS_UnsavedTasks_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_Email_OnDelivery_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_Email_OnDelivery_PasswordItems[g_CurrentPolicyType][i].Name, g_Email_OnDelivery_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_Email_OnDelivery_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_Email_OnDemand_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_Email_OnDemand_PasswordItems[g_CurrentPolicyType][i].Name, g_Email_OnDemand_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_Email_OnDemand_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_AP_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_AP_PasswordItems[g_CurrentPolicyType][i].Name, g_AP_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_AccessProtection_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_BOP_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_BOP_PasswordItems[g_CurrentPolicyType][i].Name, g_BOP_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_BufferOverflow_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_UnwantedProgs_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_UnwantedProgs_PasswordItems[g_CurrentPolicyType][i].Name, g_UnwantedProgs_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_UnwantedProgs_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_AutoUpdate_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_AutoUpdate_PasswordItems[g_CurrentPolicyType][i].Name, g_AutoUpdate_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_AutoUpdate_PasswordItems").innerHTML = szHTML;

        szHTML = "";
        for (var i = 0; i < g_Other_PasswordItems[g_CurrentPolicyType].length; i++)
        {
           szHTML += addPasswordItem(g_Other_PasswordItems[g_CurrentPolicyType][i].Name, g_Other_PasswordItems[g_CurrentPolicyType][i].iOrder);
        }
        $("divID_Other_PasswordItems").innerHTML = szHTML;
    }

    function addPasswordItem(Name, iOrder)
    {
        var szHTML = "";

        if( iOrder == PWITEM_START )
        {
            // The title row (no lock icon, just text)
            szHTML = '<table>';
        }
        else if( iOrder == PWITEM_STOP )
        {
            // End of table
            szHTML = "</table>";
        }
        else
        {
            g_LockStates[g_CurrentPolicyType][iOrder] = true;

            szHTML = '\
                <tr>\
                    <td>\
                        <span id="lockItem_' + iOrder + '" index="' + iOrder + '"><input type="checkbox" onClick="fnToggleLock(this);validatePolicy()" id="checkboxID_Locked_' + iOrder + '"">&nbsp;<label>' + Name + '</label></span>\
                    </td>\
                </tr>';
        }
        return szHTML;
    }

    // set all lock states based on a single string.
    function fnDisplayLockPolicy(szLockPolicy)
    {
        if (szLockPolicy.length < PWITEM_END)
            return;

        for (var i = 0; i < szLockPolicy.length; i++)
        {
            if ( szLockPolicy.charCodeAt(i) == 49 )
                fnSetLockState(i, true);
            else
                fnSetLockState(i, false);
        }
    }

    // set the state of an individual item.
    function fnSetLockState(iIndex, bState)
    {
        g_LockStates[g_CurrentPolicyType][iIndex] = bState;

        e = $("lockItem_" + iIndex);

        if( e != null )
        {
             $("checkboxID_Locked_" + iIndex).checked = bState;
        }
    }

    function fnToggleLock(e)
    {
        if (e.disabled)
            return;

        var iIndex = parseInt(e.id.replace("checkboxID_Locked_", ""));
        g_LockStates[g_CurrentPolicyType][iIndex] = e.checked;
    }

    function fnPasswordItemListEnabled(bState)
    {
        $("labelID_OAS_PasswordItems").disabled = !bState;
        $("labelID_ODS_SavedTasks_PasswordItems").disabled = !bState;
        $("labelID_ODS_UnsavedTasks_PasswordItems").disabled = !bState;
        $("labelID_Email_OnDelivery_PasswordItems").disabled = !bState;
        $("labelID_Email_OnDemand_PasswordItems").disabled = !bState;
        $("labelID_AccessProtection_PasswordItems").disabled = !bState;
        $("labelID_BufferOverflow_PasswordItems").disabled = !bState;
        $("labelID_UnwantedProgs_PasswordItems").disabled = !bState;
        $("labelID_AutoUpdate_PasswordItems").disabled = !bState;
        $("labelID_Other_PasswordItems").disabled = !bState;
        $("divID_OAS_PasswordItems").disabled = !bState;
        $("divID_ODS_SavedTasks_PasswordItems").disabled = !bState;
        $("divID_ODS_UnsavedTasks_PasswordItems").disabled = !bState;
        $("divID_Email_OnDelivery_PasswordItems").disabled = !bState;
        $("divID_Email_OnDemand_PasswordItems").disabled = !bState;
        $("divID_AccessProtection_PasswordItems").disabled = !bState;
        $("divID_BufferOverflow_PasswordItems").disabled = !bState;
        $("divID_UnwantedProgs_PasswordItems").disabled = !bState;
        $("divID_AutoUpdate_PasswordItems").disabled = !bState;
        $("divID_Other_PasswordItems").disabled = !bState;

        $("buttonID_SelectAll_PWIOAS").disabled = !bState;
        $("buttonID_DeselectAll_PWIOAS").disabled = !bState;
        $("buttonID_SelectAll_PWIODSS").disabled = !bState;
        $("buttonID_DeselectAll_PWIODSS").disabled = !bState;
        $("buttonID_SelectAll_PWIODSU").disabled = !bState;
        $("buttonID_DeselectAll_PWIODSU").disabled = !bState;
        $("buttonID_SelectAll_PWIODEmailDetection").disabled = !bState;
        $("buttonID_DeselectAll_PWIODEmailDetection").disabled = !bState;
        $("buttonID_SelectAll_PWIOAEmail").disabled = !bState;
        $("buttonID_DeselectAll_PWIOAEmail").disabled = !bState;
        $("buttonID_SelectAll_PWIBBAccessProtection").disabled = !bState;
        $("buttonID_DeselectAll_PWIBBAccessProtection").disabled = !bState;
        $("buttonID_SelectAll_PWIBBBufferOverflow").disabled = !bState;
        $("buttonID_DeselectAll_PWIBBBufferOverflow").disabled = !bState;
        $("buttonID_SelectAll_PWIUPPolicy").disabled = !bState;
        $("buttonID_DeselectAll_PWIUPPolicy").disabled = !bState;
        $("buttonID_SelectAll_PWIVSAutoUpdate").disabled = !bState;
        $("buttonID_DeselectAll_PWIVSAutoUpdate").disabled = !bState;
        $("buttonID_SelectAll_PWIMisc").disabled = !bState;
        $("buttonID_DeselectAll_PWIMisc").disabled = !bState;

        for (var i = 0; i < g_LockStates[g_CurrentPolicyType].length; i++)
        {
            var e = $("lockItem_" + i);
            if( e != null )
            {
                e.disabled = !bState;
            }

            e = $("checkboxID_Locked_" + i);
            if( e != null )
            {
                e.disabled = !bState;
            }
        }
    }

    function PasswordItem(Name, iOrder )
    {
        this.Name = Name;
        this.iOrder = iOrder;
    }

    function SelectAll_onclick(bChecked, PWIArray)
    {
        if(PWIArray == null || PWIArray[g_CurrentPolicyType] == null)
        {
            return;
        }

        for (var i = 0; i < PWIArray[g_CurrentPolicyType].length; i++)
        {
            var iOrder = PWIArray[g_CurrentPolicyType][i].iOrder;

            if(iOrder != PWITEM_START && iOrder != PWITEM_STOP)
            {
                $("checkboxID_Locked_" + iOrder).checked = bChecked;
                g_LockStates[g_CurrentPolicyType][iOrder] = bChecked;
            }
        }
    }

    function fnPopulateLanguageList()
    {
        var iIndex = 0;

        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_AutomaticText}", "");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_Chinese_TradText}", "0401");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_Chinese_SimpText}", "0402");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_GermanText}", "0700");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_EnglishText}", "0900");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_SpanishText}", "0a00");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_ItalianText}", "1000");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_JapaneseText}", "1100");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_KoreanText}", "1200");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_DutchText}", "1300");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_PolishText}", "1500");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_RussianText}", "1900");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_FrenchText}", "0c00");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_Portuguese_BrText}", "1600");
        $("selectID_PreferredLanguage").options[iIndex++] = new Option("${Language_SwedishText}", "1d00");
    }

    function fnSetLanguageSelection()
    {
        var iIndex = 0;
        var iSelectedIndex = -1;
        var szLanguageID = szPreferredLanguage[g_CurrentPolicyType];

        for(iIndex = 0; iIndex < $("selectID_PreferredLanguage").length && iSelectedIndex == -1; ++iIndex)
        {
            if($("selectID_PreferredLanguage").options[iIndex].value == szLanguageID)
            {
                iSelectedIndex = iIndex;
            }
        }

        // set default to english if the value passed in wasn't found
        if(iSelectedIndex == -1)
        {
            for(iIndex = 0; iIndex < $("selectID_PreferredLanguage").length && iSelectedIndex == -1; ++iIndex)
            {
                if($("selectID_PreferredLanguage").options[iIndex].value == "0900")
                {
                    iSelectedIndex = iIndex;
                }
            }
        }

        if(iSelectedIndex != -1)
        {
            $("selectID_PreferredLanguage").selectedIndex = iSelectedIndex;
        }
    }

    function fnSetLogLevel()
    {
        var iIndex = 0;
        var iSelectedIndex = -1;
        var logLevelID = sLogLevel[g_CurrentPolicyType];

        for(iIndex = 0; iIndex < $("selectID_LogLevel").length && iSelectedIndex == -1; ++iIndex)
        {
            if($("selectID_LogLevel").options[iIndex].value == logLevelID)
            {
                iSelectedIndex = iIndex;
            }
        }
        if(iSelectedIndex == -1)
        {
            for(iIndex = 0; iIndex < $("selectID_LogLevel").length && iSelectedIndex == -1; ++iIndex)
            {
                if($("selectID_LogLevel").options[iIndex].value == "1")
                {
                    iSelectedIndex = iIndex;
                }
            }
        }

        if(iSelectedIndex != -1)
        {
            $("selectID_LogLevel").selectedIndex = iSelectedIndex;
        }

    }

    function validatePolicy()
    {
        var valid = true;

        valid = validatePassword();
        valid = validateFQDN($("textboxID_ArtemisServerDomainName").value);

        if(valid)
        {
            valid = OrionForm.isFormValid();
        }

        stateChangeHandler(OrionForm.isFormDirty(), valid);
    }

    function _doReadonly()
    {
        if ("${epoReadOnlyPolicyObject}" == "true")
        {
            disableSection("USER_INTERFACE",false);
        }
    }

    function fnPopulateLogLevelOptions()
    {
        var iIndex = 0;

        $("selectID_LogLevel").options[iIndex++] = new Option("${LogLevel_Error}", "1");
        $("selectID_LogLevel").options[iIndex++] = new Option("${LogLevel_Warning}", "2");
        $("selectID_LogLevel").options[iIndex++] = new Option("${LogLevel_Request}", "3");
        $("selectID_LogLevel").options[iIndex++] = new Option("${LogLevel_Information}", "4");
    }

    function EnableLogging(){
        var enableTextbox = $("checkboxID_Enablelogging").checked;
        if (enableTextbox) {
            $("selectID_LogLevel").disabled = !enableTextbox;
            $("selectID_LogLevel").style = "color:#4b4b4b";
        } else {
            $("selectID_LogLevel").disabled = !enableTextbox;
            $("selectID_LogLevel").style = "color:#A9A9A9";
        }

    }

</script>
