<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>
<%--<%@ taglib uri="http://www.mcafee.com/mercury" prefix="mercury" %>--%>
<%@ taglib uri="http://www.mcafee.com/vse" prefix="vse" %>

<jsp:include page="/tasks/ODS/ODSUITemplates.jsp"/>

<vse:createConstants className="com.mcafee.VirusScan.tasks.ODS.ODSTaskConstants" varName="Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.tasks.ODS.ODSTaskConstants"/>
<vse:importConstants className="com.mcafee.VirusScan.core.Constants"/>
<vse:importConstants className="com.mcafee.VirusScan.help.HelpConstants"/>

<orion:script context="/VIRUSCAN8800" src="/tasks/ODS/EditODSTask.js"/>
<orion:script context="/core" src="/majic.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSECommon.js"/>
<orion:script context="/PolicyMgmt" src="/policycore.js"/>
<orion:script context="/VIRUSCAN8800" src="/ListWidget2.js"/>
<orion:script context="/VIRUSCAN8800" src="/VSEDialog.js"/>


<!--Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message key="ODSTask.LocationsTab" var="LocationsTabText"/>
<orion:message key="ODSTask.FilesToScanTab" var="FilesToScanTabText"/>
<orion:message key="ODSTask.ExclusionsTab" var="ExclusionsTabText"/>
<orion:message key="ODSTask.ActionsTab" var="ActionsTabText"/>
<orion:message key="ODSTask.ReportsTab" var="ReportsTabText"/>
<orion:message key="ODSTask.TaskTab" var="TaskTabText"/>
<orion:message key="ODSTask.PerformanceTab" var="PerformanceTabText"/>
<!-- ****************************************************************************** -->

<orion:message key="Global.Report.LogFileInfo" var="LogFileInfoText"/>

<!--Locations Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message escape="None" key="ODSTask.IncludeSubs" var="IncludeSubsText"/>
<orion:message escape="None" key="ODSTask.ScanBootSectors" var="ScanBootSectorsText"/>
<orion:message key="ODSTask.LocationsToScanInfo" var="LocationsToScanInfoText"/>
<orion:message key="ODSTask.AdminUser" var="AdminUserText"/>
<orion:message key="ODSTask.AdminPassword" var="AdminPasswordText"/>
<orion:message key="ODSTask.Domain" var="DomainText"/>
<!-- ****************************************************************************** -->

<!--FilesToScan Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message key="OASCommon.ScanInfo" var="ScanInfoText"/>
<orion:message escape="None" key="ODSTask.AllFiles" var="AllFilesText"/>
<orion:message escape="None" key="ODSTask.DefaultAndSpecified" var="DefaultAndSpecifiedText"/>
<orion:message escape="None" key="ODSTask.SpecifiedOnly" var="SpecifiedOnlyText"/>

<orion:message escape="None" key="ODSTask.DetectUnwantedProgs" var="DetectUnwantedProgsText"/>
<orion:message escape="None" key="ODSTask.AlsoScanForMacro" var="AlsoScanForMacroText"/>
<orion:message escape="None" key="ODSTask.DecodeMIME" var="DecodeMIMEText"/>
<orion:message escape="None" key="ODSTask.ScanInsideZips" var="ScanInsideZipsText"/>
<orion:message key="ODSTask.EnterFileTypesLabel" var="EnterFileTypesLabelText"/>
<orion:message escape="None" key="ODSTask.ScanMigratedFiles" var="ScanMigratedFilesText"/>
<orion:message escape="None" key="ODSTask.FindUnknownProgViruses" var="FindUnknownProgVirusesText"/>
<orion:message escape="None" key="ODSTask.FindUnknownMacroViruses" var="FindUnknownMacroVirusesText"/>
<orion:message escape="None" key="Global.IncludeFilesWithNoExtension" var="IncludeFilesWithNoExtText"/>
<!-- ****************************************************************************** -->

<!--Exclusions Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message key="OASCommon.WhatNotToScanInfo" var="WhatNotToScanInfoText"/>
<orion:message escape="None" key="ODSTask.OverwriteClient" var="OverwriteClientText"/>
<orion:message key="Exclusion.Item" var="ExclusionItemText"/>
<orion:message key="Exclusion.ExcludeSubfolders" var="ExclusionExcludeSubfoldersText"/>
<!-- ****************************************************************************** -->

<!--Actions Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message key="ODSTask.ActionInfo" var="ActionInfoText"/>
<orion:message key="ODSTask.PrimaryAction" var="PrimaryActionText"/>
<orion:message key="ODSTask.SecondaryAction" var="SecondaryActionText"/>
<orion:message escape="Javascript" key="ODSTask.ActionContinue" var="ActionContinueText"/>
<orion:message escape="Javascript" key="ODSTask.ActionClean" var="ActionCleanText"/>
<orion:message escape="Javascript" key="ODSTask.ActionDelete" var="ActionDeleteText"/>
<orion:message escape="Javascript" key="ODSTask.ActionNoSecondary" var="ActionNoSecondaryText"/>
<!-- ****************************************************************************** -->

<!--Performance Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message key="ODSTask.PerformanceInfo" var="PerformanceInfoText"/>
<orion:message escape="None" key="ODSTask.DeferOnBattery" var="DeferOnBatteryText"/>
<orion:message escape="None" key="ODSTask.DeferDuringPresentations" var="DeferDuringPresentationsText"/>
<orion:message escape="None" key="ODSTask.PermitUserDefer" var="PermitUserDeferText"/>
<orion:message key="ODSTask.DeferAtMost" var="DeferAtMostText"/>
<orion:message key="ODSTask.DeferHours" var="DeferHoursText"/>
<orion:message key="Global.SysUtilizationPriorityLow" var="SysUtilLow" />
<orion:message key ="Global.SysUtilizationPriorityBelowNormal" var="SysUtilBelowNormal" />
<orion:message key="Global.SysUtilizationPriorityNormal" var="SysUtilNormal"/>
<orion:message key="Global.HeuristicSensitivity" var="HeuristicSensitivityText"/>
<orion:message key="Global.HeuristicOff" var="HeuristicOffText"/>
<orion:message key="Global.HeuristicVeryLow" var="HeuristicVeryLowText"/>
<orion:message key="Global.HeuristicLow" var="HeuristicLowText"/>
<orion:message key="Global.HeuristicMedium" var="HeuristicMediumText"/>
<orion:message key="Global.HeuristicHigh" var="HeuristicHighText"/>
<orion:message key="Global.HeuristicVeryHigh" var="HeuristicVeryHighText"/>

<!--Reports Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message escape="None" key="Global.Report.LogToFile" var="LogToFileText"/>
<orion:message escape="None" key="Global.Report.LimitLogFileSize" var="LimitLogFileSizeText"/>
<orion:message key="Global.Report.SizeUnitLabel" var="SizeUnitLabelText"/>
<orion:message key="Global.Report.MBLabel" var="MBText"/>
<orion:message key="Global.Report.FormatANSI" var="FormatANSIText"/>
<orion:message key="Global.Report.FormatUTF8" var="FormatUTF8Text"/>
<orion:message key="Global.Report.FormatUTF16" var="FormatUTF16Text"/>
<orion:message escape="None" key="Global.Report.LogSettings" var="LogSettingsText"/>
<orion:message escape="None" key="Global.Report.LogSummary" var="LogSummaryText"/>
<orion:message escape="None" key="Global.Report.LogEncryptFails" var="LogEncryptFailsText"/>
<orion:message escape="None" key="ODSTask.AlertOnCookie" var="AlertOnCookieText"/>

<!-- ****************************************************************************** -->

<!--Task Tab Strings -->
<!-- ****************************************************************************** -->
<orion:message key="ODSTask.TaskInfo" var="TaskInfoText"/>
<orion:message escape="None" key="ODSTask.RunOnServer" var="RunOnServerText"/>
<orion:message escape="None" key="ODSTask.RunOnWrkstn" var="RunOnWrkstnText"/>



<orion:box height="24" id="swaptab"></orion:box>
<orion:box id="ODS_TASK">
<div id="locations" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${LocationsToScanInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.LocationsToScan" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <!-- This hidden input will contain a comma separated list of the element ID's that contain the
                     values that need to be stored in the DB. The Java code will itereate through this list of
                     ID's and get the data from each one and store it in the DB.
                -->
                <input type="hidden" id="hiddenID_LocationItemIDList" value="" name="hiddenID_LocationItemIDList"/>
                <div id="locationsList"></div>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.Options" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_Subfolders"
                                            checked="${ODSTaskSettings.bScanSubDirs}"
                                            name="checkboxID_Subfolders"
                                            onclick="validateTask();"
                                            text="${IncludeSubsText}"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_ScanBootSectors"
                                            checked="${ODSTaskSettings.bSkipBootScan==false}"
                                            name="checkboxID_ScanBootSectors"
                                            onclick="validateTask();"
                                            text="${ScanBootSectorsText}"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<div id="filestoscan" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${ScanInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.FileTypesToScan" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">

                <orion:checkbox style="display:none" id="checkboxID_ScanAllFiles" name="checkboxID_ScanAllFiles" checked="${ODSTaskSettings.bScanAllFiles == true}"/>
                <orion:checkbox style="display:none" id="checkboxID_ScanDefaultFiles" name="checkboxID_ScanDefaultFiles" checked="${ODSTaskSettings.bScanDefaultFiles == true}"/>
                <orion:radiobutton id="radioID_AllFiles"
                                   text="${AllFilesText}"
                                   name="WhatToScan"
                                   value="allFiles"
                                   onclick="fnWhatToScanOnChange(this.value);"/>
                <br/>
                <table>
                    <tr>
                        <orion:radiobutton id="radioID_DefaultAndSpecified"
                                           text="${DefaultAndSpecifiedText}"
                                           name="WhatToScan"
                                           value="defaultFiles"
                                           onclick="fnWhatToScanOnChange(this.value);"/>
                    </tr>
                    <tr>
                        <td width="12"></td>
                        <td>
                            <orion:checkbox id="checkboxID_ScanForMarcros"
                                            checked="${ODSTaskSettings.bScanAllOle}"
                                            name="checkboxID_ScanForMarcros"
                                            onclick="validateTask();"
                                            text="${AlsoScanForMacroText}"/>
                        </td>
                    </tr>
                </table>
                <div id=div_AdditionalFileTypes style="display:none">
                    <table>
                        <tr>
                            <td width="12"></td>
                            <td>
                                <label for="textareaID_AdditionalFileTypes">${EnterFileTypesLabelText}</label>
                            </td>
                        </tr>
                        <tr>
                            <td width="12"></td>
                            <td>
                                <orion:textarea id="textareaID_AdditionalFileTypes"
                                                name="textareaID_AdditionalFileTypes"
                                                onvalidate="validateFileTypes"
                                                rows="5" cols="50"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="12"></td>
                            <td>
                                <orion:checkbox id="checkboxID_AdditionalNoExtension"
                                                checked=""
                                                name="checkboxID_AdditionalNoExtension"
                                                onclick="validateTask();"
                                                text="${IncludeFilesWithNoExtText}"/>
                            </td>
                        </tr>
                    </table>
                </div>
                <orion:radiobutton id="radioID_SpecifiedOnly"
                                   text="${SpecifiedOnlyText}"
                                   name="WhatToScan"
                                   value="specifiedFiles"
                                   onclick="fnWhatToScanOnChange(this.value);"/>
                <br/>
                <div id=div_SpecifiedFileTypes style="display:none">
                    <table>
                        <tr>
                            <td width="12"></td>
                            <td>
                                <label for="textareaID_SpecifiedFileTypes">${EnterFileTypesLabelText}</label>
                            </td>
                        </tr>
                        <tr>
                            <td width="12"></td>
                            <td>
                                <orion:textarea id="textareaID_SpecifiedFileTypes"
                                                name="textareaID_SpecifiedFileTypes"
                                                onvalidate="validateFileTypes"
                                                rows="5" cols="50"/>
                            </td>
                        </tr>
                        <tr>
                            <td width="12"></td>
                            <td>
                                <orion:checkbox id="checkboxID_SpecifiedNoExtension"
                                                checked=""
                                                name="checkboxID_SpecifiedNoExtension"
                                                onclick="validateTask(); requireSpecifiedFileTypes(!(this.checked));"
                                                text="${IncludeFilesWithNoExtText}"/>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.FileScanOptions" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DetectedUnwanted"
                                            checked="${ODSTaskSettings.applyNVP}"
                                            name="checkboxID_DetectedUnwanted"
                                            onclick="validateTask(); enableUnwantedProgramsActions(this.checked)"
                                            text="${DetectUnwantedProgsText}"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DecodeMIME"
                                            checked="${ODSTaskSettings.scanMime}"
                                            name="checkboxID_DecodeMIME"
                                            onclick="validateTask();"
                                            text="${DecodeMIMEText}"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_ScanInsideZips"
                                            checked="${ODSTaskSettings.scanArchives}"
                                            name="checkboxID_ScanInsideZips"
                                            onclick="validateTask();"
                                            text="${ScanInsideZipsText}"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_ScanMigratedFiles"
                                            checked="${ODSTaskSettings.bDoHsm}"
                                            name="checkboxID_ScanMigratedFiles"
                                            onclick="validateTask();"
                                            text="${ScanMigratedFilesText}"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.HeuristicsTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_ProgramHeuristic"
                                            checked="${ODSTaskSettings.dwProgramHeuristicsLevel != 0}"
                                            name="checkboxID_ProgramHeuristic"
                                            onclick="validateTask();"
                                            text="${FindUnknownProgVirusesText}"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_MacroHeuristic"
                                            checked="${ODSTaskSettings.dwMacroHeuristicsLevel != 0}"
                                            name="checkboxID_MacroHeuristic"
                                            onclick="validateTask();"
                                            text="${FindUnknownMacroVirusesText}"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<div id="exclusions" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${WhatNotToScanInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.WhatNotToScan" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <input type="hidden" id="hiddenID_ExclusionList" name="hiddenID_ExclusionList" value=""/>
                <table width="550">
                    <tr>
                        <td width="60%">
                                ${ExclusionItemText}
                        </td>
                        <td width="40%">
                                ${ExclusionExcludeSubfoldersText}
                        </td>
                    </tr>
                </table>
                <div id="divID_ExclusionsList"></div>
                <jsp:include page="/ExclusionsTemplate.jsp"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="OASCommon.HandleClientExclusionsLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_OverwriteClient"
                                checked="${ODSTaskSettings.bAppendExclusions == false}"
                                name="checkboxID_OverwriteClient"
                                onclick="validateTask();"
                                text="${OverwriteClientText}"/>
            </td>
        </tr>
    </table>
</div>

<div id="actions" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${ActionInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.WhenThreatFound" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <label>${PrimaryActionText}&nbsp;</label>
                            <orion:select id="selectID_ThreatPrimaryAction"
                                          name="selectID_ThreatPrimaryAction"
                                          onChange="fnPrimaryAction_OnChange(this, this.value, selectID_ThreatSecondaryAction, true);">
                            </orion:select>
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td>
                            <label>${SecondaryActionText}&nbsp;</label>
                            <orion:select id="selectID_ThreatSecondaryAction"
                                          name="selectID_ThreatSecondaryAction">
                            </orion:select>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.WhenUnwantedProgFound" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <label>${PrimaryActionText}&nbsp;</label>
                            <orion:select id="selectID_UnwantedPrimaryAction"
                                          name="selectID_UnwantedPrimaryAction"
                                          onChange="fnPrimaryAction_OnChange(this, this.value, selectID_UnwantedSecondaryAction, true);">
                            </orion:select>
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td>
                            <label>${SecondaryActionText}&nbsp;</label>
                            <orion:select id="selectID_UnwantedSecondaryAction"
                                          name="selectID_UnwantedSecondaryAction">
                            </orion:select>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<div id="performance" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${PerformanceInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.WhenToDefer" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DeferOnBattery"
                                            checked="${ODSTaskSettings.bDeferScanOnBattery}"
                                            text="${DeferOnBatteryText}"
                                            name="checkboxID_DeferOnBattery"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_DeferFullscreen"
                                            checked="${ODSTaskSettings.bDeferScanInFullScreen}"
                                            text="${DeferDuringPresentationsText}"
                                            name="checkboxID_DeferFullscreen"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <orion:checkbox id="checkboxID_PermitUserDefer"
                                            checked="${ODSTaskSettings.bPermitUserDefer}"
                                            text="${PermitUserDeferText}"
                                            name="checkboxID_PermitUserDefer"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.HowLongToDefer" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <label id="labelID_MaxDeferTime">${DeferAtMostText}</label>
                <orion:textbox id="numberboxID_MaxDeferTime"
                               value="${ODSTaskSettings.uDeferTime}"
                               maxlength="2"
                               size="5"
                               onkeypress="return numbers_only(event)"
                               name="numberboxID_MaxDeferTime"
                               onkeyup="validateTask();"/>
                <label id="labelID_DeferHours">&nbsp;${DeferHoursText}</label>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.SystemUtiliaztionTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <orion:select id="selectID_ScanPriority"
                                          name="selectID_ScanPriority"
                                          onchange="validateTask();">
                                <!-- <option value="10">10%</option>
                                <option value="20">20%</option>
                                <option value="30">30%</option>
                                <option value="40">40%</option>
                                <option value="50">50%</option>
                                <option value="60">60%</option>
                                <option value="70">70%</option> -->
                                <option value="10">${SysUtilLow}</option>
                                <option value="50">${SysUtilBelowNormal}</option>
                                <option value="100">${SysUtilNormal}</option>

                            </orion:select>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.HeuristicNetCheckTitle" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <table>
                    <tr>
                        <td>
                            <label id="labelID_HeuristicSensitivity">${HeuristicSensitivityText}</label>
                            <orion:select id="selectID_HeuristicSensitivity"
                                          name="selectID_HeuristicSensitivity"
                                          onchange="validateTask();">
                                <option value="-1">${HeuristicOffText}</option>
                                <option value="0">${HeuristicVeryLowText}</option>
                                <option value="1">${HeuristicLowText}</option>
                                <option value="2">${HeuristicMediumText}</option>
                                <option value="3">${HeuristicHighText}</option>
                                <option value="4">${HeuristicVeryHighText}</option>
                            </orion:select>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<div id="reports" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${LogFileInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_LogToFile"
                                checked='${ODSTaskSettings.bLogToFile}'
                                text="${LogToFileText}"
                                onclick="fnEnableReportingTabUI(this.checked); validateTask();"
                                name="checkboxID_LogToFile"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileLocationLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <jsp:include page="/SystemMacros/SystemMacros.jsp"/>
                <img id="imgID_MacroNoFocus"
                     onclick='showMacroMenu(event, $("textboxID_LogFilename"), validateTask);'
                     onmouseover='this.src="/VIRUSCAN8800/img/M2.jpg"'
                     onmouseout='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     onmousedown='this.src="/VIRUSCAN8800/img/M3.jpg"'
                     onmouseup='this.src="/VIRUSCAN8800/img/M1.jpg"'
                     src="/VIRUSCAN8800/img/M1.jpg">
                <orion:textbox id="textboxID_LogFilename"
                               value="${ODSTaskSettings.szLogFileName}"
                               required="true"
                               name="textboxID_LogFilename"
                               onkeyup="validateTask();"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileSizeLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_LimitLogFileSize"
                                checked='${ODSTaskSettings.bLimitSize}'
                                text="${LimitLogFileSizeText}"
                                onclick="fnEnableReportingTabUI(); validateTask();"
                                name="checkboxID_LimitLogFileSize"/>
                <table>
                    <tr>
                        <td width="16"></td>
                        <td>
                            <label id="labelID_MaxLogSize">${SizeUnitLabelText}</label>
                            <orion:textbox id="numberboxID_LogFileSize"
                                           maxlength="3"
                                           size="5"
                                           required="true"
                                           onvalidate="validateMaxLogSize"
                                           onkeypress="return numbers_only(event)"
                                           name="numberboxID_LogFileSize"
                                           onkeyup="validateTask();"/>
                            <label id="labelID_MB">&nbsp;${MBText}</label>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.LogFileFormatLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <select id="selectID_LogFileFormat"
                        name="selectID_LogFileFormat">
                    <option value="0">${FormatANSIText}</option>
                    <option value="1">${FormatUTF8Text}</option>
                    <option value="2">${FormatUTF16Text}</option>
                </select>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="Global.Report.WhatToLogLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_LogSettings"
                                checked='${ODSTaskSettings.bLogSettings}'
                                text="${LogSettingsText}"
                                onclick="validateTask();"
                                name="checkboxID_LogSettings"/>
                <br/>
                <orion:checkbox id="checkboxID_LogSummary"
                                checked='${ODSTaskSettings.bLogSummary}'
                                text="${LogSummaryText}"
                                onclick="validateTask();"
                                name="checkboxID_LogSummary"/>
                <br/>
                <orion:checkbox id="checkboxID_LogEncryptFails"
                                checked='${ODSTaskSettings.bLogScanFailure}'
                                text="${LogEncryptFailsText}"
                                onclick="validateTask();"
                                name="checkboxID_LogEncryptFails"/>
            </td>
        </tr>
        <tr id="CookieAlertRow" style="display:none">
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.CookieAlertLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_AlertOnCookies"
                                checked='${ODSTaskSettings.alert_ExcludeCookies==false}'
                                text="${AlertOnCookieText}"
                                onclick="validateTask();"
                                name="checkboxID_AlertOnCookies"/>
            </td>
        </tr>
    </table>
</div>

<div id="task" style="display:none;width:100%;">
    <div class="orionDescriptionArea orionBorderBottomGrey">
        <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
            <tr>
                <td style="padding:10px;">
                        ${TaskInfoText}
                </td>
            </tr>
        </table>
    </div>
    <table cellspacing="0" cellpadding="0" width="100%" style="width:100%;">
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.PlatformSelectionLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <orion:checkbox id="checkboxID_RunOnServer"
                                checked='${ODSTaskSettings.bRunOnServer}'
                                text="${RunOnServerText}"
                                onclick="validateTask();"
                                name="checkboxID_RunOnServer"/>
                <br/>
                <orion:checkbox id="checkboxID_RunOnWrkstn"
                                checked='${ODSTaskSettings.bRunOnWrkstn}'
                                text="${RunOnWrkstnText}"
                                onclick="validateTask();"
                                name="checkboxID_RunOnWrkstn"/>
            </td>
        </tr>
        <tr>
            <td class="orionSummaryHeader" valign="top">
                <orion:message key="ODSTask.UserAccountLabel" escape="html"/>
            </td>
            <td class="orionSummaryColumn" valign="top">
                <div id="div_AdminPassword" style="display:block">
                    <table>
                        <tr>
                            <td>
                                <label for="textboxID_AdminUser">${AdminUserText}</label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <orion:textbox id="textboxID_AdminUser"
                                               name="textboxID_AdminUser"
                                               value="${ODSTaskSettings.VSE7_UserName}"/>
                            </td>
                        </tr>

                        <tr>
                            <td>
                                <label for="textboxID_AdminPassword">${AdminPasswordText}</label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input id="hiddenID_Password" name="hiddenID_Password" type="hidden" value="${ODSTaskSettings.VSE7_Password}"/>
                                <input id="hiddenID_PasswordEx" name="hiddenID_PasswordEx" type="hidden" value="${ODSTaskSettings.VSE7_PasswordEx}"/>
                                <orion:password id="textboxID_AdminPassword"
                                                name="textboxID_AdminPassword"
                                                onkeyup="passwordOnChange(this.value);"/>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <label for="textboxID_Domain">${DomainText}</label>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <orion:textbox id="textboxID_Domain"
                                               name="textboxID_Domain"
                                               value="${ODSTaskSettings.VSE7_DomainName}"/>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
        </tr>
    </table>
</div>
</orion:box>

<script type='text/javascript'>
OrionCore.addLoadHandler(fnOnPageLoad);

function fnOnPageLoad()
{
    g_bMASInstalled = ${ODSTaskSettings.bMASInstalled};
    OrionForm.setStateChangeHandler(taskStateChangeHandler);
    _setTabStrip();
    _locationsTabInit();
    _whattoscanTabInit();
    _exclusionsTabInit();
    _actionsTabInit();
    _reportsTabInit();
    fnEnableReportingTabUI();
    enableUnwantedProgramsActions($("checkboxID_DetectedUnwanted").checked);
    _doReadonly();
};

function _setTabStrip()
{
    swapper = new majic.SwapTabStrip("swaptab", {
        "locations":{
            title:"${LocationsTabText}",
            callback:function(){OrionHelp.setHelpId("${HELPID_ODSTASK_SCAN_LOCATIONS}");}
        },
        "filestoscan":{
            title:"${FilesToScanTabText}",
            callback:function(){OrionHelp.setHelpId("${HELPID_ODSTASK_SCAN_ITEMS}");}
        },
        "exclusions":{
            title:"${ExclusionsTabText}",
            callback:function(){OrionHelp.setHelpId("${HELPID_ODSTASK_SCAN_EXCLUSIONS}");}
        },
        "actions":{
            title:"${ActionsTabText}",
            callback:function(){OrionHelp.setHelpId("${HELPID_ODSTASK_SCAN_ACTIONS}");}
        },
        "performance":{
            title:"${PerformanceTabText}",
            callback:function(){OrionHelp.setHelpId("${HELPID_ODSTASK_SCAN_PERFORMANCE}");}
        },
        "reports":{
            title:"${ReportsTabText}",
            callback:function(){OrionHelp.setHelpId("${HELPID_ODSTASK_SCAN_REPORTS}");}
        },
        "task":{
            title:"${TaskTabText}",
            callback:function(){OrionHelp.setHelpId("${HELPID_ODSTASK_SCAN_TASK}");}
        }
    });
};

function _locationsTabInit()
{
    g_ScanItemsCount = ${ODSTaskSettings.dwScanItemCount};
    var password = document.getElementById("hiddenID_PasswordEx").value;

    if(password=="")
    {
        password = document.getElementById("hiddenID_Password").value;
    }

    var passwordTextbox = document.getElementById("textboxID_AdminPassword");

    _locationsAddWidgetInit();
    addScanItems();

    if(password != "")
    {
        passwordTextbox.value = password;
    }
    else
    {
        passwordTextbox.value = "";
    }
}

function _whattoscanTabInit()
{
    var allFilesRadio = document.getElementById("radioID_AllFiles");
    var defaultFilesRadio = document.getElementById("radioID_DefaultAndSpecified");
    var specifiedFilesRadio = document.getElementById("radioID_SpecifiedOnly");
    var additionalFileTypesTextArea = document.getElementById("textareaID_AdditionalFileTypes");
    var specifiedFileTypesTextArea = document.getElementById("textareaID_SpecifiedFileTypes");
    var scanPriority = ${ODSTaskSettings.nPriority};
    var heuristicSensitivity = ${ODSTaskSettings.dwHeuristicNetCheckSensitivity};

    allFilesRadio.checked = ${ODSTaskSettings.bScanAllFiles == true};
    defaultFilesRadio.checked = ${ODSTaskSettings.bScanDefaultFiles == true};
    specifiedFilesRadio.checked = (!allFilesRadio.checked && !defaultFilesRadio.checked);

    var szDefaultPlusExt = "${ODSTaskSettings.szDefProgExts}";
    var szProgramExt = "${ODSTaskSettings.szProgExts}";

    if(szDefaultPlusExt.indexOf(":::") != -1)
    {
        additionalFileTypesTextArea.value = removeNoExtensionMarker(szDefaultPlusExt);
        $("checkboxID_AdditionalNoExtension").checked = true;
    }
    else
    {
        additionalFileTypesTextArea.value = szDefaultPlusExt;
        $("checkboxID_AdditionalNoExtension").checked = false;
    }

    if(szProgramExt.indexOf(":::") != -1)
    {
        specifiedFileTypesTextArea.value = removeNoExtensionMarker(szProgramExt);
        $("checkboxID_SpecifiedNoExtension").checked = true;
    }
    else
    {
        specifiedFileTypesTextArea.value = szProgramExt;
        $("checkboxID_SpecifiedNoExtension").checked = false;
    }

    if (allFilesRadio.checked)
    {
        fnWhatToScanOnChange(allFilesRadio.value);
    }
    else if (defaultFilesRadio.checked)
    {
        fnWhatToScanOnChange(defaultFilesRadio.value);
    }
    else
    {
        fnWhatToScanOnChange(specifiedFilesRadio.value);
    }

    // $("selectID_ScanPriority").selectedIndex = (scanPriority / 10) - 1;
    switch(scanPriority)
    {
        case 10:
            $("selectID_ScanPriority").selectedIndex = 0;
            break;
        case 50:
            $("selectID_ScanPriority").selectedIndex = 1;
            break;
        case 100:
            $("selectID_ScanPriority").selectedIndex = 2;
            break;
    }

    // $("selectID_ScanPriority").selectedIndex = scanPriority;

    $("selectID_HeuristicSensitivity").selectedIndex = heuristicSensitivity + 1;

    requireSpecifiedFileTypes(!($("checkboxID_SpecifiedNoExtension").checked));
}

function _exclusionsTabInit()
{
    addeditExclDialog = new VSE.DialogBox();
    addeditExclDialog.setDialogDiv($("divID_AddEditExclDialog"));

    _exclusionsListWidgetInit();
}

function _actionsTabInit()
{
    // Initialize global variables
    g_primaryActionSelect = document.getElementById("selectID_ThreatPrimaryAction");
    g_secondaryActionSelect = document.getElementById("selectID_ThreatSecondaryAction");
    g_primaryActionSelectUnwanted = document.getElementById("selectID_UnwantedPrimaryAction");
    g_secondaryActionSelectUnwanted = document.getElementById("selectID_UnwantedSecondaryAction");

    g_primaryActionSelect.options[ACTION_INDEX_CONTINUE] = new Option("${ActionContinueText}", ACTION_VALUE_CONTINUE);
    g_primaryActionSelect.options[ACTION_INDEX_CLEAN] = new Option("${ActionCleanText}", ACTION_VALUE_CLEAN);
    g_primaryActionSelect.options[ACTION_INDEX_DELETE] = new Option("${ActionDeleteText}", ACTION_VALUE_DELETE);

    g_primaryActionSelectUnwanted.options[ACTION_INDEX_CONTINUE] = new Option("${ActionContinueText}", ACTION_VALUE_CONTINUE);
    g_primaryActionSelectUnwanted.options[ACTION_INDEX_CLEAN] = new Option("${ActionCleanText}", ACTION_VALUE_CLEAN);
    g_primaryActionSelectUnwanted.options[ACTION_INDEX_DELETE] = new Option("${ActionDeleteText}", ACTION_VALUE_DELETE);

    fnPrimaryAction_OnChange(g_primaryActionSelect, ${ODSTaskSettings.uAction}, g_secondaryActionSelect, false);
    fnSecondaryAction_OnChange(g_secondaryActionSelect, ${ODSTaskSettings.uSecAction}, false);
    fnPrimaryAction_OnChange(g_primaryActionSelectUnwanted, ${ODSTaskSettings.uAction_Program}, g_secondaryActionSelectUnwanted, false);
    fnSecondaryAction_OnChange(g_secondaryActionSelectUnwanted, ${ODSTaskSettings.uSecAction_Program}, false);
}

function _reportsTabInit()
{
    var logFileSize = ${ODSTaskSettings.uKilobytes}/1024;
    $("selectID_LogFileFormat").selectedIndex = ${ODSTaskSettings.logFileFormat};
    $("numberboxID_LogFileSize").value = logFileSize;

    if(g_bMASInstalled)
    {
        $("CookieAlertRow").style.display = "none";
        // $("CookieAlertRow").style.display = "";
    }
    else
    {
        $("CookieAlertRow").style.display = "none";
    }
}

function _locationsAddWidgetInit()
{
    var locationsAddWidgetContent = "";
    if(g_bMASInstalled)
    {
        locationsAddWidgetContent = $("scan_locations_template").innerHTML;
    }
    else
    {
        locationsAddWidgetContent = $("scan_locations_nomas_template").innerHTML;
    }

    g_locationsAddWidget = new VSE.AddWidget({
        container:"locationsList",
        addCallback:locAddCallback,
        removeCallback:locRemoveCallback,
        readOnly:false,
        content:locationsAddWidgetContent
    });
}

function addScanItems()
{

    var szScanItems = "${orion:escapeJavaScriptString(ODSTaskSettings.szScanItems)}".split('${LIST_TOKEN_SPLITTER}');

    if(szScanItems.length > 0)
    {
        for(var i = 0; i < szScanItems.length; ++i)
        {
            var nItemType = -1;
            // start at 1 because the 0th item in the array is the 'none-selected' item
            for(var j=1; j < SCAN_ITEM_FOLDER && nItemType == -1; ++j)
            {
                if(g_ScanItemValues[j] == szScanItems[i])
                {
                    nItemType = j;
                }
            }

            // special case to handle MAS items
            if(nItemType > 0)
            {
                g_locationsAddWidget.add({"@VALUE":szScanItems[i]});
            }
            else
            {
                // if the item is not registry spyware and not cookie spyware, then it is either a folder
                // or a file -- ignore registry and cookie spyware items -- this is how it was in the NAP???
                if(g_ScanItemValues[SCAN_ITEM_REGISTRY] != szScanItems[i] && g_ScanItemValues[SCAN_ITEM_COOKIES] != szScanItems[i])
                {
                    g_locationsAddWidget.add({"@VALUE":szScanItems[i]});
                }
                else
                {
                    if(g_bMASInstalled)
                    {
                        g_locationsAddWidget.add({"@VALUE":szScanItems[i]});
                    }
                }
            }
        }
    }
    else
    {
        g_locationsAddWidget.add({"@VALUE":""});
    }
}

function _exclusionsListWidgetInit()
{
    g_ExclusionListWidget = new VSE.ListWidget2({
        container:"divID_ExclusionsList",
        readonly:"false",
        includeCheckbox:"false",
        objectName:"g_ExclusionListWidget",
        width:"550",
        height:"200",
        thisObject:g_ExclusionListWidget,
        addCallback:Exclusion_AddCallback,
        selectedRowUpdateCallback:exclUpdateRowDataCallback,
        removeCallback:exclRemoveCallback,
        content:$("exclusion_listitem_template").innerHTML
    });

    ExclusionsList = "${orion:escapeJavaScriptString(ODSTaskSettings.szExclItems)}".split('${LIST_TOKEN_SPLITTER}');
    if(ExclusionsList.length > 0)
    {
        g_arrListExclusionData = [];

        for(i = 0; i < ExclusionsList.length; ++i)
        {
            var ExclDataItem = new ExclusionDataItem();
            ExclDataItem.exclData = ExclusionsList[i];
            g_arrListExclusionData.push(ExclDataItem);
        }
    }

    populateExclusionsList();
}

function populateExclusionsList()
{
    g_ExclusionListWidget.clearList();
    var exclCount = g_arrListExclusionData.length;

    if(exclCount > 0)
    {
        for(var i = 0; i < exclCount; ++i)
        {
            var item = new VSE.ListItem2();
            item.itemData = g_arrListExclusionData[i];
            g_ExclusionListWidget.add(item);
        }
    }
}

function fnPrimaryAction_OnChange(selectID_CurrentAction, iPrimaryValue, selectID_CurrentSecondaryAction, bPromptForDelete)
{
    var iIndex = 0;
    var iSecondaryValue = 0;

    fnSetPrimaryAction(selectID_CurrentAction, iPrimaryValue);

    if( selectID_CurrentAction == g_primaryActionSelect )
    {
        g_iCurrentPrimaryActionValue = iPrimaryValue;
    }
    else if( selectID_CurrentAction == g_primaryActionSelectUnwanted )
    {
        g_iCurrentPrimaryActionUnwantedValue = iPrimaryValue;
    }

    iSecondaryValue = selectID_CurrentSecondaryAction.value;
    selectID_CurrentSecondaryAction.options.length = 0;
    if (iPrimaryValue == ACTION_VALUE_CONTINUE)
    {
        selectID_CurrentSecondaryAction.options[0]		= new Option("${ActionNoSecondaryText}", ACTION_VALUE_INVALID);
        selectID_CurrentSecondaryAction.disabled		= true;

    }
    else
    {
        selectID_CurrentSecondaryAction.disabled		= false;
        selectID_CurrentSecondaryAction.value			= 0;

        //Continue
        selectID_CurrentSecondaryAction.options[iIndex] 	= new Option("${ActionContinueText}", ACTION_VALUE_CONTINUE);
        iIndex++;

        //Delete
        if ( (iPrimaryValue == ACTION_VALUE_CLEAN) )
        {
            selectID_CurrentSecondaryAction.options[iIndex] = new Option("${ActionDeleteText}", ACTION_VALUE_DELETE);

            if (iSecondaryValue == ACTION_VALUE_DELETE)
            {
                selectID_CurrentSecondaryAction.value = iSecondaryValue;
            }

            iIndex++;
        }
    }
    fnSecondaryAction_OnChange(selectID_CurrentSecondaryAction, selectID_CurrentSecondaryAction.value, false);
}

function fnWhatToScanOnChange(scanType)
{
    var addtionalFilesDiv = $("div_AdditionalFileTypes");
    var specifiedFilesDiv = $("div_SpecifiedFileTypes");
    var scanForMacrosCheckbox = $("checkboxID_ScanForMarcros");
    var scanAllFilesCheckbox = $("checkboxID_ScanAllFiles");
    var scanDefaultFilesCheckbox = $("checkboxID_ScanDefaultFiles");
    var textboxAddtionalFileTypes = $("textareaID_AdditionalFileTypes");
    var textboxSpecifiedFileTypes = $("textareaID_SpecifiedFileTypes");
    OrionForm.setFieldRequired("textareaID_SpecifiedFileTypes", false);

    if (scanType == "defaultFiles")
    {
        addtionalFilesDiv.style.display = "";
        textboxAddtionalFileTypes.disabled = false;
        specifiedFilesDiv.style.display = "none";
        textboxSpecifiedFileTypes.disabled = true;
        scanForMacrosCheckbox.disabled = false;
        scanAllFilesCheckbox.checked = false;
        scanDefaultFilesCheckbox.checked = true;
    }
    else if (scanType == "specifiedFiles")
    {
        addtionalFilesDiv.style.display = "none";
        textboxAddtionalFileTypes.disabled = true;
        specifiedFilesDiv.style.display = "";
        textboxSpecifiedFileTypes.disabled = false;
        scanForMacrosCheckbox.disabled = true;
        scanAllFilesCheckbox.checked = false;
        scanDefaultFilesCheckbox.checked = false;
        OrionForm.setFieldRequired("textareaID_SpecifiedFileTypes", true);
    }
    else
    {
        addtionalFilesDiv.style.display = "none";
        textboxAddtionalFileTypes.disabled = true;
        specifiedFilesDiv.style.display = "none";
        textboxSpecifiedFileTypes.disabled = true;
        scanForMacrosCheckbox.disabled = true;
        scanAllFilesCheckbox.checked = true;
        scanDefaultFilesCheckbox.checked = false;
    }
}

function fnEnableReportingTabUI()
{
    var enableUI = $("checkboxID_LogToFile").checked;

    $("textboxID_LogFilename").disabled = !enableUI;
    $("checkboxID_LimitLogFileSize").disabled = !enableUI;
    $("labelID_MaxLogSize").disabled = !enableUI;
    $("numberboxID_LogFileSize").disabled = !enableUI;
    $("selectID_LogFileFormat").disabled = !enableUI;
    $("checkboxID_LogSettings").disabled = !enableUI;
    $("checkboxID_LogSummary").disabled = !enableUI;
    $("checkboxID_LogEncryptFails").disabled = !enableUI;

    if(enableUI)
    {
        $("numberboxID_LogFileSize").disabled = !($("checkboxID_LimitLogFileSize").checked);
    }
}

function passwordOnChange(password)
{
    var passwordInput = document.getElementById("hiddenID_Password");
    var passwordInputEx = document.getElementById("hiddenID_PasswordEx");

    if(password != "")
    {
        if(password != passwordInput)
        {
            passwordInput.value = password;
        }

        if(password != passwordInputEx)
        {
            passwordInputEx.value = password;
        }

    }
    else
    {
        passwordInput.value = "";
        passwordInputEx.value = "";
    }
}

function validateTask()
{
    var valid = true;

    // Validate Exclusions Tab
    if(g_exclusionsAddWidget != null)
    {
        valid = validateExclusions(g_exclusionsAddWidget.getList());
    }

    if(valid && g_locationsAddWidget != null)
    {
        valid = validateScanLocations(g_locationsAddWidget.getList());
    }

    // validate Reports Tab
    if(valid)
    {
        if($("checkboxID_LogToFile").checked)
        {
            var szLogFilename = $("textboxID_LogFilename").value;

            valid = validateLogfilePath($("textboxID_LogFilename").value);

            if($("checkboxID_LimitLogFileSize").checked && ($("numberboxID_LogFileSize").value == "" || $("numberboxID_LogFileSize").value < 1))
            {
                valid = false;
            }
        }
    }

    if(valid)
    {
        valid = ($("checkboxID_RunOnServer").checked || $("checkboxID_RunOnWrkstn").checked)
    }

    //validate Locations Tab
    if(valid)
    {
        valid = OrionForm.isFormValid();
    }

    taskStateChangeHandler(true, valid && isTaskValid());
}

function _doReadonly()
{
    if ("${epoReadOnlyTask}" == "true")
    {
        disableSection("ODS_TASK",false);
    }
}
</script>