<%@ taglib uri="http://www.mcafee.com/orion" prefix="orion" %>

<orion:message key="ODSTask.ScanItemNothing" var="ScanItemNothingText"/>
<orion:message key="ODSTask.ScanItemMyComputer" var="ScanItemMyComputerText"/>
<orion:message key="ODSTask.ScanItemLocalDrives" var="ScanItemLocalDrivesText"/>
<orion:message key="ODSTask.ScanItemFixedDrives" var="ScanItemFixedDrivesText"/>
<orion:message key="ODSTask.ScanItemRemovableDrives" var="ScanItemRemovableDrivesText"/>
<orion:message key="ODSTask.ScanItemMappedDrives" var="ScanItemMappedDrivesText"/>
<orion:message key="ODSTask.ScanItemRunningProcs" var="ScanItemRunningProcsText"/>
<orion:message key="ODSTask.ScanItemHomeFolder" var="ScanItemHomeFolderText"/>
<orion:message key="ODSTask.ScanItemProfileFolder" var="ScanItemProfileFolderText"/>
<orion:message key="ODSTask.ScanItemRecycleBin" var="ScanItemRecycleBinText"/>
<orion:message key="ODSTask.ScanItemDriveOrFolder" var="ScanItemDriveOrFolderText"/>
<orion:message key="ODSTask.ScanItemFile" var="ScanItemFileText"/>
<orion:message key="ODSTask.ScanItemLocation" var="ScanItemLocationText"/>
<orion:message key="ODSTask.ScanItemFilename" var="ScanItemFilenameText"/>
<orion:message key="ODSTask.ScanItemCookies" var="ScanItemCookiesText"/>
<orion:message key="ODSTask.ScanItemRegistry" var="ScanItemRegistryText"/>
<orion:message key="ODSTask.ScanItemCritical" var="ScanItemCriticalText"/>
<orion:message key="ODSTask.ScanItemRootkits" var="ScanItemRootkitsText"/>
<orion:message key="ODSTask.ScanItemWindowsFolder" var="ScanItemWindowsFolderText"/>
<orion:message key="ODSTask.ScanItemProgFilesFolder" var="ScanItemProgFilesFolderText"/>
<orion:message key="ODSTask.ScanItemTempFolder" var="ScanItemTempFolderText"/>
<orion:message key="ODSTask.InvalidPath" var="InvalidPathText"/>

<orion:message key="ODSTask.ExclItemNothing" var="ExclItemNothingText"/>
<orion:message key="ODSTask.ExclItemByPattern" var="ExclItemByPatternText"/>
<orion:message key="ODSTask.ExclItemByFileType" var="ExclItemByFileTypeText"/>
<orion:message key="ODSTask.ExclItemByFileAge" var="ExclItemByFileAgeText"/>
<orion:message key="ODSTask.ExclItemByWindowsFileProt" var="ExclItemByWindowsFileProtText"/>
<orion:message key="ODSTask.ExclPatternLabel" var="ExclPatternLabelText"/>
<orion:message key="ODSTask.ExclSubfolders" var="ExclSubfoldersText"/>
<orion:message key="ODSTask.ExclFileTypeLabel" var="ExclFileTypeLabelText"/>
<orion:message key="ODSTask.ExclAccessTypeLabel" var="ExclAccessTypeLabelText"/>
<orion:message key="ODSTask.ExclATModified" var="ExclATModifiedText"/>
<orion:message key="ODSTask.ExclATAccessed" var="ExclATAccessedText"/>
<orion:message key="ODSTask.ExclATCreated" var="ExclATCreatedText"/>
<orion:message key="ODSTask.ExclMinimumAgeLabel" var="ExclMinimumAgeLabelText"/>
<orion:message key="ODSTask.ExclDays" var="ExclDaysText"/>

<!-- ****************************************** -->
<!-- Scan Locations with MAS installed Template -->
<!-- ****************************************** -->
<div id="scan_locations_template" style="display:none">
    <select id='select_location_@ID' name='select_location_@ID'>
        <option value='Invalid'>${ScanItemNothingText}</option>
        <option value='SpecialScanForRootkits'>${ScanItemRootkitsText}</option>
        <option value='SpecialMemory'>${ScanItemRunningProcsText}</option>
        <option value='SpecialCritical'>${ScanItemCriticalText}</option>
        <option value='My Computer'>${ScanItemMyComputerText}</option>
        <option value='LocalDrives'>${ScanItemLocalDrivesText}</option>
        <option value='All fixed disks'>${ScanItemFixedDrivesText}</option>
        <option value='All removable media'>${ScanItemRemovableDrivesText}</option>
        <option value='All Network drives'>${ScanItemMappedDrivesText}</option>
        <option value='HomeDir'>${ScanItemHomeFolderText}</option>
        <option value='ProfileDir'>${ScanItemProfileFolderText}</option>
        <option value='WinDir'>${ScanItemWindowsFolderText}</option>
        <option value='ProgramFilesDir'>${ScanItemProgFilesFolderText}</option>
        <option value='TempDir'>${ScanItemTempFolderText}</option>
        <option value='SpecialRecycleName'>${ScanItemRecycleBinText}</option>
        <option value='DriveOrFolder'>${ScanItemDriveOrFolderText}</option>
        <option value='File'>${ScanItemFileText}</option>
        <option value='SpecialRegistrySpyware'>${ScanItemRegistryText}</option>
        <!--<option value='SpecialCookiesSpyware'><$>{ScanItemCookiesText}</option> -->
    </select>
    <span style='display: none;' class='orionInputErrorText' id='select_location_@ID_empty'>*</span>
    <input type='hidden' id='select_hidden_value_@ID' value=''/>
    <!-- File/Folder Input -->
    <div id='div_itempath_@ID' style='display:none'>
        <label id='labelID_path_@ID' for='item_path_@ID' style='display:none'>  ${ScanItemLocationText} </label>
        <label id='labelID_filename_@ID' for='item_path_@ID' style='display:none'>  ${ScanItemFilenameText} </label>
        <input type='text' id='item_path_@ID' name='item_path_@ID'size='40' value=''/>
        <label id='labelID_path_error_@ID' style='display:none;' class='orionInputErrorText'>&nbsp;${InvalidPathText}&nbsp;</label>
    </div>
</div>

<!-- ********************************************* -->
<!-- Scan Locations without MAS installed Template -->
<!-- ********************************************* -->
<div id="scan_locations_nomas_template" style="display:none">
    <select id='select_location_@ID' name='select_location_@ID'>
        <option value='Invalid'>${ScanItemNothingText}</option>
        <option value='SpecialScanForRootkits'>${ScanItemRootkitsText}</option>
        <option value='SpecialMemory'>${ScanItemRunningProcsText}</option>
        <option value='SpecialCritical'>${ScanItemCriticalText}</option>
        <option value='My Computer'>${ScanItemMyComputerText}</option>
        <option value='LocalDrives'>${ScanItemLocalDrivesText}</option>
        <option value='All fixed disks'>${ScanItemFixedDrivesText}</option>
        <option value='All removable media'>${ScanItemRemovableDrivesText}</option>
        <option value='All Network drives'>${ScanItemMappedDrivesText}</option>
        <option value='HomeDir'>${ScanItemHomeFolderText}</option>
        <option value='ProfileDir'>${ScanItemProfileFolderText}</option>
        <option value='WinDir'>${ScanItemWindowsFolderText}</option>
        <option value='ProgramFilesDir'>${ScanItemProgFilesFolderText}</option>
        <option value='TempDir'>${ScanItemTempFolderText}</option>
        <option value='SpecialRecycleName'>${ScanItemRecycleBinText}</option>
        <option value='DriveOrFolder'>${ScanItemDriveOrFolderText}</option>
        <option value='File'>${ScanItemFileText}</option>
    </select>
    <span style='display: none;' class='orionInputErrorText' id='select_location_@ID_empty'>*</span>
    <input type='hidden' id='select_hidden_value_@ID' value=''/>
    <!-- File/Folder Input -->
    <div id='div_itempath_@ID' style='display:none'>
        <label id='labelID_path_@ID' for='item_path_@ID' style='display:none'>  ${ScanItemLocationText} </label>
        <label id='labelID_filename_@ID' for='item_path_@ID' style='display:none'>  ${ScanItemFilenameText} </label>
        <input type='text' id='item_path_@ID' name='item_path_@ID'size='40' value=''/>
        <label id='labelID_path_error_@ID' style='display:none; color:red;'>&nbsp;${InvalidPathText}&nbsp;</label>
    </div>
</div>

<!-- ******************* -->
<!-- Exclusions Template -->
<!-- ******************* -->
<div id="exclusions_template" style="display:none">
    <select id='select_exclusion_@ID'>
        <option value='0'>${ExclItemNothingText}</option>
        <option value='1'>${ExclItemByPatternText}</option>
        <option value='2'>${ExclItemByFileTypeText}</option>
        <option value='3'>${ExclItemByFileAgeText}</option>
        <option value='4'>${ExclItemByWindowsFileProtText}</option>
    </select>
    <input type='hidden' id='hidden_exclusion_data_@ID' value='' name='hidden_exclusion_data_@ID'/>
    <!-- Pattern Div -->
    <div id='div_exclpattern_@ID' style='display:none'>
        <label for='excl_pattern_@ID'>${ExclPatternLabelText} </label>
        <input type='text' id='excl_pattern_@ID' size='30' value=''>
        <span style='display: none;' class='orionInputErrorText' id='excl_pattern_@ID_error'>!!</span>
        <span style='display: none;' class='orionInputErrorText' id='excl_pattern_@ID_empty'>*</span>
        &nbsp;&nbsp;&nbsp;<input type='checkbox' id='excl_subfolders_@ID' id='excl_subfolders_@ID'>${ExclSubfoldersText}  </input>
    </div>
    <!-- File Type Div -->
    <div id='div_exclfiletype_@ID' style='display:none'>
        <label for='excl_filetype_@ID'>${ExclFileTypeLabelText} </label>
        <input type='text' id='excl_filetype_@ID' size='3' maxlength='3' value=''>
        <span style='display: none;' class='orionInputErrorText' id='excl_filetype_@ID_error'>!!</span>
        <span style='display: none;' class='orionInputErrorText' id='excl_filetype_@ID_empty'>*</span>
    </div>
    <!-- File Type Div -->
    <div id='div_exclfileage_@ID' style='display:none'>
        <label for='select_fileage_accesstype_@ID'>${ExclAccessTypeLabelText} </label>
        <select id='select_fileage_accesstype_@ID'>
           <option value='0'>${ExclATModifiedText}</option>
           <option value='1'>${ExclATAccessedText}</option>
           <option value='2'>${ExclATCreatedText}</option>
        </select>
        &nbsp;&nbsp;&nbsp
        <label for='excl_fileage_@ID'>${ExclMinimumAgeLabelText}</label>&nbsp;
        <input type='text' id='excl_fileage_@ID' size='4' maxlength='4' value=''>
        <span style='display: none;' class='orionInputErrorText' id='excl_fileage_@ID_error'>!!</span>
        <span style='display: none;' class='orionInputErrorText' id='excl_fileage_@ID_empty'>*</span>
        &nbsp;<label for='excl_fileage_@ID'>${ExclDaysText}</label>&nbsp;&nbsp;
    </div>
</div>